3.1.6:

2011-06-14  Murray Cumming  <murrayc@murrayc.com>

	Update documentation of non-HV classes that were previously just bases.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/paned.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg: Update the overview doxygen comment based on 
	the latest C documentation.

2011-06-14  Murray Cumming  <murrayc@murrayc.com>

	Remove deprecation ifdefs around HBox and VBox.

	* gtk/src/hvbox.hg: We can't put these in ifdefs because they are 
	used as base classes by several other classes, and we can't change 
	those heirarchies because that would (probably?) break ABI.

2011-06-13  Murray Cumming  <murrayc@murrayc.com>

	Moved HScrollbar and VScrollbar to separate files.

	* gtk/src/scrollbar.[hg|ccg]:
	* gtk/src/hvscrollbar.[hg|ccg]: See the prevous commit about Box
	and others. I forgot to do it for this one too.
	* gtk/gtkmm.h: Mention the new header.
	* gtk/src/filelist.am: Mention the new files.

2011-06-13  Murray Cumming  <murrayc@murrayc.com>

	Dialog: Deprecate get_vbox(), replacing with get_content_area().

	* gtk/src/dialog.hg: We forgot to rename get_vbox() to 
	get_content_area() for gtkmm 3.0, so we do it now via a 
	deprecation.
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_dialog.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* tests/dialog_deletethis/main.cc:
	* tests/wrap_existing/main.cc: Adapted.

2011-06-10  Murray Cumming  <murrayc@murrayc.com>

	box.h, etc: Include the deprecated H/V classes.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/separator.hg:
	* gtk/src/paned.hg:
	* gtk/src/scale.hg: Include the deprecated headers at the end,
	so that developers do not need to change their include lines.

2011-06-10  Murray Cumming  <murrayc@murrayc.com>

	Split H/V* classes into separate files.

	* gtk/src/filelist.am:
	* gtk/src/box.hg:
	* gtk/src/buttonbox.[hg|ccg]:
	* gtk/src/hvbox.[hg|ccg]:
	* gtk/src/hvbuttonbox.[hg|ccg]:
	* gtk/src/hvpaned.[hg|ccg]:
	* gtk/src/hvscale.[hg|ccg]:
	* gtk/src/hvseparator.[hg|ccg]:
	* gtk/src/paned.hg:
	* gtk/src/scale.[hg|ccg]:
	* gtk/src/separator.hg: Move the deprecated classes into 
	separate files because gmmproc deprecates the whole file when 
	using _IS_DEPRECATED, which causes the non-deprecated classes to 
	be ifdefed too.

2011-06-10  Murray Cumming  <murrayc@murrayc.com>

	Avoid use of deprecated H/V* classes.

	* demos/gtk-demo/demowindow.[h|cc]:
	* demos/gtk-demo/example_buttonbox.cc:
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_dialog.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_iconview.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_panes.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_stockbrowser.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/gtk-demo/example_treeview_editable_cells.cc:
	* demos/gtk-demo/example_treeview_liststore.cc:
	* demos/gtk-demo/example_treeview_treestore.cc:
	* demos/gtk-demo/example_uimanager.cc:
	* gtk/src/bin.ccg:
	* tests/delete_cpp_child/main.cc:
	* tests/dialog/main.cc: Change all uses of HBox, VBox, and 
	the equivalents for ButtonBox, Scale, Separator, etc to 
	the non-deprecated Box, etc, equivalents.

2011-06-09  Murray Cumming  <murrayc@murrayc.com>

	Deprecate all H* an V* classes in favour of the base classes.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/paned.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg: Deprecate all H* and V* classes.
	We should now just use the base classes, setting the orientation 
	appropriately. This is indeed rather tedious.

	This fixes the build with --enable-warnings=fatal.

This is the master branch, for gtkmm 3.2, targetting GTK+ 3.2.
See also the gtkmm-3-0 branch.

2011-06-03  Kalev Lember  <kalev@smartlink.ee>

	Updated the FSF address in license headers and COPYING file

	* COPYING: Updated the file with latest copy available from the FSF;
	includes updated FSF mailing address and whitespace changes.
	Noticed by Thomas Sailer, https://bugzilla.redhat.com/701347#c5

2011-05-12  Murray Cumming  <murrayc@murrayc.com>

	CellAreaContext: Correct the documentation.

	* gtk/src/cellareacontext.hg: Write overview documentation based on the C
	documentation. This was previously a completely wrong copy/paste from some
	other class.

2011-05-02  Kalev Lember  <kalev@smartlink.ee>

	Don't build Gtk::Plug and Gtk::Socket on WIN32

	* gtk/src/filelist.am: Moved plug.h and socket.h to
	gtkmm_files_posix_hg. Bug #649187

3.0.1:

2011-05-09  Murray Cumming  <murrayc@murrayc.com>

	Fix the --enable-warnings=fatal build with GTK+ 3.1.x.

	* gtk/src/assistant.hg:
	* gtk/src/menuitem.hg: Add some #undef GTK_DISABLE_DEPRECATED so we can build
	with GTK+ 3.1.x.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	EntryCompletion: signal_cursor_match_info(): Fix this.

	* gtk/src/entrycompletion.ccg: Correct the signal name so that this really
	connects to that signal.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	Bin: Correct a code comment.

	* gtk/src/bin.ccg: add_pixlabel(): Correct a variable name and comment.
	Noticed by Kjell Ahlstedt.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

  MessageDialog: Correct the get_message_area() return type.

  * gtk/src/messagedialog.hg: get_message_area(): Return a Box instead of a VBox.
  This may have worked already, but this is a minor API change that should not
  affect anybody too much, and hopefully it will be OK this soon after the 3.0.0
  release.
  Noticed by Kjell Ahlstedt.

2011-05-02  Murray Cumming  <murrayc@murrayc.com>

	ScrolledWindow: Correct the get_v/hscrollbar() return types.

	* gtk/src/scrolledwindow.hg: get_hscrollbar(), get_vscrollbar(): Return
	Scrollbar instead of HScrollbar or VScrollbar, as this is what the C API
	really returns. This is not really an API break because these could never
	have been used until now, because they always returned 0.

3.0.0:

2011-04-05  Murray Cumming  <murrayc@murrayc.com>

	operator const void*(): Use GINT_TO_POINTER().

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.hg:
	* gtk/src/papersize.hg:
	* gtk/src/textiter.hg:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treerowreference.hg: Use GINT_TO_POINTER() instead of a
	(const void*) cast, to avoid problems on unusual platforms.
	Daniel Elstner suggested this.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Use a BoolExpr typedef to make operator const void* clearer.

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.hg:
	* gtk/src/papersize.hg:
	* gtk/src/textiter.hg:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treerowreference.hg: Use a BoolExpr typedef and add documentation
	because not all people will know the purpose of operator const void*.
  This was suggested by Daniel Elstner.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Remove RecentInfo::operator const void*.

	* gtk/src/recentinfo.[hg|ccg]: Remove operator const void* (previously
	operator bool), because it is unnecessary because it is used via RefPtr.
	The declaration was already commented out in the .hg header, but gmmproc
	still generated the declaration in the .h file.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove the extension-event property.

	* gdk/src/event.hg: Remove the now-unused, and maybe already not-generated,
	ExtensionMode enum.
	* gtk/src/widget.hg: Remove the extension-event property because it was
	removed in GTK+ 3 though it is not deprecated in GTK+ 2.24.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Gtk::NumerableIcon: Really add get_background_gicon() const.

	* gtk/src/numerableicon.hg: Fix a typo so that
	gtk_numerable_icon_get_background_gicon() is really wrapped.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Screen: Avoid an unnecessary gmmproc warning.

	* gdk/src/screen.hg: Remove a mention of gdk_screen_broadcast_client_message()
	because it is not in the GTK+ 3 API, though GTK+ 2.24 does not deprecate it.
	Noticed by Kjell Ahlstedt.

2011-04-04  Murray Cumming  <murrayc@murrayc.com>

	Change all operator void* to operator const void*.

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.[hg|ccg]:
	* gtk/src/papersize.[hg|ccg]:
	* gtk/src/recentinfo.[hg|ccg]:
	* gtk/src/textiter.[hg|ccg]:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.[hg|ccg]:
	* gtk/src/treerowreference.[hg|ccg]: Daniel Elstner suggested this.
	He also has some concern about the C-style casts, but we are talking about it.

2011-04-01  Murray Cumming  <murrayc@murrayc.com>

	Replace all operator bool() with operator void*().

	* gtk/gtkmm/stockid.[h|cc]:
	* gtk/src/iconinfo.[hg|ccg]:
	* gtk/src/papersize.[hg|ccg]:
	* gtk/src/recentinfo.[hg|ccg]:
	* gtk/src/textiter.[hg|ccg]:
	* gtk/src/treeiter.hg:
	* gtk/src/treepath.[hg|ccg]:
	* gtk/src/treerowreference.[hg|ccg]: Use operator void*() instead of
	operator bool() because this avoids an implicit conversion to int instead of
	bool. This is apparently generally considered a good thing. Daniel Elstner
	mentioned this at some point in the last year or so too.

2011-03-26  Kalev Lember  <kalev@smartlink.ee>

	Wrap a missing flag in GtkStateFlags

	* gtk/src/gtk_enums.defs: Added missing GTK_STATE_FLAG_NORMAL by
	regenerated with glibmm/tools/enums.pl.

2011-03-26  Kalev Lember  <kalev@smartlink.ee>

	MenuShell: Removed documentation references about Menu_Helpers::MenuElem

	* gtk/src/menushell.hg: Removed references to
	Gtk::Menu_Helpers::MenuElem which is no longer available in gtkmm 3.0.

2.99.8:

2011-03-25  Murray Cumming  <murrayc@murrayc.com>

	Avoid a tarball dependency on mm-common.

	* configure.ac: Add a call to MM_CONFIG_DOCTOOL_DIR() telling it to
	copy the files locally and use them from there.
	* docs/Makefile.am: Dist the copied files, so that the build does not
	try to use the versions installed by mm-common.

2.99.7:

2011-03-23  Murray Cumming  <murrayc@murrayc.com>

	Remove Gtk::Application until later.

	* gtk/src/application.[hg|ccg]: Removed this file.
	* gtk/src/filelist.am: Remove mention of the file.
	* gtk/src/window.hg: Remove API that uses the Application class.

  See http://bugzilla.gnome.org/show_bug.cgi?id=637445#c17

2.99.6:

2011-03-16  Murray Cumming  <murrayc@murrayc-desktop>

	TreeView: Removed unused TreeView::_get_base_model() method.

	* gtk/src/treeview.[hg|ccg]: As suggested by Kjell Ahlstedt in
	https://bugzilla.gnome.org/show_bug.cgi?id=582981#c16

2010-12-27  Luca Wehrstedt  <lerks@users.sourceforge.net>

	Make TreeModelFilter behave like TreeModelSort for editable TreeViews.

	* gtk/src/treemodel.hg: Add references to TreeModelFilter.
	* gtk/src/treemodelfilter.ccg: Make set_value_impl() convert the iter
	and call the same method on its child.
	* gtk/src/treeview.ccg: Check also for TreeModelSort inside of
	_get_base_model(). Update the toggle auto-store method.
	* gtk/src/treeview.hg: Update all auto-store methods.

	Bug #582981

2011-03-07  Murray Cumming  <murrayc@murrayc.com>

	Main: Improve the documentation.

	* gtk/src/main.hg: Improve the overview documentation and the constructors'
	documentation.

2011-03-07  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Main: Add a constructor with no argc and argv.

	* gtk/src/main.[hg|ccg]: Main: Add a public constructor with no argc/argv
	parameters, becase that is now officially allowed by the C API.
	See https://bugzilla.gnome.org/show_bug.cgi?id=643649#c3

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Window: Added unset_application,

	* gtk/src/window.[hg|ccg]: Added unset_application() because the parameter
	can be NULL.

2011-02-23  Murray Cumming  <murrayc@murrayc.com>

	Added class overview documentation for new classes.

	* gdk/src/devicemanager.hg:
	* gdk/src/rgba.hg:
	* gtk/src/buildable.hg:
	* gtk/src/cellarea.hg:
	* gtk/src/cellareabox.hg:
	* gtk/src/cssprovider.hg:
	* gtk/src/numerableicon.hg:
	* gtk/src/stylecontext.hg:
	* gtk/src/styleprovider.hg:
	* gtk/src/widgetpath.hg: Added documentation based on the C documentation,
	though I have not yet translated the C code examples. I added TODO comments
	so we remember to do them sometime in the future.

2011-02-23  Murray Cumming  <murrayc@murrayc.com>

	CssProvider: load_from_data(): Added documentation.

	* gtk/src/cssprovider.hg: load_from_data(): Add doxygen documentation
	which was previously generated when using _WRAP_METHOD().

2011-02-22  Fabien Parent  <parent.f@gmail.com>

	Gtk::CssProvider: Simplify the load_from_data method.

	* gtk/src/cssprovider.[hg|ccg]: Simplify the load_from_data method by
	removing the useless size parameter.

2011-02-22  Murray Cumming  <murrayc@murrayc-desktop>

	Gdk::Rectangle: Added reference documentation.

	* gdk/src/rectangle.hg: Add doxygen comments based on the documentation of
	the C API.

2.99.5:

2011-02-15  Murray Cumming  <murrayc@murrayc.com>

	CellView, EntryCompletion: Wrap new API.

	* gtk/src/cellview.hg: Derive from Orientable and add set/get_draw_sensitive(),
	set/get_fit_model() and the new properties.
	* gtk/src/entrycompletion: Derive from Buildable and add the cell-area
	property.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	ButtonBox, Separator, Scale, Scrollbar: Add public constructors.

	* gtk/src/buttonbox.hg:
	* gtk/src/separator.hg: Constructors: Added optional orientation parameters
	to match the new gtk_button_box_new() and gtk_separator_new() functions.
	* gtk/src/scale.[hg|ccg]:
	* gtk/src/scrollbar.[hg|ccg]: Added (Adjustment, Orientation) constructors to
	match the new gtk_scale_new() and gtk_scrollbar_new() functions.
	Make sure that the default constructors are now public, instead of protected,
	as these are no longer just abstract base classes. That change was made in
	GTK+.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	Paned: Add an optional orientation parameter, matching the new C API.

	* gtk/src/paned.hg: Change the constructor to match the new gtk_paned_new()
	function.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	Wrapped two new properties.

	* gtk/src/iconview.hg: Added cell_area property.
	* gtk/src/image.hg: Added set_fallback property.
	These do not seem to have corresponding functions.

2011-02-14  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added should_draw_window() and transform_cairo_context_to_window().

	* gtk/src/widget.[hg|ccg]: Added Widget::transform_cairo_context_to_window(),
	wrapping gtk_cairo_transform_to_window().
	Added Widget::should_draw_window(), wrapping gtk_cairo_should_draw_window().
	These are both protected because they are for use in Gtk::Container
	implementation.
	* tools/m4/convert_gtk.m4: Added a Cairo::Context conversion.

2011-02-11  Murray Cumming  <murrayc@murrayc.com>

	Make sure that we do not wrap the deprecated CellRenderer::get_size() vfunc.

	* gtk/src/gtk_vfuncs.defs: Comment out the definition of get_size().

2011-02-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  CellArea, CellRenderer, Widget: Modify and add some vfuncs.

  * gtk/src/gtk_vfuncs.defs:
  * gtk/src/cellarea.[hg|ccg]:
  * gtk/src/cellrenderer.[hg|ccg]: Add vfuncs get_request_mode,
 	get_preferred_[width|height_for_width|height|width_for_height].
 	* gtk/src/widget.[hg|ccg]: Change int* to int& in
 	get_preferred_[width|height_for_width|height|width_for_height]_vfunc.
  Bug #639073, comment 19.

2.99.4:

2011-02-10  Murray Cumming  <murrayc@murrayc.com>

	AppChooserDialog: Fixed a typo.

	* gtk/src/appchooserdialog.hg: Avoid registering a type with the wrong
	(and duplicate) name.

2011-02-10  Murray Cumming  <murrayc@murrayc.com>

	Added AppChooser, AppChooserButton, AppChooserDialog and AppChooserWidget.

  * tools/extra_defs_gen/generate_defs_gtk.cc: Mentioned the new AppChooser
  GTypes.
  * gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/appchooser.[hg|ccg]: Added this new interface.
	* gtk/src/appchooserbutton.[hg|ccg]:
	* gtk/src/appchooserdialog.[hg|ccg]:
	* gtk/src/appchooserwidget.[hg|ccg]: Added wrappers for these new widgets.
	* gtk/src/filelist.am: Mentioned the new files.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2011-02-10  Murray Cumming  <murrayc@murrayc.com>

	CellArea: Added constructor that takes a CellArea.

	* gtk/src/combobox.[hg|ccg]: Added cell_area property and a constructor that
	takes a CellArea, to match gtk_combo_box_new_with_area().

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added unset_icon().

	* gtk/src/entry.[hg|ccg]: Added unset_icon() because the
	gtk_entry_set_icon_from_*() functions do that when they are passed a NULL.
	Bug #621742 (feuloren)

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Add warning about not confusing these.

	* gtk/src/comboboxtext.hg: Add a doxygen comment warning people not to
	call set_model() on these or to pack more cells in.
	Bug #619656 (JimO, Kjell Ahlstedt)

2011-02-08  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Slight documentation improvements.

	* gtk/src/combobox.hg:
	* gtk/src/comboboxtext.hg: Update the class overview documentation to match
	recent additions in the C documentation and to reflect that we now have
	get_entry() in gtkmm (though still not in the C API).

2.99.3:

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	DragContext: Remove the deprecated constructor and create() method.

	* gdk/src/dragcontext.hg: There should be no deprecated API in gtkmm 3.0.0.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the build against GTK+ from git master.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/display.[hg|ccg]: selection_send_notify(): This now takes a
	Gdk::Window instead of a (now removed) GdkNativeWindow.
	Remove the use of gdk_drag_get_protocol_for_display(), which was removed
	from GTK+.
	* gdk/src/types.hg: Remove the mention of GdkNativeWindow.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

  Button: Restore the clicked() method.

	* gtk/src/button.hg: gtk_button_clicked() is not deprecated. Fix that
	mistake.
	Thanks to Aurimas Černius.

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Minor documentation improvement.

	* gdk/src/pixbuf.hg: Dealt with a TODO comment.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Require the recent glibmm version for the std::vector utilities.

	* configure.ac: We actually check for giomm, but that brings in glibmm.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Plug, Socket: Fix the build by using Window as ::Window.

	* gtk/src/plug.[hg|ccg]:
	* gtk/src/socket.hg: Include the namespacing-destroying gtkx.h and
	use ::Window when we mean the nasty X11 Window type.

2011-02-01  Murray Cumming  <murrayc@murrayc-desktop>

	Display, Event: Remove ClientEvent methods.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/display.hg: Remove add_client_message_filter().
	* gdk/srd/screen.hg: Remove send_client_message().
	* gtk/src/widget.hg: Remove client_event signal.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Plug, Socket: Use the X11 Window type. Not my idea.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/plug.hg:
	* gtk/src/socket.hg: Use the (awfully, stupidly, no-namespacingly named, but
	historical) Window X11 type instead of GdkNativeWindow, as now done in the C
	API. Anyone including these headers may now expect compiler and linker
	confusion. Luckily they are not included by gtkmm.h.

2011-01-30  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+ from git master.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Include gtkx.h and put ifdefs
	around the use of GTK_TYPE_PLUG and GTK_TYPE_SOCKET.
	* gtk/src/plug.ccg:
	* gtk/src/socket.ccg: Include the new gtkx.h header, because the
	declaration have moved.

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Fix make check.

	* demos/gtk-demo/example_stockbrowser.cc: Adapt for the previous commit
	that changed IconSet to need RefPtr.

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	IconSet: Use this via a RefPtr.

	* gtk/src/iconset.[h|cc]: Use this via RefPtr, because that is what the
	C API expects, though this is not a GObject.
	* gtk/gtkmm/stock.[h|cc]:
	* gtk/src/iconfactory.hg:
	* gtk/src/image.[hg|ccg]:
	* gtk/src/stylecontext.hg:
	* tools/m4/convert_gtk.m4: Adapt.

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Widget: Add some methods.

	* gtk/src/widget.hg: Added set_state_flags(), get_state_flags(),
	reset_state_flags(), set_device_enable(), get_device_enabled(), and
	reset_style().

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Widget: Simplify the get_request_mode vfunc wrapping.

	* gtk/src/widget.[hg|ccg]: Use a simple _WRAP_VFUNC() now that the C code
	behaves properly. See https://bugzilla.gnome.org/show_bug.cgi?id=639073#c17

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Wrapped some new GTK+ functions, removing some too.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/cellarea.hg: Remove set_style_detail() and get_style_detail().
	* gtk/src/cellrenderer.hg: Added get_state().
	* gtk/src/textview.hg: Added get_cursor_locations().

2011-01-27  Krzesimir Nowak  <qdlacz@gmail.com>

	Fixed compilation errors introduced in previous changes.

	* gdk/src/types.ccg:
	* gdk/src/types.hg: Added traits for Glib::ustring GdkAtoms.
	* gdk/src/display.ccg:
	* gdk/src/window.ccg: Use new traits.
	* gtk/src/textbuffer.ccg: Ditto. And remove the bogus word.

2011-01-27  Krzesimir Nowak  <qdlacz@gmail.com>

	Adapted Gdk and Gtk to vectorutils.

	* gdk/gdkmm/list.h: Deleted.
	* gdk/gdkmm/filelist.am: Removed list.h from build.
	* gdk/src/color.hg:
	* gdk/src/device.ccg:
	* gdk/src/device.hg:
	* gdk/src/devicemanager.ccg:
	* gdk/src/devicemanager.hg:
	* gdk/src/display.ccg:
	* gdk/src/dragcontext.ccg:
	* gdk/src/dragcontext.hg:
	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg:
	* gdk/src/pixbufformat.hg:
	* gdk/src/rgba.hg:
	* gdk/src/screen.hg:
	* gdk/src/timecoord.hg:
	* gdk/src/types.hg:
	* gdk/src/window.ccg:
	* gdk/src/window.hg: Adapted Gdk to vectorutils.
	* gtk/gtkmm/listviewtext.cc:
	* gtk/gtkmm/stock.cc:
	* gtk/gtkmm/stock.h:
	* gtk/gtkmm/stockid.h:
	* gtk/gtkmm/targetentry.h:
	* gtk/src/aboutdialog.ccg:
	* gtk/src/aboutdialog.hg:
	* gtk/src/action.ccg:
	* gtk/src/action.hg:
	* gtk/src/actiongroup.ccg:
	* gtk/src/actiongroup.hg:
	* gtk/src/application.ccg:
	* gtk/src/application.hg:
	* gtk/src/box.hg:
	* gtk/src/builder.ccg:
	* gtk/src/builder.hg:
	* gtk/src/celllayout.ccg:
	* gtk/src/celllayout.hg:
	* gtk/src/clipboard.ccg:
	* gtk/src/clipboard.hg:
	* gtk/src/colorselection.ccg:
	* gtk/src/colorselection.hg:
	* gtk/src/container.ccg:
	* gtk/src/container.hg:
	* gtk/src/dialog.ccg:
	* gtk/src/dialog.hg:
	* gtk/src/enums.hg:
	* gtk/src/filechooser.ccg:
	* gtk/src/filechooser.hg:
	* gtk/src/iconinfo.ccg:
	* gtk/src/iconinfo.hg:
	* gtk/src/iconset.ccg:
	* gtk/src/iconset.hg:
	* gtk/src/icontheme.ccg:
	* gtk/src/icontheme.hg:
	* gtk/src/iconview.ccg:
	* gtk/src/iconview.hg:
	* gtk/src/liststore.ccg:
	* gtk/src/liststore.hg:
	* gtk/src/main.ccg:
	* gtk/src/main.hg:
	* gtk/src/menushell.ccg:
	* gtk/src/menushell.hg:
	* gtk/src/notebook.hg:
	* gtk/src/papersize.ccg:
	* gtk/src/papersize.hg:
	* gtk/src/printer.ccg:
	* gtk/src/printer.hg:
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg:
	* gtk/src/recentchooser.ccg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentinfo.ccg:
	* gtk/src/recentinfo.hg:
	* gtk/src/recentmanager.ccg:
	* gtk/src/recentmanager.hg:
	* gtk/src/scalebutton.ccg:
	* gtk/src/scalebutton.hg:
	* gtk/src/selectiondata.ccg:
	* gtk/src/selectiondata.hg:
	* gtk/src/sizegroup.ccg:
	* gtk/src/sizegroup.hg:
	* gtk/src/table.hg:
	* gtk/src/targetlist.ccg:
	* gtk/src/targetlist.hg:
	* gtk/src/textbuffer.ccg:
	* gtk/src/textbuffer.hg:
	* gtk/src/textchildanchor.ccg:
	* gtk/src/textchildanchor.hg:
	* gtk/src/textiter.ccg:
	* gtk/src/textiter.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/treemodel.ccg:
	* gtk/src/treemodel.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treeselection.ccg:
	* gtk/src/treeselection.hg:
	* gtk/src/treestore.ccg:
	* gtk/src/treestore.hg:
	* gtk/src/treeview.ccg:
	* gtk/src/treeview.hg:
	* gtk/src/treeviewcolumn.hg:
	* gtk/src/uimanager.ccg:
	* gtk/src/uimanager.hg:
	* gtk/src/widget.ccg:
	* gtk/src/widget.hg:
	* gtk/src/window.ccg:
	* gtk/src/window.hg: Adapted Gtk to vectorutils.
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_textview.cc:
	* tests/refcount_dialog/main.cc: Fixed tests and examples.

2011-01-27  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Added some since tags.

	* gtk/src/combobox.hg: Added newin{2,24} to some new methods that I just put
	in the gtkmm-2-24 branch too.

2011-01-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Widget (and others): Add methods needed by custom widgets.

	* gtk/src/cssprovider.hg: Added _WRAP_CREATE. Added refreturn on
	get_default() and get_named().
	* gtk/src/stylecontext.ccg: The 'get' methods return a copy of the local
	objects, not a pointer to them.
	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/widget.[hg|ccg]: Added vfuncs get_request_mode,
	get_preferred_[width|height_for_width|height|width_for_height]. Bug 639073.

2011-01-23  Armin Burgmeier  <armin@arbur.net>

	Widget: Wrap the style-updated signal.

	* gtk/src/widget.hg: Wrap the style-updated signal

2011-01-21  Murray Cumming  <murrayc@murrayc.com>

	Application: Added run() with no parameters.

	* gtk/src/application.[hg|ccg]: Add a run() that takes no argc, argv
	parameters, though see my TODO comments.

2011-01-20  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application: Let run(window) actually return.

	* gtk/src/application.[hg|ccg]: add_window(): Hand-code this, so we can
	respond to the window's hide signal. This is because GtkApplication
	actually responds to window destruction, not window closing.

2011-01-20  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application: Try to make this a replacement for Gtk::Main.

	* gtk/src/application.[hg|ccg]: Add a copy of init_gtkmm_internals() from
	Gtk::Main's main.cc and call it from the constructor, so that
	Gtk::Application can be a replacement for Gtk::Main.
	Add a constructor that takes argc and argv, so we can completely
	initialize GTK+ and gtkmm, because doing it in run() will be too late for
	some code: See bug #639925.
	Add a run() that does not take argc, argv, for when you have supplied them
	to the constructor instead.
	Add a run() that takes a window, like Gtk::Main::run(), so it can return
	when the window closes. However, see bug #639931 about it really responding to
	destruction, not closing.
	We show the window in an activate signal handler, because GTK+ complains if
	we don't have such a handler. See bug #640042.

2011-01-18  Murray Cumming  <murrayc@murrayc.com>

	Range: Added get/set_round_digits() and property.

	* gtk/src/range.hg: This API Is new in GTK+ in git master.

2011-01-16  Murray Cumming  <murrayc@murrayc.com>

	Added NumerableIcon.

	* gtk/src/numerableicon.[hg|ccg]: Added NumerableIcon.
	* gtk/src/filelist.am: Mentioned the new files.
	* gtk/gtkmm.h: Include the new header.

2011-01-15  Murray Cumming  <murrayc@murrayc.com>

	ListViewText: Rename methods to be consistent with ComboBoxText.

	* gtk/gtkmm/listviewtext.[h|cc]: Rename append_text(), insert_text(), and
	prepend_text() to append(), insert() and prepend() because that is what
	ComboBoxText now uses (because it has other append overloads).

2011-01-15  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Remove the constructor that takes a model.

	* gtk/src/comboboxtext.[hg|ccg]: Remove the (model, bool) constructor
	because there is no such gtk_combo_box_new_with_model() function to match,
	and because this would be silly.

	This was mentioned in bug #619656 by Kjell Ahlstedt.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Documentation: Correct the overview

	* gtk/src/combobox.hg: Update the overview comment now that the documentation
	for the C API has been improved. This removes the mention of OptionMenu,
	mention has-entry, and talks more about ComboBoxEntry.

	This was mentioned in bug #619656 by Kjell Ahlstedt.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Documentation: Correct the overview.

	* gtk/src/comboboxtext.hg: Mention append(), etc, instead of
	append_text(), etc.
	Bug #638405 (Dingeman van der Laan)

2011-01-13  Murray Cumming  <murrayc@murrayc.com>

	Window: Correct my broken begin_drag() implementation.

	* gdk/src/window.ccg: gdk_drag_begin() takes a GList*, not an array.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	DragContext: Deprecate create(), adding Window::drag_begin().

	* gdk/src/dragcontext.hg: Deprecate the constructor and create(), because
	the equivalent gdk_drag_context_new() is deprecated.
	* gdk/src/window.[hg|ccg]: Added begin_drag(), wrapping gdk_drag_begin(),
	mentioned in the deprecation comment.
	* tools/m4/convert_gdk.m4: Added a DragContext conversion.

2011-01-14  Murray Cumming  <murrayc@murrayc.com>

	Widget: Make some methods protected.

	* gtk/src/widget.hg: set_window(), set_has_window(), and get_requisition()
	should only be used by the widget itself, in derived classes, so they can
	be protected, to simplify the public API.

2011-01-13  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Remove mentions of Pixmap.

	* gdk/src/window.hg: Remove declaration of set_icon(pixmap), which had
	no definition.
	* gtk/src/bin.ccg:
	* gtk/src/button.hg:
	* gtk/src/checkbutton.hg:
	* gtk/src/offscreenwindow.hg:
	* gtk/src/togglebutton.hg: Remove or replace mentions of Gdk::Pixmap in the
	documentation.

2011-01-13  Murray Cumming  <murrayc@murrayc.com>

	Documentation: Don't mention non-existant Gdk::Colormap class.

	* gdk/src/color.hg:
	* gdk/src/screen.hg:
	* gdk/src/types.hg:
	* gdk/src/visual.hg: Remove mentions of Colormap, which no longer exists
	and which doesn't seem to need any replacement.

2011-01-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

  Widget::set_window(): Increase the ref count of the Gdk::Window.

  * gdk/src/widget.[hg|ccg]: set_window() increases the ref count of the
  Gdk::Window, since gtk_widget_set_window() does not.

  Bug #606903 (Hammered)

2.99.1:

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build.

	* demos/gtk-demo/example_change_display.cc: Comment out the code that
	we cannot yet port because the C example has not been ported.
	See https://bugzilla.gnome.org/show_bug.cgi?id=638907
	This at least fixes distcheck so I can make a tarball release.
	* demos/gtk-demo/example_stockbrowser.cc: Revert my previous clear()->reset()
	change because this was actually meant to call Image::clear().

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Removed set_option() again.

	* gdk/src/pixbuf.hg: gdk_pixbuf_set_option() is actually only available when
	GDK_PIXBUF_ENABLE_BACKEND is set.

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Add some methods.

	* gdk/src/pixbuf.hg: Added set_option() and apply_embedded_orientation().

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some new methods.

	* gtk/src/menuitem.hg: Added get/set_reserve_indicator().
	* gtk/src/menushell.hg: Added get_selected_item() and get_parent_shell().
	* gtk/src/stylecontext.hg: Added get/set_path() and get_screen().
	* gtk/src/treeview.[hg|ccg]: Added is_blank_at_pos().
	* tools/m4/convert_gdk.m4: Added necessary conversion.

2011-01-12  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gdk-pixbufs defs.

	* gdk/src/gdk_pixbuf_methods.defs: Regenerated with h2defs.py.
	* gdk/src/gdk_extra.defs: Remove mention of
	gdk_pixbuf_render_threshold_alpha(), which does not seem to exist anywhere now.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* gtk/src/selectiondata.hg: Include gdkmm/pixbuf.h now that it is not
	included indirectly.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Regenerated signals and properties defs.

	* gdk/src/gdk_signals.defs:
	* gtk/src/gtk_signals.defs: Regenerated with h2defs.py, applying
	gtk/src/gtk_signals.defs.patch from the top-level with -p1.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Fix some typos to fix the build.

	* gdk/src/dragcontext.ccg: Fix silly errors.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Screen: Fix a typo, so the monitors_changed() signal really uses the C signal.

	* gdk/src/screen.hg: The monitors_changed() signal was wrapping the
	size_changed signal.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Added some methods.

	* gdk/src/display.hg: Added has_pending() and notify_startup_complete().
	* gdk/src/displaymanager.hg: Added open_display().
	* gdk/src/dragcontext.[hg|ccg]: find_window_for_screen(): Use a reference
	for the protocol parameter, instead of a pointer.
	Added get_dest_window() and get_protocol().

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Window: Added get_device_cursor().

	* gdk/src/device.[hg|ccg]: Move the EventMask and GrabStatus enums here
	because they are used by Device and Device is the more common header to
	include. Do not include Window from here.
	* gdk/src/window.hg: Added get_device_cursor(). Include device.h to use the
	InputSource enum.
	* tools/m4/convert_gdk.m4: Added necessary conversion.
	* gdk/src/display.[hg|ccg]: Do not include device.h or devicemanager.h,
	to avoid a circular include.
	* gdk/src/screen.hg: Remove mention of removed gdk_screen_get_rgb_visual()
	function.
	* gdk/src/event.hg: Include types.h instead of window.h, because that is all
	that is needed, and it avoids a circular include.
	* gdk/src/pixbuf.hg: Include cairomm/surface.h instead of window.h, because
	that is all that is needed, and it avoids a circular include.
	* gdk/src/gdk_extra_objects.defs: Mention more objects, to improve the
	documentation.
	* gdk/gdmm/general.h: Include rgba.h and rectangle.h now that they are not
	included indirectly.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the function defs.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

2011-01-11  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove style_attach().

	* gtk/src/widget.hg: gtk_widget_style_attach() is deprecated, so we don't
	wrap it anymore.
	This fixes the build with --enable-warnings=fatal.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Depend on necessary versions of atkmm and pangomm.

	* configure.ac: Depend on the versions of atkmm and pangomm that provide
	conversions in .m4 files, now that glibmm does not provide them implicitly.
	This is only relevant when building from git, however. The older versions
	would be OK when building from a tarball.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Use RefPtr::reset() instead of deprecated RefPtr::clear().

	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_stockbrowser.cc: These were causing build errors
	now that we build with deprecated glibmm API disabled.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	Use the m4 convert files from atkmm and pangomm instead of repeating them.

	* configure.ac: Discover the path of the pangomm and atkmm m4 files for use
	instead of repeating them here.
	* tools/m4: Remove convert_pango.m4 and convert_atk.m4.

2011-01-07  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Cursor: Avoid warnings and failures about reusing existing C instances.

	* gdk/src/cursor.[hg|ccg]: Remove the constructors, because the
	gdk_cursor_new_*() functions really return existing instances instead of
	always returning new instances.
	* demos/gtk-demo/example_change_display.cc: Use Gdk::Cursor via RefPtr.

2011-01-06  Krzesimir Nowak  <qdlacz@gmail.com>

	Wrapped gdk_device_get_history().

	* gdk/src/device.[hg|ccg]: Wrapped gdk_device_get_history().
	* gdk/src/timecoord.[hg|ccg]: New files.
	* gdk/src/filelist.am: Added new files to build.

2011-01-06  Murray Cumming  <murrayc@murrayc.com>

	Range: Remove get/set_update_policy(), to fix the build.

	* gtk/src/enums.hg: Remove the UpdateType enum.
	* gtk/src/range.hg: Remove get/set_update_policy() and the property,
	because they were removed from GTK+ 3.

2011-01-06  Murray Cumming  <murrayc@murrayc.com>

	TreeModel::iterator::operator--(): Use gtk_tree_model_iter_previous().

	* gtk/src/treeiter.ccg: Use the new C function instead of the code that we
	copied from totem.

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	Cursor: Make the API public, not protected, fixing the previous commit.

	* gdk/src/cursor.hg: Fix my typo.

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	Cursor: Add create() methods. (this had the wrong commit message)

	* gdk/src/cursor.hg: Add create() methods, making the constructors protected,
	because this should now be used via RefPtr.

2011-01-05  Murray Cumming  <murrayc@murrayc.com>

	Minor corrections to previous commit to make things clearer.

	* gtk/src/image.hg:
	* gtk/src/texttag.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/window.hg: Remove mentions of removed properties, instead of
	just commenting them out, because that makes them seem like something that
	is yet to be done.
	* gtk/src/filechooserbutton.hg: Add a comment saying that the dialog property
	was commented out because it is construct-only and write-only.

	* gtk/src/cellview.hg: Likewise, remove the mention of the removed methods,
	instead of just commenting it out.

2011-01-04  Krzesimir Nowak  <qdlacz@gmail.com>

	Quickly fix the build with latest Gtk+.

	gtk/src/gtk_methods.defs: Regenerated with h2def.py.
	gtk/src/aboutdialog.hg: Changed the conversion.
	gtk/src/cellview.hg: For now commented the deleted methods.
	gtk/src/filechooserbutton.hg:
	gtk/src/image.hg:
	gtk/src/texttag.hg:
	gtk/src/toolbar.hg:
	gtk/src/window.hg: Gmmproc is complaining about failed lookup for
	some properties, so they are commented out.

2011-01-04  Krzesimir Nowak  <qdlacz@gmail.com>

	Device: Added grab() overload.

	* gdk/src/device.[hg|ccg]: Added an overload of grab() method, which
	does not take Gdk::Cursor as argument.

2011-01-04  Murray Cumming  <murrayc@murrayc.com>

	Device: Added get_window_at_position() with no parameters.

	* gdk/src/device.[hg|ccg]: Added get_window_at_position(void) overloads to
	match the previous Display::get_window_at_pointer(void) overloads.

2011-01-04  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+ from git master.

	* gdk/src/device.hg: Added warp().
	* gdk/src/display.[hg|ccg]: Removed pointer_ungrab(),
	keyboard_ungrab(), pointer_is_grabbed(), device_is_grabbed(), get_pointer(),
	get_window_at_pointer(), warp_pointer, set_pointer_hooks(),
	unset_pointer_hooks(), set_device_hooks(), unset_device_hooks().

	Some of these Display methods are now in Device instead, which will be shown
	in the deprecation comments in gtkmm 2.24, when we make the changes there.

2010-12-28  Krzesimir Nowak  <qdlacz@gmail.com>

	Added new methods to Gdk::Device.

	* gdk/src/gdk_methods.defs: Regenerated with h2def.py.
	* gdk/src/device.[hg|ccg]: Added get_position() and
	get_window_at_position() which are counterparts of
	previously removed methods in Gdk::Display.

2010-12-28  Krzesimir Nowak  <qdlacz@gmail.com>

	Quickly fix the build with latest Gdk.

	* gdk/src/device.hg: Remove set_source() method.
	* gdk/src/display.[hg|ccg]: Remove get_device_state() and
	get_window_at_device_position() methods.

2010-12-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the reference counting of Adjustment.

	* gtk/src/adjustment.ccg: Use the _INITIALLY_UNOWNED_SINK macro in the
	hand-coded constructor.
	* gtk/src/container.hg: get_focus_vadjustment() and get_focus_hadjustment():
	Use refreturn.
	* gtk/src/range.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/spinbutton.hg: get_adjustment(): Use refreturn.
	Bug #637891.

2010-12-24  Murray Cumming  <murrayc@murrayc.com>

	Window: Remove frame API to fix the build with GTK+ from git master.

	* gtk/src/window.hg: Removed set_frame_event(), get_frame_event(),
	set_frame_dimensions(), get_frame_dimensions() and the frame_event signal.

2010-12-23  Murray Cumming  <murrayc@murrayc.com>

	Use _UNMANAGEABLE on all remaining Windows.

	* gtk/src/pagesetupunixdialog.hg:
	* gtk/src/plug.hg:
	* gtk/src/printunixdialog.hg: Use the _UNMANAGEABLE macro to
	prevent us from calling manage() in the wrap_new() implementations.
	Bug #623137 (Kjell Ahlstedt)

2010-12-23  José Alburquerque  <jaalburqu@svn.gnome.org>

	_CLASS_GTKOBJECT: Remove __REAL_* additional arguments.

	* tools/m4/class_gtkobject.m4: Remove the use of the
	__REAL_[CNAME|CPARENT]__ variables needed to wrap some classes in
	gtkmm that were typedef to their base type (such as GdkWindow and
	GdkPixmap).  These classes have been fixed in gtk+-3 thus eliminating
	the need for the special arguments in _CLASS_GTKOBJECT.

2010-12-23  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal.

	* configure.ac: Use -no-long-long to avoid an (apparently new) compiler
	warning about long long not being supported by C++98. glibmm already had
	this option.

2.91.7:

2010-12-22  Murray Cumming  <murrayc@murrayc.com>

	Cursor: Do not try to derive a GType.

	* gdk/src/cursor.hg: Use the (undocumented?) _DO_NOT_DERIVE_GTYPE macro
	to avoid deriving a GType, because we get this warning when we try:
	cannot derive `gtkmm__GdkCursor' from non-fundamental parent type `GdkCursor'
  We do not need to anyway, because there are no properties or signals.

2010-12-22  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/cursor.[hg|ccg]: This should now be used via RefPtr.
	* gdk/src/display.hg:  Remove warp_device().
	* gdk/src/device.hg:
	* gdk/src/displaymanager.hg:
	* gdk/src/screen.hg: Remove default signal handlers, because they are
	now private in the C API.
	* gdk/src/window.hg: Use Cursor via RefPtr.
	* tools/m4/convert_gdk.m4: Add necessary conversions, removing some
	now-unnecessary ones.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/cellareabox.hg: pack_start(), pack_end(): Add a bool fixed
	parameter, matching the change in the C API.
	* gtk/src/cellareacontext.hg:	Add get_preferred_height().

	* demos/gtk-demo/example_change_display.cc: Comment out the use of
	gdk_pointer_grab() until the C demo is ported to use gdk_device_grab(),
	so we know what to do instead.

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	Fix totally broken type registration.

	* gtk/src/switch.hg: This should not try to derive directly from GtkWidget*.
	This was causing a warning about a double registration of gtkmm__GtkWidget,
	which caused Gtk::Widget to be broken.

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	CellLayout, CellAreaContext: Added methods.

	* gtk/src/cellareacontext.[hg|ccg]: Added get_area(), allocate(), reset() and
	get_preferred_width_for_height().
	* gtk/src/celllayout.[hg|ccg]: Added get_area().
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	TreeViewColumn: Added get_button().

	* gtk/src/treeviewcolumn.hg: Wrap gtk_tree_view_column_get_button().

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	CellArea, CellAreaBox, CellAreaContext: Added methods.

	* gtk/src/cellarea.hg:
	* gtk/src/cellareabox.hg:
	* gtk/src/cellareacontext.hg: Wrap most methods, though not all.
	No properties, signals, or vfuncs are wrapped yet.
	* tools/m4/convert_gtk.m4: Added conversions for some of these types.

2010-12-21  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Added 2 methods.

	* gtk/src/cellrenderer.hg: Added is_activatable() and get_aligned_area().

2010-12-20  Murray Cumming  <murrayc@murrayc.com>

	Gtk: Add CellArea, CellAreaBox and CellAreaContext

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention GtkCellArea,
	GtkCellAreaBox and GtkCellAreaContext.
	* gtk/src/filelist.am:
	* gtk/src/cellarea.[hg|ccg]:
	* gtk/src/cellareabox.[hg|ccg]:
	* gtk/src/cellareacontext.[hg|ccg]: Added these classes, though no methods
	are wrapped yet.
	* gtk/gtkmm.h: Include the new headers.

2010-12-20  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ from git master.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/widget.hg: set/get_extension_events() removed, because they were
	removed from GTK+, apparently because they are now unnecessary.
	* gtk/src/widgetpath.hg: get_widget_type() renamed to get_object_type().
	iter_get/set_widget_type() renamed to iter_get/set_object_type().

2010-12-17  Murray Cumming  <murrayc@murrayc.com>

	Application: Use _WRAP_CTOR() and _WRAP_CREATE() instead of _WRAP_METHOD().

	* gtk/src/application.hg: This adds a protected constructor and makes the
	create() method just call that, which is the normal ways to do things.
	Maybe we had wrapped gtk_application_new() directly before because it maybe
	once did more than call g_object_new(), but that is fine now.
	Now people can derive from this class.

	This fixes bug #637445 (Yannick Guesnet)

2010-12-17  Murray Cumming  <murrayc@murrayc.com>

	Window: Added get/set_application().

	* gtk/src/window.hg:  Wrapped gtk_window_get_application() and
	gtk_window_set_application() and property. Include appliation.h.
	* gtk/src/application.[hg|ccg]: Pre-declare Window instead of including
	window.h, to avoid the circular include.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

	This fixes bug #637441 (Yannick Guesnet)

2010-12-16  Murray Cumming  <murrayc@murrayc.com>

	Pixbuf: Derive from (and implement) Gio::Icon.

	* configure.ac: Require the latest gdk-pixbuf. This is also needed for
	gdk_pixbuf_format_get_type() and similar functions.
	* gdk/src/pixbuf.hg: Derive from Gio::Icon and implement that interface.
	This is a recent change in gdk-pixbuf.

2010-12-15  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ from git master.

	* gtk/src/widget.hg: Remove reset_shapes() because it was removed from GTK+.

2010-12-14  Murray Cumming  <murrayc@murrayc.com>

	Fix the demos build.

	* demos/gtk-demo/example_stockbrowser.cc: Use Gtk::Widget::render_icon_pixbuf()
	rather than render_icon().

2010-12-13  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove a useless _WRAP_METHOD() line.

	* gtk/src/widget.hg: Remove mention of gtk_widget_get_default_visual(),
	apparently removed from GTK+.

2010-12-13  Murray Cumming  <murrayc@murrayc.com>

	IconInfo: Added load_icon_symbolic(StyleContext, bool&).

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/iconinfo.[hg|ccg]: Rename load_icon_symbolic() to load_symbolic()
	to match the C function names.
	Add load_icon_symbolic(StyleContext, bool&), to wrap
	gtk_icon_info_load_symbolic_for_context().

2010-12-10  Murray Cumming  <murrayc@murrayc.com>

	pkg-config file: Added gmmprocm4dir.

	* gtk/gtkmm.pc.in: Added gmmprocm4dir, which should be used to set
	GMMPROC_EXTRA_M4_DIR in configure.ac files, for use by gmmproc so that
	gmmproc has access to gtkmm-specific m4 conversions.

2010-12-10  Murray Cumming  <murrayc@murrayc.com>

	Change an m4 conversion to fix the build with latest glibmm.

	* tools/m4/convert_gtk.m4: For some reason, using __FR2P leaves a
	$3 in the .cc file, though similar conversions work fine. Changed it to
	a normal conversion.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Added class_gtkobject.m4, previously in glibmm.

	* tools/m4/class_gtkobject.m4: Added this, so we can use _CLASS_GTKOBJECT.
  * tools/m4/filelist.m4: Mentioned the new file.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added unset_color/font() methods.

	* gdk/src/widget.[hg|ccg]: Add unset_*() methods to match the override_*()
	methods, because the C functions can take NULLs.

2010-12-09  Murray Cumming  <murrayc@murrayc.com>

	Widget: Removed render_icon(), adding render_icon_pixbuf().

	* gtk/src/widget.hg: gtk_widget_render_icon() was deprecated and
	gtk_widget_render_icon_pixbuf() was added, with slightly different parameters.

2.91.6:

2010-12-08  Murray Cumming  <murrayc@murrayc.com>

	RGBA: Added individual color setters that take doubles.

	* gdk/src/rgba.[hg|ccg]: Added set_red/green/blue/alpha(double).

2010-12-08  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Color: Rename the setters and getters.

	* gdk/src/rgba.[hg|ccg]: Rename set/get_*_p(double) to set/get_*(), without
	the _p, because GdkRGBA uses doubles, though GdkColor used gushort.
	Rename set/get_*(gushort) (without the _p) to set/get_*_u(), as a convenience,
	particularly for older code that used Gdk::Color.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	StyleContext: Add render_*() methods.

	* gtk/src/stylecontext.hg: Wrap the gtk_render_*() functions, as we
	previously wrapped the old gtk_paint_*() functions in GtkStyle.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added Gdk::Cairo::set_source_rgba().

	* gdk/gdkmm/general.[h|cc]: Wrapped gdk_cairo_set_source_rgba().

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Widget, StyleContext: Allow default StyleFlag values.

	* gtk/src/stylecontext.[hg|ccg]: get_color(), get_background_color(),
	get_border_color(), get_padding(), get_margin().
	* gtk/src/widget.[hg|ccg]: override_color(), override_background_color():
	Manually implement these methods so we can rearrange the parameters and then
	provide a default StateFlags value of 0.
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_textview.cc: Adapted.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added get_style_context().

	* gtk/src/widget.hg: Wrap gtk_widget_get_style_context().

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added CssProvider.

  * gtl/src/filelist.am:
	* gtk/src/cssprovider.[hg|ccg]: Added CssProvider, implementing StyleProvider.
  * gtk/gtkmm.h: Include the new header.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added signals/properties .defs for GtkStyleContext.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added some new types.
	* gtk/src/gtk_signals.defs: Added the section for GtkStyleContext so that
	gmmproc can actuall generate the signal and property API for Gtk::StyleContext.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Added properties using Gdk::RGBA.

	* gdk/src/color.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrenderertext.hg:
	* gtk/src/cellview.hg:
	* gtk/src/colorbutton.hg:
	* gtk/src/texttag.hg: Added the new properties that take a Gdk::RGBA instead
	of Gdk::Color. We can remove Gdk::Color when it has been deprecated in
	GTK+ 3:
	https://bugzilla.gnome.org/show_bug.cgi?id=636695

2010-12-07  Murray Cumming  <murrayc@murrayc.com>>

	Fix Gdk::RGBA and fix the demos build (make check)

	* gdk/src/rgba.[hg|ccg]: Change set_rgb() to set_rgba(), adding an optional
	alpha parameter.
  Change set_rgb_p() to set_rgba_p(), adding an optional
	alpha parameter.
	Fix their implementation because GdkRGBA has double members instead of gushort
	members as in GdkColor.
	* gtk/src/colorselection.[hg|ccg]: Added get/set_current_rgba() and
	get/set_previous_rgba().
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_textview.cc:
	* demos/gtk-demo/textwidget.cc: Use Gdk::RGBA rather than Gdk::Color, using
	the Widget::override_*() methods instead of the old Widget::modify_*() methods.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk_signals.defs.

	* gtk/src/gtk_signals.defs: Regenerated with extra_defs_gen.
	* gtk/src/gtk_signals.defs.patch: Updated this patch so it is easier to
	make the manual changes next time.
	* gtk/src/widget.hg: Removed the style_changed signal because the underlying
	style-set signal uses GtkStyle, which is deprecated.

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Remove includes of style.h and rc.h.

	* gtk/src/iconinfo.hg:
	* gtk/src/iconset.ccg:
	* gtk/src/widget.ccg:
	* gtk/src/widget.hg: Removed includes of headers that do not exist now.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Restored the GtkPrintCapabilities enum.

	* gtk/src/gtk_enums.defs: Added the result from unix-print/gtk/, lost when
	regenerating.

	gtkmm now builds again against the latest GTK+ 3 from git master.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Add and use WidgetPath.

	* gtk/gtkmm.h:
	* gtk/src/filelist.am:
	* gtk/src/widgetpath.[hg|ccg]: Added WidgetPath, though not all methods are
	wrapped yet.
	* gtk/src/widget.[hg|ccg]: replace path() with get_path(), which uses
	WidgetPath.
	* tools/m4/convert_gtk.m4: Added necessary conversion.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Improved StyleContext. Removed Style and RcStyle classes.

	* gtk/src/rc.[hg|ccg]
	* gtk/src/style.[hg|ccg]: Removed these files because GtkStyle and GtkRcStyle
	are now deprecated in GTK+ 3.
	* gtk/src/styleprovider.[hg|ccg]: Added this class, used by StyleContext,
	though no methods are wrapped yet.
	* gtk/src/iconset.hg: Remove render_icon(), replacing it with
	render_icon_pixbuf(), which uses StyleContext instead of Style.
	* gtk/src/widget.[hg|ccg]: Removed the modify_*() methods, replacing them
	with override_*() methods, which use StyleContext instead of RcStyle and
	Style.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::StyleContext.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/enums.hg: Added RegionFlags, JunctionSides and StateFlags.

	* gtk/src/filelist.am:
	* gtk/src/stylecontext.[hg|ccg]: Added StyleContext, though some methods
	are not yet wrapped.
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2010-12-06  Murray Cumming  <murrayc@murrayc.com>

	Fix the gdkmm build with latest GTK+ 3 from git master.

  * gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/window.hg: get_geometry(): Remove the depth parameter, to match
	the change in GTK+ 3.

2010-12-05  Murray Cumming  <murrayc@murrayc.com>

	Regenerate gtk_methods.defs.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/iconinfo.[hg|ccg]: Remove use of
	gtk_icon_info_load_symbolic_for_style() because it is now deprecated in
	GTK+ 3.
	The build is still broken. We need to wrap GtkStyleContext.

2010-12-05  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the GdkWindowObject -> GdkWindow change in GTK+ 3.

	* gdk/src/window.hg: Remove the extra parameter to _CLASS_GOBJECT(). Maybe
	we can now remove that option from gmmproc.
	* gdk/src/display.ccg:
	* gdk/src/dragcontext.ccg:
	* gtk/src/style.hg: Remove casts to GdkWindowObject*.
	* tools/m4/convert_gdk.m4: Change the conversions.
	This is much nicer.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

  Add Window methods to preserve API from Drawable.

	* gdk/src/window.hg: Aded set_background(RGBA) and renamed
	set_background_pattern() to set_background(Pattern).
	Added set_clip_region() and get_visible_region() and create_cairo_context(),
	which were previously in Drawable.
	* tools/m4/convert_gdk.m4: Added a conversion.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	gtk-demo: Fix the build for the append_text() to append() change.

	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_textview.cc: use append() instead of append_text()
	with Gtk::ComboBoxText.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Regenerated some .defs files.

	* gdk/src/gdk_signals.defs: Regenerated with extra_defs/.
	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Add append()/prepend()/insert overloads.

	* gtk/src/comboboxtext.hg: Rename append_text(), prepend_text() and
	insert_text() to append(), prepend() and insert(). Add extra overloads that
	also take an id, to wrap the new gtk_combo_box_text_append(),
	gtk_combo_box_text_prepend() and gtk_combo_box_text_insert() functions.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove the no_expose_event signal to fix the build.

	* gtk/src/widget.hg: The signal was removed from GTK+.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Remove Gdk::Drawable, which is replaced by more use of Gdk::Window.

  * tools/extra_defs_gen/generate_defs_gtk.cc: Remove mention of
  GDK_TYPE_DRAWABLE.
	* gdk/src/drawable.[hg|ccg]: Removed. API generally uses Gdk::Window now
	instead.
	* gdk/src/filelist.am:
	* gdk/gdkmm.h: Removed mentions of drawable.
	* gdk/src/window.[hg|ccg]: This now derives from Glib::Object instead of
	Gdk::Drawable, though it still has a strangely-named typedef.
	* gdk/gdkmm/general.[h|cc]:
	* gdk/src/display.hg:
  * gdk/src/pixbuf.hg: Adapt the includes.

2010-12-02  Murray Cumming  <murrayc@murrayc.com>

	Revert the previous commit's removal of newer ComboBox methods.

	* gtk/src/combobox.hg: Added methods back now that we have a release that
	builds.

2.91.5.1:

2010-12-02  Murray Cumming  <murrayc@murrayc.com>>

	Temporarily remove methods that use GTK+ function not in GTK+ 2.91.5.

	* gtk/src/combobox.hg: Some new functions were added after the
	GTK+ 2.91.5 release, so this allows gtkmm 2.91.5.1 to build with
	GTK+ 2.91.5.

2.91.5:

2010-11-30  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::Switch, wrapping GtkSwitch.

	* configure.ac: Depend on the latest GTK+.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention GTK_TYPE_SWITCH.
	* gtk/src/filelist.am:
	* gtk/src/switch.[hg|ccg]: Added Gtk::Switch, wrapping GtkSwitch.
	* gtk/gtkmm.h: Include it.

2010-11-30  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Add methods.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/gtk_signals.defs: Regenerated partly.
	* gtk/src/combobox.hg: Added get/set_id_column(), get/set_active_id() and
	properties.

2010-11-29  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ 3.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/device.hg: get_n_axes() now returns an int instead of a guint.
	* gdk/src/rgba.[hg|ccg]: gdk_rgba_parse() now has a sensible parameter order,
	so we can now use _WRAP_METHOD() instead of hard-coding it.

2010-11-29  Murray Cumming  <murrayc@murrayc.com>

	Scrollable, ScrolledWindow: Fix Adjustment reference counting.

	* gtk/src/scrollable.hg:get_hadjustment(), get_vadjustment():
	* gtk/src/scrolledwindow.hg: get_hadjustment(), get_vadjustment():
	Use refereturn to fix the reference-counting on these, which was broken
	since we changed Adjustment to be a Glib::Object instead of a Gtk::Object.

2010-11-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+.

	* gtk/gtkmm/targetentry.cc: Destructor: Use const_cast<> so we can
	g_free() our dynamically-allocated GtkTargetEntry::target string.
	The const change in GTK+ does not seem wise:
	https://bugzilla.gnome.org/show_bug.cgi?id=565665#c10

2010-11-26  Murray Cumming  <murrayc@murrayc.com>

	Ruler: Removed because it was removed from GTK+.

	* gtk/src/ruler.[hg|ccg]: Removed.
	* gtk/src/filelist.am:
	* gtk/gtkmm.h: Adapted.

2.91.4:

2010-11-10  Murray Cumming  <murrayc@murrayc.com>

	Dialog: get_vbox(): Return a Box instead of a VBox.

	* gtk/src/dialog.hg: We need to rename this to get_content_area()
	anyway.
	We needed to change the return type, because the C function changed
	what it returned. I will fix its documentation.

2010-11-09  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/build-installer.sh: Make sure libintl-8.dll gets
	cleaned up correctly on uninstall.

	* win32_installer/gtkmm-installer.nsi.in: Add the lib\cairomm-1.0
	directory to the installed files.

2010-11-08  Krzesimir Nowak  <qdlacz@gmail.com>

	Fixed warnings in refcount debugging messages.

	* gtk/gtkmm/object.cc:
	* gtk/src/window.ccg: Used %p format parameter to print addresses of GObjects
	and cast 'this' and GObjects to void*.

2010-11-08  Murray Cumming  <murrayc@murrayc.com>

	Add the Grid container widget.

  * tools/extra_defs_gen/generate_defs_gtk.cc: Mention GTK_TYPE_GRID.
  * gtk/src/gtk_signals.defs: Added the generated part for GtkGrid.
  * gtk/src/filelist.am:
	* gtk/src/grid.[hg|ccg]:
	* gtk/gtkmm.h: Added the Grid container widget.

2010-11-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	Style: Fix the clone_vfunc() implementation.

	* gtk/src/style.hg: Modify the clone_vfunc() to take an extra
	reference of the GtkStyle obtained from the base class.  This is so
	that the clone_vfunc_callback() does not lose its last reference after
	it executes.

	Fixes GNOME Bug #633975 (mario).

2010-11-04  Murray Cumming  <murrayc@murrayc.com>

	Widget: Remove the deprecated size-request signal.

	* gtk/src/widget.hg: Do not wrap the size_request signal because it is
	deprecated and will soon be removed.

2.91.3:

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

  Fix the make check build.

  * gtk/gtkmm.h: Add a gdkmm/dragcontext.h include that fixes a weird
  compilation problem in the tests (during make check). We need to find out
  what the real problem is.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Avoid includes of gtk/gtk.h.

	* gtk/src/activatable.hg:
	* gtk/src/buildable.hg:
	* gtk/src/editable.hg:
	* gtk/src/orientable.hg:
	* gtk/src/printoperationpreview.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/scrollable.hg:
	* gtk/src/toolshell.hg:
	* gtk/src/treesortable.hg: Add a typedef for the C interface structs instead
	of including gtk/gtk.h.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* gdk/src/dragcontext.hg: Include cairomm/surface.h.

2010-11-02  Murray Cumming  <murrayc@murrayc.com>

	Wrapped new API.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* gdk/src/gdk_extra.defs: Added gtk_drag_set_icon_surface.
	* gdk/src/dragcontext.hg: Add a conversion for Cairo::Surface.
	Remove get_destination_window() because it was removed from GTK+.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/assistant.hg: Added next_page() and previous_page().
	* gtk/src/box.hg: Added a public constructor.

	* gtk/src/recentinfo.hg: Added create_app_info().
	* gtk/src/scrollable.hg: Added get/set_h/vscroll_policy() and properties.
	* tools/m4/convert_gtk.m4: Mention ScrollablePolicy.
	* gtk/src/widget.hg: Remove get_snapshot() because it was removed from GTK+.
	Added in_destruction().

2010-11-01  José Alburquerque  <jaalburqu@svn.gnome.org>

	Style: Virtual Functions: Correct reference counting errors.

	* tools/m4/convert_pango.m4: Remove the conversion from `PangoLayout*'
	to `const Glib::RefPtr<Pango::Layout>&' so it doesn't cause reference
	counting errors in the future.
	* gtk/src/style.hg: Put the PangoLayout conversion in this file
	locally for the draw_layout virtual function. Also correct a
	conversion that could cause reference counting errors.

	Fixes GNOME Bug #633689 (mario).

2.91.2:

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	RecentInfo: Add get_gicon(). ComboBoxText: Add remove_all().

	* configure.ac: Depend on latest GTK+.
	* gtk/src/comboboxtext.[hg|ccg]: Remove clear_items(), replacing with
	remove_all().
	* gtk/src/gtk_signals.defs: Regenerated, with the usual many manual edits.
	* gtk/src/recentinfo.hg: Added get_gicon().

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	AboutDialog, LinkButton: Add activate_link signals.

	* gtk/src/aboutdialog.hg:
	* gtk/src/linkbutton.hg: Add the signals and update the class documentation
	to mention them.

2010-10-26  Murray Cumming  <murrayc@murrayc.com>>

	Added methods that use RGBA.

	* gtk/src/colorbutton.[hg|ccg]: Added a constructor taking a Gdk::RGBA, and
	get/set_rgba().
	* gtk/src/cellview.hg: Added set_background_rgba().
	* tools/m4/convert_gdk.m4: Added necessary conversion.

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Display: Added set/unset_device_hooks().

	* gdk/src/pixbufformat.[hg|ccg]: Wrap gdk_display_set_device_hooks().

2010-10-26  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: PixbufFormat: Wrap as a boxed-type.

	* gdk/src/pixbufformat.[hg|ccg]: Wrap this as a boxed-type, now that it is.
	This means we can remove some hand-coded code.
	* gdk/src/pixbug.hg: Move PixbufFormatTraits to pixbufformat.hg.

2010-10-25  Murray Cumming  <murrayc@murrayc.com>>

	Add RGBA class and widget methods.(Fixing the build with latest GTK+)

	* gdk/src/rgba.[hg|ccg]: Added the RGBA class, apparently a replacement for
	Gdk::Color.
	* gdk/src/iconinfo.hg: load_icon_symbolic(): Change the parameters from
	Color to RGBA.
	* gdk/src/scrollable.hg: Remove set/get_min_content_width/height().
	* gtk/src/scrollable.hg: Added set/get_min_content_width/height() and
	properties.
	* gtk/src/widget.hg: Added queue_draw_region(), set/get_hexpand(),
	set/get_hexpand_set(), set/get_vexpand(), set/get_vexpand_set(),
	queue_compute_expand(), compute_expand(), shape_combine_region(),
	input_shape_combine_region()

2010-10-22  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added get_text_area() and get_icon_area().

	* gtk/src/entry.[hg|ccg]: Added get_text_area() and get_icon_area().

2010-10-22  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+, adding Scrollable interface.

  * gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
  * tools/extra_defs_gen/generate_defs_gtk.cc: Mention GTK_TYPE_SCROLLABLE.
  * gtk/src/gtk_signals.defs: Add the generated part for GtkScrollable.
  * gtk/src/filelist.am:
	* gtk/src/scrollable.[hg|ccg]: Added Scrollable interface, wrapping
	GtkScrollable.
	* gtk/src/iconview.hg:
	* gtk/src/layout.hg:
	* gtk/src/textview.hg:
	* gtk/src/toolpallette.hg:
	* gtk/src/treeview.hg:
	* gtk/src/viewport.hg: Derive from, and implement, Scrollable.
	Remove their get/set/unset_h/vadjustment() methods and set_scroll_adjustments
	signals, because they are now in the base Scrollable.
	* gtk/src/scrolledwindow.ccg: add() Use GTK_IS_SCROLLABLE() instead of the
	old hack to check the default signal handler for 0.

2010-10-22  Murray Cumming  <murrayc@murrayc.com>

	Entry: Remove get_text_window() and get_icon_window().

	* gtk/src/entry.hg: Don't wrap theses functions recently removed from GTK+.

2010-10-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove the mention of
	GTK_TYPE_COMBO_BOX_ENTRY.

2010-10-20  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK, removing Widget::hide_all().

	* gdk/src/device.hg: get_history(): Change a parameter from guint* to
	int* to match a change in GTK+.
	* gdk/src/gdk_methods.defs: Remove gtk_widget_hide_all().
	* gtk/src/gtk_vfuncs.defs: Remove GtkWidget::hide_all().
	* gtk/src/widget.hg: Remove hide_all(), because it was removed from
  GTK+.

2010-10-19  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ from git master.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/application.[hg|ccg]: Constructor: Take Gio::ApplicationFlags
	instead of argv and argv.

2.91.1:

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	ComboBoxText: Re-implemented with GtkComboBoxText.

	* gtk/gtkmm/comboboxtext.[h|cc]: Removed, replacing with:
  * gtk/src/comboboxtext.[hg|ccg], wrapping the new GtkComboBoxText class.
  As a bonus this means that insert_text() will now work, and we can now
  define this widget and its data items in Glade.
  * gtk/gtkmm.h: Do not include the removed
  comboboxentry.h and comboboxentrytext.h headers.

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	Added ComboBox::set_popup_fixed_width() and RadioButton::join_group().

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/combobox.hg: Added get/set_popup_fixed_width().
	* gtk/src/radiobutton.hg: Added join_group().
	* tools/m4/convert_gtk.m4: Added a RadioButton conversion.

2010-10-17  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+.

	* gtk/gtkmm/comboboxtext.cc: Comment out (wrong anyway) use of
	deprecated gtk_combo_box_insert_text().
	* gtk/src/combobox.[hg|ccg]: get_entry_text(): Reimplement without using
	the deprecated gtk_combo_box_get_active_text().
	* gtk/src/main.[hg|ccg]: Remove signal_run() and signal_quit() because they
	used the deprecated gtk_init_add(), gtk_quit_add_full() and g
	gtk_quit_remove() functions.

2010-10-15  Murray Cumming  <murrayc@murrayc.com>

	Depend on latest glibmm version.

	* configure.ac: We need glibmm 2.27.0 for Gio::Application.

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Added set_entry_text_column(TreeModelColumnBase)

	* gtk/src/combobox.hg: Added set_entry_text_column(TreeModelColumnBase) to
  match the old GtkComboBoxEntry::set_text_column(TreeModelColumnBase).

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	ComboBox: Added get_entry() and get_entry_text().

	* gtk/src/combobox.[hg|ccg]: Added our custom get_entry() method that was
  previously in ComboBoxEntry. It avoids the need to call get_child() and
  dynamic_cast<>. Added get_entry_text(), wrappping get_active_text(), which
  was previously only in ComboBoxEntry.

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	Move resize_grip methods from Statusbar to Window.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/statusbar.hg: Remove get/set_has_resize_grip().
	* gtk/src/window.hg: Added get/set_has_resize_grip(),
  get_resize_grip_is_visible(), get_resize_grip_area().

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	Remove ComboBoxEntry and ComboBoxEntryText.

	* gtk/src/comboboxentry.[h|ccg]: Remove this because it has been replaced
  with a has-entry construct-time property.
	* gtk/gtkmm/comboboxentrytext.[h|cc]: Remove this because it derives
  from ComboBoxEntry. People should use ComboBoxText instead.
  * gtk/src/combobox.hg: Changed constructors to add an optional has_entry
  parameter.

2010-10-14  Murray Cumming  <murrayc@murrayc.com>

	Remove WrapBox.

  * gtk/src/filelist.am:
	* gtk/src/wrapbox.[hg|ccg]: Remove WrapBox because GtkWrapBox has moved to
  libegg instead.

2010-10-13  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-vc100-2_4.props:
	* win32_installer/gtkmm-vc100-d-2_4.props: Add property sheets for
	MSVC 2010.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Add Win32 to the property
	sheet name so that it can be distinguished from the Win64 variant.

	* win32_installer/gtkmm-installer.nsi.in:
	* win32_installer/install-msvc-module.sh:
	* win32_installer/build-installer.sh: Update installer for gtkmm 2.22,
	64 bit and MSVC 2010.

2010-10-06  Murray Cumming  <murrayc@murrayc.com>>

	Fix the build with latest GTK+ from git master.

	* gtk/src/gtk_vfuncs.defs: GtkCellRenderer: Some vfunc parameters are now
  const. This file is hand-written.

2.91.0:

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

  gdkmm: Pixbuf: Fixed the build.

	* gdk/src/pixbuf.ccg: gdk_pixbuf_get_from_window() and
	gdk_pixbuf_get_from_surface() now take less parameters, which we ignored
	before anyway.

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

  Adjustment: Fix the reference counting.

	* gtk/src/adjustment.hg: Use _DERIVES_INITIALLY_UNOWNED() as with
	RecentFilter and FileFilter.

2010-10-01  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Added new methods.

	* gdk/src/window.hg: Added get_visual(), get_screen(), get_display(),
	set_backround_pattern(), get_offscreen_surface(), get_width(), get_height().
	Remove redirect_to_drawable(), remove_redirection, clear(),
	clear_area_a, which were no longer generated anyway because they have been
	removed from GTK+ (and therefore from our .defs).
	* gdk/srd/drawable.hg: Removed get_size(), get_depth(), set_colormap(),
	get_colormap(), get_visual(), get_screen() and get_display() which were
	also removed from GTK+. Presumably the new GdkWindow methods replace them.

2010-10-02  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/README:
	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gdkmm/gdkmm.vcproj:
	* MSVC_Net2005/gendef/gendef.vcproj:
	* MSVC_Net2005/gtkmm.sln:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/README:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/gdkmm/gdkmm.vcproj:
	* MSVC_Net2008/gendef/gendef.vcproj:
	* MSVC_Net2008/gtkmm.sln:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj:
	* MSVC_Net2010/README:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj:
	* MSVC_Net2010/demos/gtk-demo/gtk-demo.vcxproj.filters:
	* MSVC_Net2010/filelist.am:
	* MSVC_Net2010/gdkmm/gdkmm.rc.in:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj:
	* MSVC_Net2010/gdkmm/gdkmm.vcxproj.filters:
	* MSVC_Net2010/gendef/gendef.cc:
	* MSVC_Net2010/gendef/gendef.vcxproj:
	* MSVC_Net2010/gendef/gendef.vcxproj.filters:
	* MSVC_Net2010/gtkmm.sln:
	* MSVC_Net2010/gtkmm/gtkmm.rc.in:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj:
	* MSVC_Net2010/gtkmm/gtkmm.vcxproj.filters:
	* MSVC_Net2010/README:
	* Makefile.am:
	* configure.ac: Added support for MSVC 2010 and 64 bit.

2010-09-30  Murray Cumming  <murrayc@murrayc.com>

  FileFilter, RecentFilter: Fix the reference counting.

	* gtk/src/filefilter.hg:
	* gtk/src/recentfilter.hg: Use _DERIVES_INITIALLY_UNOWNED() because these
  use GInitiallyUnowned though we don't derive from our Gtk::Object.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Use g_object_weak_ref() instead of the destroy signal.

	* gtk/gtkmm/object.[h|cc]: _release_c_instance(): Use g_object_weak_ref()
  instead of connecting to the GtkWidget::"destroy" signal, which was removed
  from GTK+. We only ever used this for a short time anyway.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Object: Use g_object_run_dispose() as a gtk_object_destroy() replacement.

	* gtk/gtkmm/object.cc: This does the same thing so it should work as well.
  Matthias Clasen and Owen Taylor suggested it.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Fix the build of the demos (and they even run).

	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/widget.hg: Added get_allocated_width()/height().
  * gtk/src/container.hg: Comment out propagate_expose() because of GTK+
  bug #630800.
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/pixbuf-demo.cc: Change the expose_event handlers to
  draw handlers.

2010-09-28  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest GTK+ from git master.

	* gtk/gtkmm/private/object_p.h: Add this back for now, to avoid making
  more changes to the Gtk::Object code.
  * gtk/gtkmm/object.[h|cc]: Comment out the code that uses
  gtk_object_destroy(), adding TODO comments. If we don't find a way to
  do this in GTK+ 3 then we may need to remove our Gtk::Object and require
  Gtk::CellRenderer and Gtk::TreeViewColumn to be used via RefPtr.

  * gtk/src/filechooser.hg: Fix Filter->FileFilter typos.
  * gtk/src/recentchooser.hg: Use RecentFilter via RefPtr.

  * gtk/src/ruler.hg: Add a Cairo::Context parameter to the vfuncs.
  * gtk/src/widget.hg: Remove input_shape_combine_mask() and
  shape_combine_mask(). Correct some vfunc parameters.
  * gtk/src/gtk_vfuncs.defs:
  * tools/m4/convert_gtk.m4: Make necessary corrections.

  * gtk/src/image.hg: Remove get_pixmap() because Gdk::Pixmap is gone.
  * gtk/src/scale.hg: Remove set/get_bg_pixmap().

  * gtk/src/scale.ccg, scrollbar.ccg: Fix typos.
  * gtk/src/viewport.hg, scrolledwindow.hg: Remove duplicate method
  declarations.

2010-09-27  Murray Cumming  <murrayc@murrayc.com>

  Partly fixed the build with latest GTK+.

	* gdk/src/gdk_methods.defs:
  * gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

	* gdk/src/bitmap.[hg|ccg]:
	* gdk/src/colormap.[hg|ccg]:
	* gdk/src/pixmap.[hg|ccg]: Removed, because these were removed from GTK+.

	* gtk/src/cellsizerequest.[hg|ccg]:
	* gtk/src/sizerequest.[hg|ccg]: Remove because these were removed from GTK+.
  * gtk/src/widget.hg: Move the functions here instead, adding _preferred_
  in the middle.

	* gtk/src/cellsizerequest.hg:
	* gtk/src/object.[hg|ccg]: Remove this, because GtkObject was removed from
  GTK+. However, add a modified version of the generated code to:
  * gtk/gtkmm/object.[h|cc]: so we can preserve the different lifetime behaviour.

  * Other files: Adapted. For instance, FileFilter and Adjustment must now
  be used via RefPtr.

2010-09-26  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gtkmm.sln:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2008/gtkmm.sln:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Update for the atkmm split.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the build against GTK+ git master

	* gtk/src/gtk_signals.defs: Regenerated the GtkWrapBox part.
	* gtk/src/wrapbox.hg: Change the constructor, because gtk_wrap_box_new()
	now has different parameters.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	Partly fix the build against GTK+ git master.

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/notebook.[hg|ccg]: Removed get/set_group(), replacing them with
	get/set_group_name().
	* gtk/src/progressbar.hg: Removed the orientation property, which is now
	in the Orientable base class.
	* gtk/src/gtk_extra_objects.defs: Added GtkEditable to help the documentation
	parser.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: SeparatorToolItem: Added get/set_draw().

	* gtk/src/separatortoolitem.hg: Added get/set_draw().

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: MenuBar: Added remaining methods.

	* gtk/src/menubar.hg: Added set/get_pack_direction(),
	set/ get_child_pack_direction
	* tools/m4/convert_gtk.m4: Added guint32&->guint32* conversion.

2010-09-26  Murray Cumming  <murrayc@murrayc.com>

	Adapt to gtk_menu_popup_for_device() API change.

	* gtk/src/menu.ccg: popup(): Copy the slot and delete it in the new destroy
	callback.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added remaining missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkTreeModelSort.
	* gtk/src/gtk_signals.defs: Added the new section for this object.
	* gtk/src/scalebutton.hg: Added icons property.
	* gtk/src/scrolledwindow.hg: Added window_placement_set property.
	* gtk/src/separatortoolitem.hg: Added draw property.
	* gtk/src/statusicon.hg: Added tooltips, icon-size and icon-size-set
	properties.
	* gtk/src/toolbutton.hg: Added icon_name property.
	* gtk/src/treemodelfilter.hg: Added child_model and virtual_root properties.
	* gtk/src/treemodelsort.hg: Added model property.
	* gtk/src/treeview.hg: Added tooltip-column property.
	* gtk/src/treeviewcolumn.hg: Added resizable, spacing and sort-column-id
	properties.
	* gtk/src/widget.hg: Added is_focus and double_buffered properties.
	* gtk/src/window.hg: Added type, startup_id and opacity properties.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added yet more missing properties.

	* gtk/src/menubar.hg: Added pack_direction and child_pack_direction
	properties, with a new PackDirection enum.
	* gtk/src/notebook.hg: Added group property.
	* gtk/src/printer.hg: Added paused and accepting_jobs properties.
	* gtk/src/printjob.hg: Added track_print_status property.
	* gtk/src/printoperation.hg: Added track_print_status property.
	* gtk/src/ruler.hg: Added metric property.
	* gtk/src/cellrendererprogress.hg: Remove orientation property, removed
	from GTK+. Instead derive from Orientable, as ProgressBar already does.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	Notebook: Fix gmmproc warnings and non-existant properties.

	* gtk/src/notebook.hg: Do not try to wrap properties that were remove from
	GTK+.

2010-09-25  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added missing properties.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkComboBoxEntry and
	GtkColorSelectionDialog.
	* gtk/src/gtk_signals.defs: Added the new sections for these widgets.
	* gtk/src/colorselection.hg: Added color_selection, ok_button, cancel_button,
	and help_button properties.
	* gtk/src/combobox.hg: Added popup_shown and button_sensitivity properties.
	* gtk/src/comboboxentry.hg: Added text_column property.
	* gtk/src/entry.hg: Added inner_borde, primary_icon_tooltip_text,
	secondary_icon_tooltip_text", primary_icon_tooltip_markup" and
	secondary_icon_tooltip_markup properties.
	* gtk/src/filechooserbutton.hg: Added dialog property.
	* gtk/src/handlebox.hg: Added snap_edge_set and child_detached properties.
	* gtk/src/image.hg: Added pixel-size and icon-name properties.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some more missing properties.

	* gtk/src/cellrenderer.hg: Added editing property.
	* gtk/src/cellrendereraccel.hg: Added accel-mode property.
	* gtk/src/cellrenderertoggle.hg: Added inconsistent property.
	* gtk/src/progressbar.hg: Moved the ProgressBarOrientation enum to enums.hg.
	* gtk/src/cellrendererprogress.hg: Added orientation property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	CellEditable: Added editing_canceled property.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkCellEditable.
	* gtk/src/gtk_signals.defs: Added the GtkCellEditable entries.
	* gtk/src/gtk_other.defs: Remove entries that are no longer needed,
	because they are now in gtk_signals.defs or gtk_methods.defs
	* gtk/src/gtk_methods.defs: Hand-edit some GtkAboutDialog entries to correct
	the constness of some return types.
	* gtk/src/celleditable.hg: Added editing_canceled property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added some missing properties.

	* gtk/src/accelgroup.hg: Added is_locked and modifier_mask properties.
	* gtk/src/actiongroup.hg: Added name, sensitive and visible properties.
	* gtk/src/adjustment.hg: Added value, lower, upper, step-increment,
	page-increment and page-size properties.
	* gtk/src/builder.hg: Added translation-domain property.

2010-09-24  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Screen: Added signals and properties.

	* gdk/src/gdk_signals.defs: Regenerated by taking the part of the
	extra_defs_gen output for GDK.
	* gdk/src/screen.hg: Added composited_changed() and monitors_changed()
	signals, but with no default signal handlers, to avoid breaking ABI.
	Added font-options and resolution properties.

2010-09-22  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ from git master.

	* gtk/src/aboutdialog.[hg|ccg]:
	* gtk/src/linkbutton.[hg|ccg]: Remove the set/unset_*_link/url() methods,
  because they are now deprecated in GTK+.
	* gtk/src/wrapbox.hg: Change set/get_spreading() to
  set/get_horizontal/vertical_spreading(), as in the C API.

2010-09-22  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Window: Add default values to shape_combine_mask().

	* gdk/src/window.hg: shape_combine_mask(): Add default values.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Derive from CellSizeRequest instead of SizeRequest.

  * gtk/src/filelist.am:
	* gtk/src/requisition.[hg|ccg]: Moved the simple Requisition typedef here
  from sizerequest.hg. We should wrap this properly, however.
	* gtk/src/sizerequest.[hg|ccg]: Include it.
	* gtk/src/cellsizerequest.[hg|ccg]: Added CellSizeRequest, like SizeRequest
  but for CellRenderer.
  * gtk/src/cellrenderer.hg: Derive from CellSizeRequest instead of
  SizeRequest.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Derive from SizeRequest.

	* gtk/src/cellrenderer.hg: The previous commit now makes sense.

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	CellRenderer: Remove the (deprecated in GTK+) get_size() method.

	* gtk/src/cellrenderer.[hg|ccg]: Remove get_size().

2010-09-20  Murray Cumming  <murrayc@murrayc.com>

	Fix some gmmproc warnings, adding some TextBuffer methods.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added interfaces because
  this now supports them.
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/gtk_other.defs: Remove declarations that are now in
  the regular gtk_signals.defs.
	* gtk/src/gtk_extra_objects.defs: Added GtkPrintOperation for the docs.
	* gtk/src/entry.hg: Ignore the preedit-changed signal because it is
  for keybindings.
	* gtk/src/filechooser.hg: Remove the mention of the folder-mode property,
  which apparently never existed.
	* gtk/src/infobar.hg: Ignore the close signal because it is for keybindings.
	* gtk/src/textbuffer.hg: Added get_copy_target_list() and
  get_paste_target_list().
	* gtk/src/toolitem.hg: Ignore the deprecated set_tooltip signal.
	* gtk/src/toolpalette.hg: Ignore the set_scroll_adjustments signal because
  it seems to be internal.
	* gtk/src/treepath.hg: Ignore gtk_tree_path_get_indices_with_depth()
  because we don't need it.

2010-09-18  Murray Cumming  <murrayc@murrayc.com>

	Editable: Use the renamed GtkEditable interface struct.

	* gtk/src/editable.hg:

2010-09-16  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Widget: Add back size_allocate().

	* gtk/src/widget.hg: Revert the recent removal of
	size_allocate(), because it is not actually deprecated in GTK+ 3.

2010-09-16  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Widget: Rename x/y_align to x/yalign, as in GTK+.

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/widget.hg: Match the change in the GTK+ API.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: SizeRequest: get_size(): Make this const.

	* gtk/src/sizerequest.hg: get_size(): Make this const.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Add some more methods, wrapping new GTK+ API.

	* gdk/src/display.hg: Added is_closed().
	* gdk/src/dragcontext.hg: Added get/set_device().
	* gdk/src/visual.hg: A a missing include to fix the previous commit.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Visual: Wrapped remaining methods.

	* gdk/src/visual.hg: Added get_visual_type(), get_depth(), get_byte_order(),
	get_colormap_size(), get_bits_per_rgb(), get_red_pixel_details(),
	get_green_pixel_details(), get_blue_pixel_details().
	* tools/m4/convert_gdk.m4: Added guint32& -> guint32* conversion.
	* gdk/src/colormap.hg: Remove query_color(), removed from GTK+.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Display: Fix build error in get_protocol_for_disply().

	* gdk/src/display.[hg|ccg]: get_protocol_for_display(): Remove the ifdef
	around this, because this remaining version is not win32-only. Remove the
	 implementation for the win32-only version with no remaining declaration.
	Remove the win32-only version of selection_send_notify() because it too
	existed only to maintain ABI in gtkmm 2.4.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Demos: Adapt to ALIGN_* rename.

	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_sizegroup.cc:
	* demos/gtk-demo/example_stockbrowser.cc: Fix the build.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	WrapBox: Adapt to C API change.

	* gtk/src/wrapbox.[hg|ccg]: insert_child(): Remove the padding parameters
  (now in Widget instead) to fix the build.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Widget: Added align and margin methods and properties.

	* gtk/src/enums.[hg|ccg]: Added Align enum, wrapping GtkAlign, removing
  our own AlignmentEnum.
	* tools/m4/convert_gtk.m4: Added conversions for the new Align enum.
	* gtk/src/alignment.hg:
	* gtk/src/aspectframe.hg:
	* gtk/src/bin.ccg:
	* gtk/src/bin.hg:
	* gtk/src/entry.hg:
	* gtk/src/frame.hg:
	* gtk/src/label.ccg:
	* gtk/src/label.hg:
	* gtk/src/misc.hg:
	* gtk/src/treeviewcolumn.hg: Use Align instad of AlignmentEnum,
  and ALIGN_START/END instad of ALIGN_LEFT/TOP and ALIGN_RIGHT/BOTTOM.

	* gtk/src/widget.hg: Added get_h_align(), set_h_align(),
  get_v_align(), set_v_align(),
  get_margin_left(), set_margin_left(),
  get_margin_right(), set_margin_right(,
  get_margin_top(), set_margin_top(),
  get_margin_bottom(), set_margin_bottom(). And properties.

  Also remove deprecated size_request(), size_allocate() and
  get_child_requisition() to fix the build.

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

  Regenerate defs and make minor changes.

	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/cellview.hg: Remove (deprecated) get_size_of_row().
  * gtk/src/spinner.hg: Inherit from Widget instead of DrawingWindow, as now
  in the C API.

2.90.7:

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	demos: Fix the build.

	* demos/pixbuf-demo.cc:
	* demos/gtk-demo/example_change_display.cc:
	* demos/gtk-demo/example_drawingarea.cc:
	* demos/gtk-demo/example_menus.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/gtk-demo/example_textview.cc: Adapt to use cairomm instead of
  gdkmm draw_*() and Gdk::GC.
  Remove use of Dialog::set_has_separator().
  Replace use of MenuHelpers.

	* gdk/gdkmm/general.h: set_source_pixmap(): Add default parameter values
  for pixmap_x and pixmap_y.

2010-09-14  Murray Cumming  <murrayc@murrayc.com>

	Dealt with some TODOs.

	* gtk/src/menuitem.[hg|ccg]: Added unset_submenu().
	* gtk/src/papersize.[hg|ccg]: Added get_paper_sizes().
	* gtk/src/printoperation.[hg|ccg]: Added run_page_setup_dialog() overloads
  with no PageSetup parameter, because the C API allows this.
  These must be moved into the class in gtkmm 3.
	* gtk/src/style.hg: Added copy().

	* gtk/src/iconset.hg: Added class documentation based on the C documentation.
	* gtk/src/printsettings.hg: Add the exceptions documentation now that
  it is in the C documentation.
	* gtk/src/statusbar.hg: Added documentation for push() and remove_message().

2010-09-09  Murray Cumming  <murrayc@murrayc.com>

	Use GDK_KEY_VoidSymbol instead of GDK_VoidSymbol to fix the build.

	* gtk/gtkmm/accelkey.cc:
	* gtk/gtkmm/accelmap.cc: Replace use of GDK_VoidSymbol with
	GDK_KEY_VoidSymbol, because it has changed in GTK+.

2010-09-09  Murray Cumming  <murrayc@murrayc.com>

	Remove Item because it was removed from GTK+.

	* gtk/src/item.[hg|ccg]: Remove.
	* gtk/src/filelist.am: Remove mention of item.hg.
	* gtk/gtkmm.h: Remove mention of item.h.
	* gtk/src/menuitem.[hg|ccg]: Derive from Bin instead of Item, as now in
	GTK+.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	RadioAction: Added join_group().

	* gtk/src/radioaction.hg: Wrapped gtk_radio_action_join_group(), which
  avoids the need to ever see a *Group object.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	IconInfo: Fix the build.

	* gtk/src/iconinfo.[hg|ccg]: Correct silly mistakes.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Remove the AnchorType enum

	* gtk/src/enums.hg: Remove AnchorType enum, not used by anything in gtkmm,
  because GtkAnchorType has been removed from GTK+.

2010-09-06  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Dialog: Remove use_separator parameters.

	* gtk/src/dialog.[hg|ccg]: Constructors: Remove the use_separator parameters
  that are already not used since the earlier commit.

2010-09-06  Murray Cumming  <murrayc@murraycc.com>>

	gtkmm: CellView: Add natural-size methods.

	* gtk/src/cellview.hg: Added get_desired_width_of_row() and
  get_desired_height_for_width_of_row().
	* gtk/src/filechooserbutton.hg: Remove the constructor that lets us set
  the backend, because the C function was removed. This was already not
  generated because it is no longer in the .defs, so this just avoids the
  gmmproc warning.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: IconInfo, ProgressBar: Added new methods.

	* gtk/src/iconinfo.[hg|ccg]: Added load_icon_symbolic().
	* gtk/src/progressbar.hg: Added get/set_inverted() and get/set_show_text().

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Added new methods.

	* gdk/src/window.[hg|ccg]: Added set_device_cursor(), get_device_position(),
	get_device_events(), set_device_events(), get_support_multidevice(),
	set_support_multidevice().
	* tools/m4/convert_gdk.m4: Added necessary conversion.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	AboutDialog: Added get/set_license_type().

	* gtk/src/aboutdialog.hg: Added License enum and get/set_license_type().
	* tools/m4/convert_gtk.m4: Added conversion for the License enum.
	* gtk/src/calendar.hg: Addef get_day_is_marked().

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Fix the function .defs again, fixing the build.

	* gtk/src/gtk_methods.defs:
	* gtk/src/statusicon.hg: Remove gtk_icon_get/set_blinking(), fixing the build.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Regenerated function .defs, fixing the build with latest GTK+.

	* gtk/src/gtk_methods.defs: Regenerate with h2defs.py.
	* gtk/src/dialog.hg: Remove get/set_has_separator() and property, because
	it was removed from GTK+.

2010-09-04  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Fix typos to really avoid documentation warnings.

	* gtk/src/gtk_extra_objects.defs: Add a missing quote and add some other
	definitions.

2010-09-03  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Avoid most Documentation warnings from gmmproc.

	* gtk/src/filelist.am:
	* gtk/src/gdk.defs:
	* gtk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-03  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Avoid most Documentation warnings from gmmproc.

	* gdk/src/filelist.am:
	* gdk/src/gdk.defs:
	* gdk/src/gdk_extra_objects.defs: Added this *extra_objects.defs file,
	with hand-coded define-object sections, for objects that hide their *Class
	or *Iface struct declarations, which stops h2defs.py from generating
	define-object sections.
	These allows DocsParser.pm to know how to split mentions of C functions into
	the object and the method, so it can guess the C++ method name to mention
	instead.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	Configure: Avoid using deprecated cairomm API.

	* configure.ac: Add CAIROMM to the MM_ARG_ENABLE_WARNINGS() deprecations list.

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	Wrap some new functions.

	* gtk/src/application.hg: Added create_window().
	* gtk/src/messagedialog.hg: Remove the buttons property because it is
  write-only and construct.
  Added get_message_area().
	* gtk/src/treepath.[hg|ccg]: Ignore gtk_tree_path_get_indices_with_depth() too.
	* gtk/src/widget.hg: Add device_is_shadowed(), set_device_events(),
  add_device_events(), set/get_support_multidevice(), get_device_event().

2010-09-02  Murray Cumming  <murrayc@murrayc.com>

	Fix build with latest GTK+.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/iconview.hg: Rename get/set_orientation() (and property) to
  get/set_item_orientation().
	* gtk/src/progressbar.hg: Remove get/set_orientation(), deriving (and
  implementing) from Orientable instead.
	* gtk/src/wrapbox.[hg|ccg]: Adapted to minor API changes in GtkWrapBox.
	* tools/m4/convert_gtk.m4: Mention the new enum.

2010-09-02  Murray Cumming  <murrayc@murrayc-desktop>

	gdkmm: Pixbuf: Add constructor (and create) that takes a Cairo::Surface.

	* gdk/src/pixbuf.hg: Wrao gdk_pixbuf_get_from_surface() as a constructor
  and add a create() method for it.
	* tools/m4/convert_gdk.m4: Add necessary conversion.

2010-09-01  Murray Cumming  <murrayc@murrayc.com>

	Regenerated GTK+ XML for documetntation.

	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.

2010-09-01  Murray Cumming  <murrayc@murrayc.com>

	Added SizeRequest.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added SizeRequest, though it
  has not properties or signals so there was no change to the .defs.
	* gtk/src/filelist.am:
	* gtk/src/sizerequest.[hg|ccg]: Added the SizeRequest interface.
	* gtk/src/widget.hg: Inherit from, and implement, SizeRequest.
	* tools/m4/convert_gtk.m4: Add an enum.

2010-09-01  Murray Cumming  <murrayc@murrayc.com>

	gtkmm.h: Remove incorrect include.

	* gtk/gtkmm.h: REmove an include of the removed menu_elems.h header.

2010-08-31  Murray Cumming  <murrayc@murrayc.com>

	drawable.h: Don't include rgbcmap.h.

	* gdk/src/drawable.hg: Remove an include of the removed rgbcmap.h header.

2010-08-31  Murray Cumming  <murrayc@murrayc.com>

	Added WrapBox.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/buttonbox.hg: Adapted to the removal of the
  BUTTONBOX_DEFAULT_STYLE enum value from GTK+.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkWrapBox.
	* gtk/src/gtk_signals.defs: Added parts for GtkWrapBox.
	* tools/m4/convert_gtk.m4: Added the GtkWrapBox enums.
	* gtk/src/filelist.am:
  * gtk/src/wrapbox.[hg|ccg]: Added WrapBox.

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	gtkmm: Added new methods wrapping new C functions.

	* gtk/src/expander.hg: Added get/set_label_fill() and property.
	* gtk/src/notebook.hg: Added get_tab_hborder() and get_tab_vborder().
	* gtk/src/printunixdialog.hg: Added get_manual_capabilities().
	* gtk/src/statusbar.hg: Rename remove_all() to remove_all_messages().
	* gtk/src/table.hg: Added get_size().
	* gtk/src/viewport.hg: Added get_view_window().
	* gtk/src/widget.hg: Added send_focus_change().

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Window: Wrap new C functions.

	* gdk/src/window.hg: Added get_composited(), is_input_only(), is_shaped(),
  has_native(), get_modal_hint(), get_background_pattern(),
  coords_to_parent(), coords_from_parent(),
  get_effective_parent(), get_effective_toplevel(), create_similar_surface(),
  get_accept_focus(), get_focus_on_map().

2010-08-30  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest gtk+.

  * gdk/src/bitmap.[hg|ccg]: Remove the constructors, because they use
  functions removed from GTK+. This whole class will be removed soon, when
  it is removed from GTK+ soon.
  * gdk/src/pixmap.[hg|ccg]: Remove some constructors, because they use
  functions removed from GTK+. This whole class may be removed soon, if
  it is removed from GTK+ soon.
  * gdk/src/color.[hg|ccg]: rgb_find_color(): Remove this because it was
  removed from GTK+.
  * gdk/src/drawable.[hg|ccg]: Removed draw_pixbuf().
	* gdk/gdkmm/rgb.[h|cc]:
	* gdk/src/rgbcmap.[hg|ccg]: Removed because these APIs were removed from
  GTK+.
  * gtk/src/image.[hg|ccg]: Removed get_image() and set(Gdk::Image) because
  they were removed from GTK+.
  * gtk/src/style.[hg|ccg]: Remove get*_gc() because the struct fields were
  removed from GTK+. Likewise removed paint_polygon().

2010-08-29  Murray Cumming  <murrayc@murrayc.com>

	Device: const correction.

	* gdk/src/device.hg: get_key(): Make this const.

2010-08-29  Murray Cumming  <murrayc@murrayc.com>

	Partially fix the build after large GDK changes in GTK+.

	* gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Removed GDK_TYPE_GC and
	GDK_TYPE_IMAGE because they were removed from GTK+.
	* gdk/src/filelist.am:
	* gdk/src/gc.[hg|ccg]:
	* gdk/src/image.[hg|ccg]:	Likewise, remove these.
	* gdk/gdkmm.h:
	* gdk/src/style.hg: Remove includes of gc.h.
	* gdk/src/drawable.[hg|ccg]: Removed draw_*() methods that were removed from GTK+.
	* gdk/src/pixbuf.[hg|ccg]: Remove constructors and create*() methods that
	took a Gdk::Image.

2010-08-05  Murray Cumming  <murrayc@murrayc-x61>

	DeviceManager: Fixed a typo to avoid duplicate GType registration.

	* gdk/src/devicemanager.hg: Don't derive from the GdkDevice type. Use
	GdkDeviceManager instead.

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Add missing include paths to MSVC property sheets.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Add lib/pangomm-1.4/include
	and include/freetype2 to inculde paths.

	* win32_installer/install-msvc-module: Update for gtkmm 2.20.3.

2010-08-04  Armin Burgmeier  <armin@arbur.net>

	Fixed using stock items with MSVC. Bug #625489.

	* gtk/gtkmmconfig.h.in: Make sure we define GTKMM_API to
	__declspec(dllimport) also with MSVC when building gtkmm.

2010-08-02  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Regenerated gdk-pixbuf defs from master. No significant changes.

	* gdk/src/gdk_pixbuf_methods.defs: Regenerated with h2defs.py.

2010-08-02  Murray Cumming  <murrayc@murrayc.com>

	gdkmm: Wrapped new Device and Display methods.

	* gdk/src/cursor.hg: Added get_cursor_type().
	* gdk/src/device.[hg|ccg]: Added get_key(), get_axis_use(), get_n_axes(),
	get_axis_value(), get_display(), get_associated_device(), get_device_type(),
	grab(), ungrab().
	* gdk/src/display[hg|ccg]: Added device_is_grabbed(), get_device_state(),
	get_window_at_device_position(), warp_device(), set_device_hooks(),
	get_device_manager()
	* gdk/src/filelist.am:
	* gdk/src/devicemanager.[hg|ccg]: New files, adding DeviceManager.
	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf_methods.defs: Regenerated with h2defs.py
	* tools/m4/convert_gdk.m4: Added DeviceManager conversions.
	* gtk/src/widget.hg: Added const version of get_accessible().

2010-07-30  Murray Cumming  <murrayc@murrayc.com>

	Application: Added get_windows() and create() without argc and argv.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/application.[hg|ccg]: Added get_windows.
	Added a create() overload without the argc and argv parameters, because
	they may be NULL.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkApplication.

2010-07-30  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::Application.

	* gtk/src/filelist.am:
	* gtk/src/application.[hg|ccg]: Added the beginnings of Gtk::Application,
	wrapping GtkApplication, using Gio::Application that I just added in glibmm.
	* gtk/gtkmm.h: Include the new header.

2010-07-27  Murray Cumming  <murrayc@murrayc.com>

	MenuShell: Remove items().

	* gtk/gtkmm/menu_elems.[h|cc]: Remove these files.
	* gtk/src/menushell.[hg|ccg]: Remove the items() method and the list type and
	helper classes that it uses, because GtkMenuShell::items is GSEALed.

2010-07-15  Murray Cumming  <murrayc@murrayc.com>

	Remove RecentManager::get/set_limit() and the property.

	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs:
	* gtk/src/recentmanager.hg: Remove this API that wrapped the API recently
	removed from GTK+.

2010-07-14  Murray Cumming  <murrayc@murrayc.com>

	Removed Notebook::pages() and Table::children().

	* gtk/src/gtk_signals.defs: GtkNotebook: Change the parameter for the
    switch_page signal.
	* gtk/src/notebook.[hg|ccg]: Remove the pages() method, PageList and
    PageList::iterator.
	* gtk/src/table.[hg|ccg]: Remove the children() method and Child.

    This is unavoidable now that the C struct fields are no longer available.
    To bring this API back someone would need to add iterating API to
    GtkNotebook and GtkTable.

2.90.5:

2010-07-14  Murray Cumming  <murrayc@murrayc.com>>

	DragContext: Added get_source_window() and get_selected_action().

	* gdk/src/dragcontext.hg: Added get_source_window() and get_selected_action()

2010-07-06  Murray Cumming  <murrayc@murrayc.com>

	Added copyright headers. Patch from Kalev Lember.

	* tools/m4/convert.m4:
	* tools/m4/convert_atk.m4:
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4:
	* tools/m4/convert_gtkmm.m4:
	* tools/m4/convert_pango.m4:
	* tools/m4/filelist.am: Added LGPL2.1+ headers, like the other files.

2010-07-06  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+, using Cairo::Region.

    * gdk/src/gdk_methods.defs:
    * gdk/src/gdk_pixbuf_methods.defs:
    * gtk/src/gtk_methods.defs: Regenerated

    * gdk/src/filelist.am:
	* gdk/src/region.[hg|ccg]: Removed Region, because GdkRegion was removed
    from GDK.

    * gdk/gdkmm/general.[h|cc]:
    * gdk/src/drawable.hg
    * gdk/src/gc.hg
    * gdk/src/window.hg
    * gtk/src/widget.hg
    * tools/m4/convert_gdk.m4: Adapted, replacing use of GdkRegion with
    Cairo::RefPtr<Cairo::Region>, adding const and non-const overloads
    where appropriate.

    This requires cairomm from git master, for Cairo::Region.

2.90.4:

2010-06-29  Murray Cumming  <murrayc@murrayc.com>

	Added Button and Table methods.

	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/button.hg: Added get_event_window().
	* gtk/src/table.hg: Added get_size().

2010-06-28  Murray Cumming  <murrayc@murrayc.com>

	PrintOperation: const and refcount fixes.

	* gtk/src/printoperation.hg: get_default_page_setup(),
    get_print_settings(): Use refreturn, fixing bug #622957 (Kjell Ahlstedt)
    and also make sure there are const and non-const methods.

2010-06-24  Murray Cumming  <murrayc@murrayc.com>

	Added some StatusBar and TextView methods.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/statusbar.hg: Added remove_all().
	* gtk/src/textview.hg: Added get_hadjustment(), get_vadjustment(),
    im_context_filter_keypress(), and reset_im_context().

    These were added in GTK+ 2.22.

2.90.3.1:

2010-06-23  Murray Cumming  <murrayc@murrayc.com>

	Correct the atkmm dependency version.

	* configure.ac: Correct the required version of atkmm, because I
    corrected it in atkmm.

2010-06-23  Murray Cumming  <murrayc@murrayc.com>

	Manually fix a .defs file to avoid a gmmproc warning.

	* gdk/src/gdk_methods.defs: Fix a broken function-pointer parameter.

2010-06-23  Daniel Elstner  <danielk@openismus.com>

	Split off atkmm into its own separate module

	* atk/, MSVC_Net200[58]/atkmm/: Delete atkmm subdirectories.
	* configure.ac: Remove module definition of atkmm-1.6.  Adjust the
	pkg-config dependencies to pull in an installed atkmm.
	* **/Makefile.am: Remove references to atkmm from the build rules.
	* docs/reference/Doxyfile.in: Remove references to in-tree atkmm.
	* gtk/{gtkmm,gtkmm-uninstalled}.pc.in: Remove atkmm substitutions.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove code to output
	definitions for ATK types.

2010-06-21  Chris Kühl  <chrisk@openismus.com>

	Removed InputCondition and regenerated *.defs files

	* gdk/src/gdk_enums.defs: Regenerated
	* gdk/src/gdk_methods.defs: Regenerated
	* gdk/src/types.hg: Removed InputCondition

2.90.3:

2010-06-18  Murray Cumming  <murrayc@murrayc.com>

	Menu: Fix the build.

	* gtk/src/menu.ccg: Fix typos in one of my previous commits.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added im_context_filter_keypress().

	* gtk/src/entry.hg: Added im_context_filter_keypress(), new in gtk+ 2.22.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Menu::popup and ComboBox::popup(): Add optional device parameter.

	* gtk/src/combobox.hg: popup_for_device(): Rename to popup(). The extra
	parameter is enough.
	* gtk/src/menu.[hg|ccg]: popup(): Add an extra optional Device parameter to
	all 3 method overloads, using the new gtk_menu_popup_for_device() function
	when appropriate.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Added Assistant::commit() and Entry::reset_im_context().

	* gtk/src/assistant.hg: Added commit(), new in gtk+ 2.22.
	* gtk/src/entry.hg: Added reset_im_context(), new in gtk+ 2.22.

2010-06-16  Murray Cumming  <murrayc@murrayc.com>

	Fix the build for latest git master, and add ComboBox::popup_for_device().

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/calendar.hg: select_month, mark_day(), unmark_day(): Remove the
    bool return value.
	* gtk/src/combobox.hg: Added popup_for_device().
	These are only in gtk 3, not gtk 2.2.

2010-06-13  Murray Cumming  <murrayc@murrayc.com>

	IconTheme: Add back get_for_screen().

	* gtk/src/icontheme.hg: Add back get_for_screen() because it does not
	actually seem to be deprecated.

2.90.2:

2010-06-10  Murray Cumming  <murrayc@murrayc.com>

	Regenerate function .defs.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py so the new
    methods are actually generated.

2010-06-09  Murray Cumming  <murrayc@murrayc.com>

    Fix the build with GTK+ git master, adding and renaming API.

    * configure.ac: Depend on GKT+ 2.90.2.
	* gdk/src/device.hg: Reimplement get_name() get_has_cursor(), get_source(),
    and get_mode() with the new C functions.
	* gdk/src/display.hg: Remove list_devices() and get_core_pointer() because
    they are now deprecated in GTK+.
	* gdk/src/dragcontext.[hg|ccg]: Rename get_targets() to list_targets(),
    and reimplement it with the new C function.
    Reimplement get_actions() and get_suggested_action() with the new C
    functions. Remove accessors for other (now hidden) struct fields.
	* gdk/src/image.hg: Reimplement accessors with the new C functions,
    renaming get_bpp() to get_bytes_per_pixel(), renaming get_bpl() to
    get_bytes_per_line(), and addding get_depth().
	* gdk/src/pixmap.ccg: Hack out use of a struct field to fix the build,
    though this needs attention. See the TODO.
	* gtk/src/box.[hg|ccg]: Remove the children() list because it used
    struct field and strutt type that are now hidden.
	* gtk/src/progressbar.hg: Only include GTK+ headers via gtk.h.
    Remove the unnused ProgressBarStyle enum because GtkProgressBarStyle has
    been removed from GTK+.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove mention of GtkProgress.

2010-06-08  Murray Cumming  <murrayc@murrayc.com>

    Remove unused doxygen_to_devhelp.xsl file.

	* docs/reference/doxygen_to_devhelp.xsl: Remove this unused file.
    We use tagfile-to-devhelp2.xsl from mm-common instead.

2010-06-08  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ git master, in PrintJob.

	* gtk/src/printjob.ccg: send(): The GError* parameter of the C callback
	function changed to a const GError*. Adapted.

2010-06-08  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ git master, in Gtk::Style.

	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/style.hg: Remove the draw_string() vfunc, which was removed from
	GTK+ git master.

2010-05-29  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ git master.

	* gdk/src/device.hg: Regenerate with h2defs.py
	* gdk/src/gdk_methods.defs: get_history(): Change an int* parameter to
	guint* to fix the build with git master of GTK+.

2.90.0 (unstable):

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Remove the ifdefs that supported building with optional API.

    As discussed on the mailing list, these will be removed from glibmm soon
    anyway. Anybody who really still needs this should tell us.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

    configure.ac: Remove check-news.

	* configure.ac: Remove the check-news option, because it makes it harder
    to regularly check that distcheck works.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* gtk/src/toolitem.hg: Remove include of now-removed header.

2010-05-18  Murray Cumming  <murrayc@murrayc.com>

	Restore many other changes from the gtkmm-3maybe branch.

	These were apparently lost during the git rebase. The ChangeLog
	entries seem to be correct, however.

2010-05-17  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filelist.am: Remove the mention of curve.hg and inputdialog.hg

2010-05-12  Murray Cumming  <murrayc@murrayc.com>

    Use gtk+ 3.0 instead of gtk+ 2.0.

	* configure.ac: Change the pkg-config check from gtk+-2.0 to gtk+-3.0.
    Change the gdkmm and gtkmm ABI version to 3.0, so people should change
    their pkg-config checks to gtkmm-3.0.
	* gtk/src/enums.hg: Remove GtkCurveType, which is not in gtk+ 3.0.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Remove previously-deprecated
    types that are not in gtk+ 3.0.

2010-01-05  Murray Cumming  <murrayc@murrayc.com>

	Remove more deprecated methods.

	* gtk/src/filelist.am:
	* gtk/src/curve.[hg|cc]:
	* gtk/src/inputdialog.[hg|ccg]: Removed deprecated classes.
	* gtk/gtkmm/border.h: Removed because this file is now generated.
	* gtk/src/toolbar: Inherit (and implement) from CellLayout.
	* gtk/src/button.hg, fixed.hg, recentmanager.hg, scalebutton.hg,
	toolbar.hg, treeview.hg, treeviewcolumn.hg, widget.hg:
	Removed deprecated methods, discovered by removing undefs.
	* gtk/src/celllayout.hg: Added get_first_cell() as a replacement for
	TreeViewColumng::get_first_cell().
	* gdk/src/event.hg:
	* gdk/src/pixbuf.hg:
	* gdk/src/window.hg:
	* gtk/src/aboutdialog.hg:
	* gtk/src/action.hg:
	* gtk/src/button.hg:
	* gtk/src/calendar.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellview.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/menutoolbutton.hg:
	* gtk/src/notebook.[hg|ccg]: Removed more undefs and removed deprecated
	methods that it showed.
	* gtk/gtkmm.h: Don't mention the removed curve.h and inputdialog.h files.
	* demos/gtk-demo/example_treeview_treestore.cc:
	* demos/gtk-demo/example_treeview_editable_cells.cc: Adapted.

2009-12-11  Krzesimir Nowak  <qdlacz@gmail.com>

	* gtk/src/border.[hg|ccg]: Wrapped GtkBorder.
	* gtk/src/entry.hg: Removed a TODO and typedef and included border.h.
	* gtk/src/range.[hg|ccg]: Made get_range_border vfunc use Gtk::Border&
	instead of GtkBorder* - this needed wrapping it partially by hand by
	writing custom C callback.
	* tools/m4/convert_gtk.m4: Added conversion macros for Gtk::Border.
	* gtk/gtkmm.h: Added border.h include.
	* MSVC_Net{2005,2008}/gtkmm/gtkmm.vcproj: Added border.h and border.cc
	to build.

2009-05-05  Murray Cumming  <murrayc@murrayc.com>

	* gdk/gdkmm/general.[h|cc]:
	* gdk/src/event.hg:
	* gtk/gtkmm/comboboxentrytext.[h|cc]:
	* gtk/gtkmm/comboboxtext.[h|cc]:
	* gtk/src/icontheme.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/treeview.hg: Removed more deprecated methods.

2009-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooser.hg: Use std::string for filenames, instead of ustring,
	fixing bug #142138.

2009-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/*.[hg|ccg]:
	* gtk/src/*.[hg|ccg]: Removed most deprecated methods.

2009-05-01  Murray Cumming  <murrayc@murrayc.com>

	Removed deprecated classes.

	* gtk/src/combo.[hg|ccg]:
	* gtk/src/fileselection.[hg|ccg]:
	* gtk/src/optionmenu.[hg|ccg]:
	* gtk/src/progress.[hg|ccg]:
	* gtk/src/tooltips.[hg|ccg]: Removed these deprecated classes.
	* gtk/src/inputdialog.[hg|ccg]:
	* gtk/src/menutoolbutton.[hg|ccg]:
	* gtk/src/eventbox.[hg|ccg]:
	* gtk/src/toolitem.[hg|ccg]:
	* gtk/src/toolbart.[hg|ccg]: Removed uses of these classes.

2009-04-30  Murray Cumming  <murrayc@murrayc.com>

	Inherit Buildable.

	* gtk/src/buildable.[hg|ccg]: Added this interface.
	* gtk/src/action.[hg|ccg]:
	* gtk/src/actiongroup.[hg|ccg]:
	* gtk/src/liststore.[hg|ccg]:
	* gtk/src/sizegroup.[hg|ccg]:
	* gtk/src/treestore.[hg|ccg]:
	* gtk/src/widget.[hg|ccg]: Inherit and Implement Buildable.

2009-04-30  Murray Cumming  <murrayc@murrayc.com>

	Inherit Activatable, and some build fixes.

	* gtk/src/button.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/recentchoosermenu.hg:
	* gtk/src/toolbutton.hg:
	* gtk/src/toolitem.hg: Inherit and Implement Activatable.

	* gtk/src/iconview.hg:
	* gtk/src/treeviewcolumn.hg:
	* gtk/src/entrycompletion.hg: Correct the _IMPLEMENTS_INTERFACE() spelling to
		fix the build.
	* gtk/src/separator.hg: Include orientable.h to fix the build.

2009-04-28  Murray Cumming  <murrayc@murrayc.com>

	Fixed build, plus some const changes.

	* gdk/src/*.hg: Fixed build errors caused by previous changes.
	Some const changes that were not possible without breaking ABI.
	Not sure exactly what because I cannot get git to give me a diff.

2009-04-24  Murray Cumming  <murrayc@murrayc.com>

	Derive classes from CellLayout, CellEditable, and Orientable.

	* gtk/src/accelgroup.hg:
	* gtk/src/actiongroup.hg:
	* gtk/src/clipboard.hg:
	* gtk/src/cellrenderercombo.hg: Put back the no_default_handler option
	because the C structs have no default handlers.

	* gtk/src/box.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/paned.hg:
	* gtk/src/ruler.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/spinbutton.hg: Derive from Orientable.

	* gtk/src/combobox.hg: Derived from CellEditable.

	* gtk/src/entrycompletion.hg:
	* gtk/src/iconview.hg:
	* gtk/src/treeviewcolumn.hg: Derive from CellLayout.

2009-04-24  Murray Cumming  <murrayc@murrayc.com>

	Remove uses of no_default_handler.

	* gdk/src/pixbufloader.hg:
	* gtk/src/accelgroup.hg:
	* gtk/src/actiongroup.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrenderercombo.hg:
	* gtk/src/clipboard.hg:
	* gtk/src/entry.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/filechooser.hg:
	* gtk/src/filechooserbutton.hg:
	* gtk/src/menushell.hg:
	* gtk/src/notebook.hg:
	* gtk/src/range.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/spinbutton.hg:
	* gtk/src/statusicon.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/uimanager.hg:
	* gtk/src/widget.hg: Remove use of the no_default_handler option with
	_WRAP_SIGNAL(), breaking ABI by adding virtual methods.

This is the master branch, for the planned API/ABI-breaking gtkmm 3.
See also the gtkmm-2-20 and gtkmm-2-22 branches.

2.20.3:

2010-05-04  Murray Cumming  <murrayc@murrayc.com>

	FileChooser::get_filter(): Don't ref the result.

	* gtk/src/filechooser.hg: get_filter(): Don't ref the GtkFilter results,
	because it is a GtkObject, not just a GObject, and we should not
	reference-count GtkObjects. This does _not_ fix bug #583481 though.

2010-04-23  David King  <davidk@openismus.com>

	Improvements to main page documentation

	* gtk/gtkmm.h: Links to groups and external websites. Compilation
	example.

2010-04-16  David King  <davidk@openismus.com>

	Add main page to Doxygen documentation

	* docs/Makefile.am: Parse gtk/gtkmm.h for documentation.
	* gtk/gtkmm.h: Add main page to Doxygen documentation.

2.20.2:

2010-04-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	gdk_docs.xml: Another regeneration because of parsing errors.

	* gdk/src/gdk_docs.xml: Regenerate once more to avoid parsing errors
	caused by &...; expressions that don't make sense to gmmproc.

2010-04-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate docs once more to fix comment errors.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated after fixing the
	docextract_to_xml.py script to handle C++ multi-line comments in
	function descriptions that include sample C++ code.

2010-04-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Regenerate docs with the new docextract_to_xml.py script.

	* atk/src/atk_docs.xml:
	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with the new documentation
	extraction script to take advantage of the new generation method it
	uses.

2.20.1:

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

    Builder: Complete the exceptions thrown documentation.

	* gtk/src/builder.hg: Completed the @throws lines now that GtkBuilder
    has documentation about the GError domains that it throws.
    This fixed bug #548022 (Alexander Shaduri).

2010-04-07  Murray Cumming  <murrayc@mmurrayc.com>

    API reference documentation: Remove gobjection-introspection annotations.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Use regexxer to remove the gobject-introspection
    annotations so they do not appear in the generated HTML. In future, we will
    stop these from even getting in to the XML.

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

    Really fix the @newin2p* in the *_override.xml files.

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Use GTK+'s original Since: syntax here
    instead of @newin{2,*} because that is what our parser currently expects.
    Otherewise it is interpreted as a parameter name.

2010-04-07  Murray Cumming  <murrayc@murrayc.com>

    Replace some @newin2p* with @newin{2,*}.

	* gdk/src/gdk_docs_override.xml:
	* gtk/src/gtk_docs_override.xml: Replaces uses of the old @newin2p* with
    @newin{2,*} after I noticed it in generated HTML.

2010-04-06  Murray Cumming  <murrayc@murrayc.com>

    RecentAction: Fix the constructor that takes a RecentManager.

	* gtk/src/recentaction.hg: Constructor: Rename the manager parameter to
    recent_manager, so that gmmproc generates code that uses the correct
    property name.
    This fixes bug #612900 (Morten Skaaning)

2010-04-06  Murray Cumming  <murrayc@murrayc.com>

    TreeRowReference::get_model(): Correct the reference counting.

	* gtk/src/treerowreference.hg: get_model(): Add a refreturn.
    This fixes bug #611814 (Kamil Renczewski)

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Remove iconv.lib which is
	no longer required by the libxml2 binary.

	* win32_installer/install-msvc-module:
	* win32_installer/gtkmm-installer.nsi.in: Update for the 2.20
	installer.

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* gtk/gtkmm.h: Ifdef out inclusion of files that are no longer
	installed on Windows.

2010-04-03  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Add the new source files to the
	projects.

2.20.0:

2010-03-23  Murray Cumming  <murrayc@murrayc.com>

    Fix small API problems found by Jonathan Jongsma.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Add ToolPalette, ToolItemGroup,
    OffscreenWindow.
	* gtk/src/gtk_signals.defs: Add new .defs.

	* gtk/src/offscreenwindow.hg: Added const versions of get_pixbuf() and
    get_pixmap()
	* gtk/src/range.hg: Make get_slider_range() const.
	* gtk/src/spinner.hg:
	* gtk/src/toolitemgroup.hg: Add @newin tags.
	* gtk/src/toolpalette.hg: Fix a double @@ in the newin tag.
    Remove exclusive property (it is really a child property).
    Derive from (and implement) ToolShell.

2010-03-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/toolpalette.hg: Added a const version of get_drop_item().

2010-03-19  Murray Cumming  <murrayc@murrayc.com>

    Regenerated C documentation XML files.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated.

2010-03-18  Murray Cumming  <murrayc@murrayc.com>

    Demo: Fix use of deprecated API.

	* configure.ac: Add PANGOMM to the list of deprecations to check for.
	* demos/Makefile.am: Add GTKMM's own deprecation defines so we don't ever use
    deprecated API in this code.
	* demos/gtk-demo/example_colorsel.cc:
	* demos/gtk-demo/example_uimanager.cc: Correct use of deprecated API.

2.19.7:

2010-03-17  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/screen.hg: Added get_primary_monitor().

2010-03-17  Murray Cumming  <murrayc@murrayc.com>

    Added some methods.

	* gdk/src/gdk_pixbuf.defs: Regenerated and moved to gdk_pixbuf_methods.defs.
    * gdk/src/filelist.am:
    * gdk/src/gdk.defs: Updated appropriately.
    * gdk/src/gdk_methods.defs: Regenerated with h2defs.py.
    * gdk/src/window.hg: Added flush().
    * gtk/src/statusbar.hg: Added get_message_area().
    * gtk/src/toolitem.hg: Added get_ellipsize_mode().
    * gtk/src/toolitemgroup.hg: Added get_label_widget().

2010-03-16  Murray Cumming  <murrayc@murrayc.com>

	ToolItem, ToolShell: Wrapped new C functions.

	* gtk/src/toolitem.hg: Added  get_text_alignment(), get_text_orientation(),
    get_text_size_group().
	* gtk/src/toolshell.hg: Added  get_text_orientation(), get_text_alignment(),
    get_ellipsize_mode(), get_text_size_group()
    * tools/m4/convert_gtk.m4: Added SizeGroup conversions.

2010-03-16  Murray Cumming  <murrayc@murrayc.com>

    Fix the build with -DGSEAL_ENABLE.

	* configure.ac: Add -DGSEAL_ENABLE to the fatal warnings.
	* gtk/gtkmm/radiobuttongroup.cc:
	* gtk/src/bin.[hg|ccg]:
	* gtk/src/box.[hg|ccg]:
	* gtk/src/buttonbox.ccg:
	* gtk/src/buttonbox.hg:
	* gtk/src/colorselection.[hg|ccg]:
	* gtk/src/fontselection.hg:
	* gtk/src/handlebox.[hg|ccg]:
	* gtk/src/inputdialog.hg:
	* gtk/src/menushell.hg:
	* gtk/src/messagedialog.ccg:
	* gtk/src/notebook.hg:
	* gtk/src/ruler.[hg|ccg]:
	* gtk/src/scrolledwindow.hg:
	* gtk/src/selectiondata.ccg:
	* gtk/src/table.hg:
	* gtk/src/tearoffmenuitem.hg:
	* gtk/src/textview.hg:
	* gtk/src/widget.[hg|ccg]: Replace uses of GSEAL()ed struct fields where
    possible by using new C functions. But some have no replacement so
    we must undef GSEAL_ENABLE in the .cpp file to keep our now-deprecated API.

	* gtk/src/printer.hg: Add get_hard_margins().
	* gtk/src/viewport.hg: Added get_bin_window().
	* gtk/src/window.[hg|ccg]: Added get_window_type(), deprecating
    get_is_toplevel() and get_is_popup(). Removed get_is_dialog() because it
    never had any implmentation, so nobody could be using it.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

    ToolPalette: Make some getter methods const.

	* gtk/src/toolpalette.hg: get_expand(), get_icon_size(): Make these const.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/window.[hg|ccg]: Added unset_transient_for() now that the
    documentation of the C function says that an arg can be NULL and what it means.

2010-03-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entrybuffer.hg:
	* gtk/src/range.hg:
	* gtk/src/toolpalette.hg:
	* gtk/src/treeview.hg:
	* gtk/src/widget.hg: Correct @newin2p* to @newin{2,*}.

2.19.6:

2010-02-23  Murray Cumming  <murrayc@murrayc.com>

	Tooltip: Added Added set_icon(Gio::Icon). Regenerated signal/properties defs.

	* gtk/src/gtk_signals.defs: Regenerated (Well, copied regenerated
	parts in to it) with extra_defs_gen.
	* gtk/src/tooltip.hg: Added set_icon(Gio::Icon).

2010-02-23  Murray Cumming  <murrayc@murrayc.com>

	Added new methods to wrap new C functions.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/paned.hg: Added get_handle_window().
	* gtk/src/widget.[hg|ccg]: get_requisition(): Reimplemented with the
	new gtk_widget_get_requisition() function.
	Added set/get_realized(), set/get_mapped() and style_attach().

2010-01-31  Murray Cumming  <murrayc@murrayc.com>

	Use Glib::wrap() instead of ->gobj().

	* gdk/src/*.ccg:
	* gtk/src/*.ccg: Use Glib::wrap() instead of ->gobj() in some places,
	so we are generally more forgiving of null RefPtrs<>, particular in case we
	have forgotten to wrap may-be-null parameters as extra method overrides.

2010-01-28  Murray Cumming  <murrayc@murrayc.com>

	Action: Undeprecate some methods.

	* gtk/src/action.hg: Do not deprecate connect_proxy(),
	disconnect_proxy(), block_activate_from() and unblock_activate_from(),
	because we cannot derive existing classes from Activatable (their
	replacement) until we can break ABI.
	Fixes bug #608109 (David Trowbridge)

2010-01-27  Murray Cumming  <murrayc@murrayc.com>

	EntryBuffer: Actually use GtkEntryBuffer.

	* gtk/src/entrybuffer.hg: Use GtkEntryBuffer, not GtkTextBuffer,
	avoiding a warning about registering the same type twice.
	Remove useless TextBuffer-relatated includes.

2010-01-27  Murray Cumming  <murrayc@murrayc.com>

	Widget: Un-deprecate get_action().

	* gtk/src/widget.hg: get_action(): Do not deprecate this because we
	cannot yet use its replacement (adding Activatable as a base class).
	Do not try to wrap a gtk_widget_get_related_action() function which
	no longer exists, if it ever did.
	* gtk/src/activatable.hg: Add a TODO to use this, though we
	already have TODOs on the widgets that should use it when we can break
	ABI.

2.19.4:

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Range, StatusIcon: Added new methods.

	* gtk/src/gtk_methods.defs: Regnerated with h2defs.py
	* gtk/src/range.[hg|ccg]: Added get/set_slider_size_fixed(),
	get/set_min_slider_size(), get_slider_range(), get_range_rect().
	* gtk/src/statusicon.hg: Added set_name()

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Added EntryBuffer and used it in the Entry API.

	* gtk/src/entrybuffer.[hg|cc]: Added EntryBuffer. GtkEntryBuffer was
	actually added to GTK+ 2.18, but we didn't wrap it until now.
	* gtk/src/entry.hg: Aded get/set_buffer(), propery, and new constructor.

2010-01-25  Murray Cumming  <murrayc@murrayc.com>

	Entry: Added get_text_window() and get_icon_window().

	* gtk/src/entry.hg: Added get_text_window() and get_icon_window().

2010-01-19  Murray Cumming  <murrayc@murrayc.com>

	Updated gtk_docs.xml to get API reference for new methods.

	* gtk/src/gtk_docs.xml: Regnerated with docextract_to_xml.py.

2010-01-19  Murray Cumming  <murrayc@murrayc.com>

	Wrapped some new GTK+ functions.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/action.hg: Added get/set_always_show_image() and property.
	* gtk/src/fontselection.hg: Added get_family_list(), get_face_list(),
	get_size_list(). Reimplemented get_size_entry() and get_preview_entry()
	using new functions instead of struct fields.
	Added get_family() and get_face().
	* tools/m4/convert_pango.m4: Added necessary FontFace and FontFamily
	conversions.
	* gtk/src/printcontext.hg: Added get_hard_margins().
	* gtk/src/widget.[hg|ccg]: Added has_rc_style(), wrapping the new C function,
	deprecating rc_style().
	* gtk/src/window.hg: Added get_icon_name() and icon_name property.
	* gtk/src/toolpalette.hg: set_drag_source(), add_drag_dest():
	Add suitable default parameter values.

2010-01-16  Murray Cumming  <murrayc@murrayc.com>

	ToolItemGroup: Slight API improvements.

	* gtk/src/toolitemgroup.[hg|ccg]: Added insert() with no position parameter.
	get_item_position(): Made this const.

2010-01-14  Murray Cumming  <murrayc@murrayc.com>

	Added OffscreenWindow. Added Window::get/set_mnemonics_visible().

	* gtk/src/offscreenwindow.[hg|ccg]: Added this, wrapping
	GtkOffscreenWindow.
	* gtk/gtkmm.h: Include offscreenwindow.h.
	* gtk/src/window.hg: Added get/set_mnemonics_visible().
	Added mnemonics, accept-focus, and focus-on-map properties.

2010-01-14  Murray Cumming  <murrayc@murrayc.com>

	Fix build with latest GTK+.

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/toolpalette.hg: Fix the build with latest GTK+.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2010-01-05  Murray Cumming  <murrayc@murrayc.com>

	Deprecate some methods that wrap deprecated C functions.

	* gtk/src/button.hg:
	* gtk/src/notebook.[hg|ccg]:
	* gtk/src/recentmanager.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/widget.[hg|ccg]: Deprecate some more methods, noticed in the
	gtkmm-3maybe branch, where there are no undefs.

2.19.2:

2010-01-04  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with new GTK+ deprecations, when using fatal warnings.

	* gtk/src/button.hg: Use undef to fix the build with deprecated
	gtk_button_clicked() and friends. Deprecate the C++ methods.
	* gtk/src/fixed.hg:  Use undef to fix the build with deprecated
	gtk_fixed_set_has_window() and gtk_fixed_get_has_window().
	Deprecate the C++ methods.
	* gtk/src/filelist.am:
	* gtk/src/curve.hg:
	* gtk/src/inputdialog.hg: Use undef to fix the build now that these are
	deprecated in GTK+. Deprecate it in gtkmm.

2009-12-30  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window::get_default_root_window(): Correct the reference counting.

	* gdk/src/window.hg: get_default_root_window(): Use refreturn to
	correct ref the result.
	Bug #603852 (Mikko Rasa).

2009-12-22  Murray Cumming  <murrayc@murrayc.com>>

	Added and used ToolItemGroup.

	* gtk/src/toolitemgroup.[hg|ccg]: Added this GtkToolItemGroup wrapper.
	* gtk/src/toolitem.hg: Use ToolItemGroup instead of Widget.
	See https://bugzilla.gnome.org/show_bug.cgi?id=567729#c37

2009-12-21  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette: Added drag methods.

	* tools/m4/convert_gtk.m4:
	* gtk/src/toolpalette.hg: Added get_drag_item(), get_drag_target_item(),
	and get_drag_target_group().

2009-12-17  Krzesimir Nowak  <qdlacz@gmail.com>

	* gtk/gtkmm/border.h: Created separate header file for Gtk::Border.
	It contains a typedef and Glib::Value specialization for Gtk::Border.
	* gtk/gtkmm/filelist.am: Add border.h to gtkmm_files_extra_h.
	* gtk/src/entry.hg: Remove Gtk::Border typedef and include border.h.
	* gtk/src/range.hg: get_range_border() vfunc now uses Gtk::Border*
	instead of GtkBorder*. Written proper conversions for this.
	* gtk/gtkmm.h: Include the new border.h header.

2009-12-17  Murray Cumming  <murrayc@murrayc.com>

	Added ToolPalette.

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/toolpalette.[hg|ccg]: An initial wrapper for GtkToolPalette.
	* gtk/gtkmm.h: Include the new toolpalette.h header.

2009-12-16  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/translations/english.nsh:
	* win32_installer/translations/french.nsh:
	* win32_installer/translations/simpchinese.nsh: Added a new string
	recommending to choose a path not containing spaces for pkg-config to
	work.

	* win32_installer/gtkmm-installer.nsi.in: Show that string on the
	installation directory page. Also remove libxml2 and libgail-util
	documentation shortcuts from start menu on uninstall, and added
	pangommconfig.h and fontconfig.pc to the installer.

2009-12-10  Krzesimir Nowak  <qdlacz@gmail.com>

	* gdk/src/window.hg: Remove extra colons at offscreen methods
	to avoid warnings.

2009-12-03  José Alburquerque  <jaalburqu@svn.gnome.org>

	Make build successful when exceptions, vfuncs, etc. are disabled.

	* gtk/src/builder.hg:
	* gtk/src/builder.ccg: Included definitions and code for Glib::Error
	methods for when exceptions are disabled.
	(get_type_from_name_vfunc_callback): Wrap around #ifdefs for when
	vfuncs are not enabled.
	* gtk/src/menushell.ccg:
	* gtk/src/menushell.hg: Removed unneeded #endif and #ifdefs.
	(MenuShell_Class::insert_vfunc_callback):  Wrap around #ifdefs for
	when vfuncs are not enabled.

2009-12-03  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Add get/set_offscreen_embedder() and get_offscreen_pixmap().

	* gdk/src/window.hg: Add get/set_offscreen_embedder() and
	get_offscreen_pixmap(), suggested by Oscar Lazzarino.

2009-11-27  Benjamin Herr  <ben@0x539.de>

	Gdk::PixbufAnimationIter: Make the methods public.

	* gdk/src/pixbufanimationiter.hg: Made get_delay_time(), get_pixbuf(),
	on_currently_loading_frame() and advance() public instead of
	protected, as is necessary to actually use them.
	Bug #598484.

2009-11-27  Debarshi Ray  <debarshi.ray@gmail.com>

	Added Dialog::get_widget_for_response().

	* gtk/src/dialog.hg: Added get_widget_for_response(), wrapping
	gtk_dialog_get_widget_for_response().
	* gtk/src/gtk_methods.defs: Added the C function definition.
	Bug #600411.

2009-11-27  Debarshi Ray  <debarshi.ray@gmail.com>

	Add CellRendererSpin and Spinner.

	* gtk/src/cellrenderspin.[hg|ccg]:
	* gtk/src/spinner.[hg|ccg]: New files, wrapping new C API.
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs:
	* tools/extra_defs_gen/generate_defs_gtk.cc: Add new definitions of the
	C API.
	* gtk/gtkmm.h: Include the new headers.
	* configure.ac: Require a newer version of GTK+.
	Bug #598715.

This is the master branch. See also the gtkmm-2-18 branch.

2009-10-30  Murray Cumming  <murrayc@murrayc.com>

	VPaned documentation now says that it's vertical.

	* gtk/src/paned.hg: Correct the VPaned documentation to say that it
	is vertical rather than horizontal. Fixes bug #598653 (merenyi).

2009-10-27  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-installer.nsi.in: Add a bunch of new include
	files in the GTK+ bundle to the installer, as well as gail.pc.

2009-10-27  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Added infobar.{h,cc} to the
	project.

	* win32_installer/build-installer: Don't copy /bundle/contrib since
	this does not exist anymore in more recent GTK+ bundles.

	* win32_installer/install-msvc-module:
	* win32_installer/gtkmm-installer.nsi.in: Update for GTK+ 2.18 and
	gtkmm 2.18.

2009-10-18  Daniel Elstner  <daniel.kitta@gmail.com>

	Correct Gtk::TreeModelColumnRecord documentation

	* gtk/gtkmm/treemodelcolumn.h (Gtk::TreeModelColumnRecord): Remove
	bogus sentence vaguely cautioning against the use of static variables
	to implement singletons.  Reword the preceding sentence to avoid this
	sort of misunderstanding.

2009-10-13  David King  <davidk@openismus.com>

	* gtk/src/dialog.hg: Change return type of
	Gtk::Dialog::get_action_area() to Gtk::ButtonBox* from Gtk::HButtonBox*
	to fix breakage on Maemo Fremantle. Fixes bug #597779.
	* tools/m4/convert_gtk.m4: New conversion from GtkWidget* to
	Gtk::ButtonBox*.

2009-10-04  Daniel Elstner  <daniel.kitta@gmail.com>

	Increment version to 2.18.2 and update news

	* configure.ac (AC_INIT): Increment version to 2.18.2.
	(LIBGTKMM_SO_VERSION): Reset revision and increment current and
	age to indicate that API has been added to the library.
	({ATK,GDK,GTK}MM_MODULES): Tighten module version requirements
	to the recent stable releases of every module.
	(MM_PREREQ): Require mm-common 0.8.
	* NEWS: Write news entry for the gtkmm 2.18.2 release.

2009-10-04  Daniel Elstner  <daniel.kitta@gmail.com>

	Resurrect Widget::can_default() and can_focus()

	* gtk/src/widget.{ccg,hg} (Gtk::Widget::can_default): Wrap using
	_WRAP_METHOD(), thereby reintroducing the accidentally removed
	method implementation.
	(can_focus): Use _WRAP_METHOD() to bring back both the declaration
	and the implementation of this accidentally removed method.
	(get_allocation): Properly implement the accessor in terms of
	gtk_widget_get_allocation().

2009-09-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	gtkmm.h: Add infobar.h to list of includes.

	* gtk/gtkmm.h: Add infobar.h.

2.18.1:

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentmanager.hg: Do not deprecate get_default().
	This was a mistake in Daniel's commit on 2009-09-18.

2.18.0:

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs.xml: Regenerated.

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	Regenerate enums .defs.

	* gdk/src/gdk_enums.defs:
	* gtk/src/gtk_enums.defs: Regenerated.
	This adds a Gdk::CURSOR_BLANK, as requested in bug #591029 (Hammered).

2009-09-21  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/style.hg: get_style_property(): Use const_cast to maybe
	avoid a (correct) compiler error with the Intel C++ compiler.
	Bug #594171 (Alexander Shaduri).

	* gdk/src/gdk_methods.defs: Comment out an unused broken definition.

2009-09-19  Daniel Elstner  <daniel.kitta@gmail.com>

	Support Automake silent rules

	* configure.ac: Call the AM_SILENT_RULES macro if it is defined.
	(MM_INIT_MODULE): Move block below Automake initialization.
	* autogen.sh: Pass --verbose option to autoreconf.

2009-09-18  Daniel Elstner  <danielk@openismus.com>

	Fix build with deprecated C API disabled

	* tools/extra_defs_gen/generate_defs_gtk.cc: Undefine the macros
	{ATK,GDK,GTK}_DISABLE_DEPRECATED before including the GTK+ headers,
	so that all extra defs can be generated even in fatal warnings mode.
	* {atk,gdk,gtk}/src/*.hg: For all source files which contain calls
	to deprecated functions of the C API, inject an #undef preprocessor
	statement before any header includes to make the deprecated API
	visible when building gtkmm itself.  Mark C++ methods as deprecated
	where appropriate, but generally only when a replacement is already
	available.  Also correct a lot of whitespace errors along the way.

2009-09-18  Daniel Elstner  <danielk@openismus.com>

	Insert missing Autoconf macro argument separator

	* configure.ac (GTKMM_WXXFLAGS): Insert the missing argument
	separator between the third and fourth macro arguments.  This
	means the deprecation macros are now defined correctly again
	when building in fatal warnings mode.

2009-09-17  Daniel Elstner  <danielk@openismus.com>

	Update Doxygen configuration for Doxygen 1.6.1

	* docs/reference/Doxyfile.in: Update configuration for Doxygen 1.6.1.
	(SORT_MEMBERS_CTORS_1ST): Set to YES.

2009-09-17  Murray Cumming  <murrayc@murrayc.com>

	Require a recent pangomm.

	* configure.ac: Require a recent pangomm version, because gtkmmconfig.h
	now requires the new pangommconfig.h. This was a (correct) side-effect
	of using the new mm-common build system, I think. Bug #593049
	(Frederic Peters).

2009-09-15  Daniel Elstner  <danielk@openismus.com>

	Correct misuse of container handle (bgo #586626)

	* gtk/src/clipboard.{ccg,hg} (Clipboard::wait_for_targets): Create
	an intermediate array of allocated C strings and transfer ownership
	on return, instead of trying to returned a handle to a container
	with local scope.  (Based on patch by Peter Clifton.)
	(SignalProxy_TargetsReceived_gtk_callback): Correct another misuse
	of the container handles similar to the above, except for the crash.
	(SignalProxy_RichTextReceived_gtk_callback): Simplify the code and
	plug a memory leak in the event of an exception.

2009-09-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/window.hg: Added set_icon_name().

2009-09-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/enums.hg: Include gtkmmconfig.h because we use
	 GTKMM_MAEMO_EXTENSIONS_ENABLED.

2.17.11:

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/infobar.hg: Added class documentation.

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	Gdk::Window: Wrapped new methods.

	* gdk/src/gdk_methods.defs: Regenerated.
	* gdk/src/window.[hg|cc]: Added redirect_to_drawable(),
	remove_redirection(), geometry_changed(), get_root_coords(), restack().

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.[hg|ccg]: Put the usual ifdefs around the newly
	deprecated methods.

2009-09-06  Murray Cumming  <murrayc@murrayc.com>

	Added new getters and a setter.

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/range.hg: Added get/set_flippable.
	* gtk/src/widget.[hg]: Added get_is_toplevel(), get_is_drawable(),
	get/set_receives_default(), wrapping the new C functions,
	deprecating the hand-coded non get-prefixed versions.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.17.9.3 and update news

	* configure.ac (AC_INIT): Bump version number to 2.17.9.3.
	* NEWS: Write news entry for gtkmm 2.17.9.3.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Fix documentation location in pkg-config files

	* {atk,gdk,gtk}/{atk,gdk,gtk}mm{,-uninstalled}.pc.in (htmlrefpub):
	Point to library.gnome.org.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.17.9.2 and update news

	* configure.ac (AC_INIT): Bump version number to 2.17.9.2.
	* NEWS: Write news entry for gtkmm 2.17.9.2.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Remove documentation location override

	* docs/Makefile.am (htmlrefpub): Remove variable override as
	the documentation is now hosted on library.gnome.org.  D'oh.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Increment version to 2.17.9.1 and update news

	* configure.ac (AC_INIT): Bump version number to 2.17.9.1.
	(AM_INIT_AUTOMAKE): Enable check-news option.
	(MM_PREREQ): Require mm-common 0.7.1.
	* NEWS: Write news entry for gtkmm 2.17.9.1.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Use shared mm-common Doxygen style sheet

	* configure.ac (MM_PREREQ): Require mm-common 0.7.
	* docs/reference/Doxyfile.in (HTML_STYLESHEET): Assign path
	to the shared doxygen.css provided by mm-common.

2009-08-28  Daniel Elstner  <danielk@openismus.com>

	Remove header and footer HTML fragments

	* docs/reference/gtkmm_{header,footer}.html_fragment: Delete
	files.  These custom fragments were an unnecessary maintenance
	hassle.  Also, the files were out of date with respect to the
	encoding and CSS classes used by Doxygen.
	* docs/reference/Doxyfile.in (HTML_HEADER), (HTML_FOOTER): Set
	to the empty string.
	(PROJECT_NUMBER): Substitute @PACKAGE_VERSION@.  It does look
	nicer in the generated HTML pages, and is probably also less
	confusing.
	(SORT_GROUP_NAMES): Enable for predictability.
	* docs/Makefile.am (dist_noinst_DATA): Remove deleted HTML
	fragment files.

2009-08-26  Daniel Elstner  <danielk@openismus.com>

	Reenable hierarchy graphs for each class

	* docs/reference/Doxyfile.in (COLLABORATION_GRAPH): Set option
	to YES to enable the per-class inheritance graphs.

2.17.9:

2009-08-25  Daniel Elstner  <danielk@openismus.com>

	RecentInfo: Correct get_application_info() so it can actually be used.

	* gtk/src/recentinfo.[hg|ccg]: get_application_info(): Correct the
	app_exec parameter to a Glib::ustring& instead of a
	Glib::StringArrayHandle& app_exec. This method could not have been
	used before without crashing so this is not a real ABI break.
	equal(): Reimplement with _WRAP_METHOD() instead of hand-coding.
	get_applications(), get_length(): Make the implementations more robust
	by using the length parameter.

	Bug #590381

2009-08-25  Murray Cumming  <murrayc@murrayc.com>

	Regenerated C documentation XML and wrapped some new API.

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated.
	* gtk/src/printoperation.hg: Added update_custom_widget signal.
	* gtk/src/statusicon.hg: Added get/set_title() and property.

2009-08-24  Murray Cumming  <murrayc@murrayc.com>

	Fix an API break.

	* gtk/src/widget.[hg|cc]: Add back is_visible(), deprecated, calling
	get_visible().

2009-08-24  Murray Cumming  <murrayc@murrayc.com>

	Widget, CellRenderer, PrintUnixDialog: Wrapped some new functions.

	* gtk/src/cellrenderer.hg: Added get/set_alignment(),
	get/set_padding(), get/set_visible(),
	get/set_sensitive().
	* gtk/src/cellrenderertoggle.hg: Added set/get_activatable().
	* gtk/src/filechooser.hg: Added get/set_create_folders() and property.
	* gtk/src/label.hg: Added get/set_track_visited_links() and property.
	* gtk/src/menu.hg: Added get/set_reserve_toggle_size() and property.
	* gtk/src/printunixdialog.hg: Added set/get_support_selection(),
	set/get_support_selection(), set/get_has_selection(),
	set/get_embed_page_setup(), s/get_embed_page_setup(), and
	get_page_setup_set().
	* gtk/src/widget.[hg|ccg]:
	is_sensitive(), can_focus(), has_focus(), has_grab(), has_default(),
	is_visible(): Reimplement with new gtk_widget_*() functions.
	sensitive(), double_buffered(), app_paintable(), can_default():
	Deprecated in favour of new get_*() methods.
	Added get/set_has_window().

2009-08-24  Murray Cumming  <murrayc@murrayc.com>

	Regenerated the main .defs files.

	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs:
	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkInfoBar.
	* gtk/src/gtk_signals.defs: Regenerated
	* gtk/src/infobar.hg: response signal: Added the parameter.
	* gtk/src/printoperation.hg: Added get/set_embed_page_setup() and
	get_n_pages_to_print() and properties.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Rename @since back to @newin

	* docs/reference/Doxyfile.in (ALIASES): Rename the @since alias
	back to its old name @newin, but otherwise keep the parameters.
	Apparently there is a @since command predefined in Doxygen which
	I hadn't noticed.  It does seem to get overridden silently, but
	it is better not to rely on this.
	* g[dt]k/src/*.hg, g[dt]k/g[dt]kmm/*.h: Replace all uses of @since
	with @newin.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Do not hard-code API version in resource files

	* MSVC_Net200[58]/atkmm/atkmm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @ATKMM_MODULE_NAME@
	instead of hardcoding the API version.  Replace @GTKMM_*_VERSION@
	substitutions with their @ATKMM_*_VERSION@ equivalents.
	* MSVC_Net200[58]/gdkmm/gdkmm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @GDKMM_MODULE_NAME@
	instead of hardcoding the API version.  Replace @GTKMM_*_VERSION@
	substitutions with their @GDKMM_*_VERSION@ equivalents.
	* MSVC_Net200[58]/gtkmm/gtkmm.rc.in: Use newer @PACKAGE_VERSION@
	substitution in place of @VERSION@.  Substitute @GTKMM_MODULE_NAME@
	instead of hardcoding the API version.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Substitute API version in filenames dynamically

	* atk/atkmm.pc.in: Rename file from atk/atkmm-1.6.pc.in.
	* atk/atkmm-uninstalled.pc.in: Rename file from
	atk/atkmm-1.6-uninstalled.pc.in.
	* gdk/gdkmm.pc.in: Rename file from gdk/gdkmm-2.4.pc.in.
	* gdk/gdkmm-uninstalled.pc.in: Rename file from
	gdk/gdkmm-2.4-uninstalled.pc.in.
	* gtk/gtkmm.pc.in: Rename file from gtk/gtkmm-2.4.pc.in.
	* gtk/gtkmm-uninstalled.pc.in: Rename file from
	gtk/gtkmm-2.4-uninstalled.pc.in.
	* configure.ac (AC_CONFIG_FILES): Insert ${ATKMM_MODULE_NAME},
	${GDKMM_MODULE_NAME} and ${GTKMM_MODULE_NAME} into output filenames
	and remove the hard-coded version from the input filenames.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/Makefile.am (lib_LTLIBRARIES):
	Substitute @{ATK,GDK,GTK}MM_API_VERSION@ into the libtool archive
	names as well as the variable names derived from them instead of
	hard-coding the API versions.

2009-08-19  Daniel Elstner  <danielk@openismus.com>

	Predefine ATKMM_API and GDKMM_API for Doxygen

	* docs/reference/Doxyfile.in (PREDEFINED): Define the ATKMM_API and
	GDKMM_API macros to the empty expansion, so they won't show up in
	the generated documentation.

2009-08-18  Daniel Elstner  <danielk@openismus.com>

	Use parametric Doxygen alias @since{m,n}

	* docs/reference/Doxyfile.in (ALIASES): Define a parametrized alias
	@since{major,minor} to replace the old @newin?p?* aliases which had
	to be defined manually for every version number used.
	* g[dt]k/src/*.hg, g[dt]k/g[dt]kmm/*.h: Change all occurrences of
	@newin?p?* to @since{m,n}.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Define {ATK,GDK,GTK}MM_BUILD macros

	* atk/atkmm/Makefile.am (local_cppflags): Append -DATKMM_BUILD=1.
	* gdk/gdkmm/Makefile.am (local_cppflags): Append -DGDKMM_BUILD=1.
	* gtk/gtkmm/Makefile.am (local_cppflags): Append -DGTKMM_BUILD=1.

2009-08-17  Daniel Elstner  <danielk@openismus.com>

	Make use of new MM_DISABLE_DEPRECATED_API macro

	* configure.ac ({ATK,GDK,GTK}MM_DISABLE_DEPRECATED): Call the
	new MM_ARG_DISABLE_DEPRECATED_API macro from mm-common in
	order to provide the option to omit deprecated API from the
	library build, and to define the corresponding configuration
	macros.

2009-08-17  Daniel Elstner  <daniel.kitta@gmail.com>

	Append slash to overridden $(htmlrefpub)

	* docs/Makefile.am (htmlrefpub): Append trailing slash for
	consistency with the non-overridden value.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Define *_DISABLE_DEPRECATED in config header

	* configure.ac ({ATK,GDK,GTK}MM_DISABLE_DEPRECATED): Go back to
	AC_DEFINE() instead of setting DISABLE_DEPRECATED_API_CFLAGS to
	a list of -D options to pass to the compiler.
	* gdk/gdkmmconfig.h.in (GDKMM_DISABLE_DEPRECATED): Copy #undef
	statement from the config.h.in generated by autoheader.
	* gtk/gtkmmconfig.h.in (GTKMM_DISABLE_DEPRECATED): ditto.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Add missing gdkmm dependency to pkg-config file

	* gtk/gtkmm-2.4.pc.in (Requires): List @GDKMM_MODULE_NAME@ as
	a dependency, since it is not among @GTKMM_MODULES@ already.
	* gtk/gtkmm-2.4-uninstalled.in (Requires): Use @GTKMM_MODULES@
	again instead of @GDKMM_MODULES@.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Update and clean up g[dt]kmmconfig.h

	* gdk/gdkmmconfig.h.in (GDKMM_*_VERSION): Add #undef statements
	for the version number component macros.
	* gtk/gtkmmconfig.h.in: Clean up and copy #undef statements from
	the config.h.in file generated by autoheader.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Provide pkg-config files for uninstalled use

	* atk/atkmm-1.6-uninstalled.pc.in: New pkg-config metadata file
	for building against a non-installed library.
	* gdk/gdkmm-2.4-uninstalled.pc.in: ditto,
	* gtk/gtkmm-2.4-uninstalled.pc.in: ditto.
	* configure.ac (GTKMM_REQ_ATKMM): Rename from GTKMM_PC_ATKMM_DEP.
	(GTKMM_REQ_ATKMM_UNINST): Add variant for the uninstalled library.
	(AC_CONFIG_FILES): List new *-uninstalled.pc output files.
	* gtk/gtkmm-2.4.pc.in (Requires): Substitute @GTKMM_REQ_ATKMM@.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Simplify and update for recent mm-common

	* configure.ac: Insert MM_PREREQ([0.4]) macro call.
	(MM_INIT_MODULE): Omit now optional second argument.
	* atk/atkmm-1.6.pc.in, {gdk,gtk}/{gdk,gtk}mm-2.4.pc.in (htmlrefpub):
	Append trailing slash to URL, as per new mm-common recommendation.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Get rid of obsolete GLIBMM_USING_STD()

	* gtk/gtkmm/treemodelcolumn.h: Stop using GLIBMM_USING_STD(), now
	that it has been removed from glibmm.
	* gtk/src/{textbuffer,treeiter,treepath}.hg: ditto.

2009-08-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Rename scripts/ to build/ for consistency

	* build/: Rename directory from scripts/ for consistency with the
	other binding modules that switched to the new build system.
	* configure.ac (AC_CONFIG_AUX_DIR): Change to build/ directory.
	(AC_CONFIG_MACRO_DIR): ditto.
	* Makefile.am (ACLOCAL_AMFLAGS): Include M4 files from build/.
	* {atk,gdk,gtk}/*/Makefile.am: Include mm-common build files from
	$(top_srcdir)/build/.
	* docs/Makefile.am: ditto.

2009-08-13  Daniel Elstner  <daniel.kitta@gmail.com>

	Reference new canonical name of cairomm tag file

	* configure.ac (cairomm-1.0.tag): Change from cairomm_doxygen_tags
	to the new canonical name of the cairomm tag file.

2009-08-13  Daniel Elstner  <daniel.kitta@gmail.com>

	Distribute gtk/gtkmm/wrap_init.h

	* gtk/gtkmm/filelist.am (gtkmm_files_extra_h): List wrap_init.h.

2009-08-13  Daniel Elstner  <daniel.kitta@gmail.com>

	Clean up remaining cruft in scripts/

	* Makefile.am (DIST_SUBDIRS): Remove the explicit assignment, and
	have Automake figure it out for itself.
	* configure.ac (AC_CONFIG_FILES): Remove scripts/Makefile output
	file.  Merge the remaining output files into one list, and clean
	up a bit.
	* scripts/Makefile.am: Delete now unused build file.
	* scripts/README: Delete unhelpful text file.
	* scripts/{cxx,cxx_std,dk-warn,docgen,macros}.m4: Delete outdated
	and no longer used Autoconf macro files.

2009-08-12  Daniel Elstner  <daniel.kitta@gmail.com>

	Convert tests/ to non-recursive build

	* configure.ac (AC_CONFIG_FILES): Remove tests/*/Makefile ouputs.
	* tests/Makefile.am: Overhaul, modernize and make non-recursive.
	Build the test program targets on make check instead of make all.
	* tests/*/Makefile.am: Delete now unused build files.
	* tests/Makefile.am_fragment: ditto.
	* docs/Makefile_web.am_fragment: Delete left-over file.

2009-08-12  Daniel Elstner  <daniel.kitta@gmail.com>

	Remove duplicate image files for pixbuf-demo

	* demos/pixbuf-demo.cc: Clean up a few minor things.
	(background_name), (image_names): Prefix "gtk-demo/" to the file
	names so that it can pick up the files from the subdirectory.
	* demos/Makefile.am (dist_democode_DATA): Split into two variables
	$(democode_DATA) and $(dist_democode_DATA) to avoid copying source
	code files twice into the distribution.
	* demos/background.jpg, demos/*.png: Delete duplicate image files.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Bring back demos/ and make it non-recursive

	* configure.ac (AC_CONFIG_FILES): Add output file demos/Makefile.
	* Makefile.am (SUBDIRS): Recurse into demos/ subdirectory again.
	* demos/Makefile.am: Overhaul, modernize and make non-recursive.
	Build the demo program targets on make check instead of make all.
	Install all gtkmm-demo source files, as there is little point in
	not shipping the full compilable set.  Stop installing gtkmm-demo
	for now.  Do we really need this installed?
	* demos/gtk-demo/Makefile.am: Delete now unused file.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Fix GLIBMM vs GTKMM typo

	* gtk/gtkmm/Makefile.am (AM_CXXFLAGS): It's $(GTKMM_WXXFLAGS).

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Un-invert DISABLE_DEPRECATED_API conditional

	* configure.ac (DISABLE_DEPRECATED_API): Invert the accidentally
	reversed test condition for AM_CONDITIONAL().

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Remove header dependency of gdkmm on gtkmm

	* gdk/src/dragcontext.hg: Remove #include <gtkmm/stockid.h>, which
	appears to have been left over from an earlier change to avoid the
	dependency.  The problem got caught due to the shortened include
	paths of the new build setup.  Also get rid of a pointless forward
	declaration of Gtk::Widget.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Correct tag reference to pangomm

	* configure.ac (MM_ARG_WITH_TAGFILE_DOC): The module name of the
	current pangomm API is pangomm-1.4, not pangomm-2.4.  Ooops.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Convert documentation to new build system

	* configure.ac (MM_ARG_ENABLE_DOCUMENTATION): Call macro.
	(MM_ARG_WITH_TAGFILE_DOC): Call once for each tagfile dependency.
	(AC_CONFIG_FILES): Remove output files docs/images/Makefile and
	docs/reference/**/Makefile from the list.
	* Makefile.am (SUBDIRS): Include docs/ conditionally.
	* docs/Makefile.am: Rewrite based upon the new doc-reference.am
	build support file from the mm-common module.
	* docs/reference/Doxyfile.in: Replace with modernized Doxygen
	configuration and adapt to the new mm-common build organization.
	* docs/images/Makefile.am: Delete old recursive build file.
	* docs/reference/Makefile.am: ditto,
	* docs/reference/reference/Makefile.am: ditto,
	* docs/reference/images/Makefile.am: ditto,
	* docs/reference/images/widgets/Makefile.am: ditto.
	* atk/atkmm-1.6.pc.in, gdk/gdkmm-2.4.pc.in, gtk/gtkmm-2.4.pc.in:
	Overhaul and make use of more configuration substitutions.  Provide
	the locations of the reference documentation and the tag file.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Convert main source directories to mm-common

	* configure.ac: Get rid of some more cruft we no longer need.
	(DISABLE_DEPRECATED_API): Add Automake conditional.
	(AC_CONFIG_FILES): Remove tools/{m4,extra_defs_gen}/Makefile and
	{atk,gdk,gtk}/{atk,gdk,gtk}mm/private/Makefile.
	* tools/Makefile.am: Non-recursively build the contents of all
	subdirectories.
	* tools/m4/filelist.am: Overhaul for new build system and rename
	file from Makefile_list_of_sources.am_fragment to filelist.am.
	* tools/Makefile_list_of_sources.am_fragment: Delete file.
	* tools/extra_defs_gen/Makefile.am: Delete recursive Makefile.
	* tools/m4/Makefile.am: ditto.
	* tools/README, tools/TODO: Delete unhelpful and obsolete files.
	* {atk,gdk,gtk}/src/filelist.am: Adapt file lists to new mm-common
	build organization and rename from Makefile_list_of_hg.am_fragment
	to filelist.am.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/filelist.am: New files defining the
	lists of source files to compile and include in the libraries.
	* {atk,gdk,gtk}/src/Makefile.am: Rewrite based upon the new build
	support files from mm-common.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/Makefile.am: ditto.
	* {atk,gdk,gtk}/{atk,gdk,gtk}mm/private/Makefile.am: Delete files.
	* build_shared/*.am_fragment: Delete obsolete build support files.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Do not recurse into MSVC or NSI subdirectories

	* configure.ac (AC_CONFIG_FILES): Remove the output files
	MSVC_Net200[58]/**/Makefile and win32_installer/**/Makefile.
	(AC_CONFIG_COMMANDS): Append custom commands to config.status to
	copy the generated header files into the MSVC subdirectories.  Do
	the same for COPYING, which is copied to win32_installer/lgpl.txt.
	* MSVC_Net200[58]/filelist.am: New Automake include files.
	* win32_installer/filelist.am: New Automake include file.
	* Makefile.am: Include the file lists MSVC_Net200[58]/filelist.am
	and win32_installer/filelist.am.
	(SUBDIRS): Do not recurse into MSVC_Net200[58]/ or win32_installer/
	subdirectories.
	(dist_noinst_DATA): Distribute the MSVC and Windows installer data
	files from here.
	(DISTCLEANFILES): Delete file copies from subdirectories.
	* MSVC_Net200[58]/**/Makefile.am: Delete now unused build files.
	* win32_installer/**/Makefile.am: ditto.
	* win32_installer/gtkmm-installer.nsi.in (PRODUCT_API_VERSION):
	Substitute @GTKMM_API_VERSION@ and remove the TODO comment.
	(PRODUCT_VERSION): Substitute @PACKAGE_VERSION@.
	* win32_installer/install-msvc-module: Fix the incorrectly applied
	shell quoting throughout the file.  Replace cascade of 'if test'
	and 'elif test' constructs with a straightforward 'case ... in'.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Skip over intermediate subdir in recursion

	* configure.ac (AC_CONFIG_FILES): Remove {atk,gdk,gtk}/Makefile.
	(AC_CONFIG_HEADERS): Bring back gdkmmconfig.h.
	* Makefile.am (SUBDIRS): Skip over {atk,gdk,gtk}/ and recurse
	directly into {atk,gdk,gtk}/src and {atk,gdk,gtk}/{atk,gdk,gtk}mm.
	Reorganize the conditional inclusion of atkmm in the build.
	({atk,gdk,gtk}mm_include_HEADERS): Install *mm.h central headers.
	(nodist_g[dt]kmm_libinclude_HEADERS): Install *mmconfig.h headers.
	(nodist_pkgconfig_DATA): Install pkg-config metadata files.
	* {atk,gdk,gtk}/Makefile.am: Delete now unused files.
	* {atk,gdk,gtk}/README: Delete either empty or unhelpful files.

2009-08-12  Daniel Elstner  <danielk@openismus.com>

	Begin transition to mm-common build system

	* autogen.sh: Replace with minimal script already used in pangomm,
	only invoking mm-common-prepare, autoreconf and configure.
	* configure.ac: Overhaul and remove large chunks of unnecessary,
	inappropriate or broken tests and actions.  Start using shared
	macros from mm-common to simplify matters.  Insert some dummy
	substitutions and Automake conditional to keep the tree building.
	* Makefile.am (ACLOCAL_AMFLAGS): Define for autoreconf to work.
	(SUBDIRS): Temporary adjustments to keep the tree building.
	* config.h.in: Delete file, and have autoheader generate it.

2009-07-31  Johannes Schmid <jschmid@openismus.com>

	* gtk/src/builder.hg:
	* gtk/src/builder.ccg:
	#590353 - GtkBuilder header is inconsistent in exception/error handling

2009-07-23  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Builder: Fix a crash when the widget is not found.

	* gtk/src/builder.ccg: get_widget_checked(): Prevent a crash if the widget
	was not found by GtkBuilder.
	Bug #589267 (Alexander Shaduri)

2.17.2:

2009-07-13  Murray Cumming  <murrayc@murrayc.com>

	Fixed the build.

	* tools/m4/convert_gtk.m4: Added conversions now needed in gdk/src/pixbuf.hg.

2009-07-08  Daniel Elstner  <danielk@openismus.com>

	Correct base type check in Container_Class::remove_callback()

	* gtk/src/container.ccg (Gtk::Container_Class::remove_callback):
	In order to test for the abstract GtkContainer parent class, actually
	compare against the parent type instead of making invalid assumptions
	about the derived type.  By means of the alternative Glib::ObjectBase
	constructor, it is possible to create a custom GObject type different
	from the standard one.

2008-03-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/container.ccg: remove_callback(): When just calling the C
	callback, because the C++ object has already been destroyed, don't
	even call the C callback if the GType is exactly GtkContainer. This
	avoids a useless warning from GTK+ about an unimplemented remove()
	default signal handler. This happens when deriving from Gtk::Container -
	remove() really is implemented - it's just that we don't call our own
	implementation when that would be impossible.
	Bug #518002 (Jonathon Jongsma).

2009-06-29  Jonathon Jongsma  <jonathon@quotidian.org>

	* configure.ac:
	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg:
	* tools/m4/convert_gdk.m4: add Gdk::Pixbuf::create_for_stream() and
	  create_for_stream_at_scale() for reading pixbufs from Gio file
	  streams

2.17.1:

2009-06-22  Hubert Figuiere  <hub@figuiere.net>

	* gtk/src/treepath.ccg: Gtk::TreePath::empty() must
	return true if gobj_ is NULL. Bug #586437.

2009-06-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/infobar.[hg|ccg]: Added InfoBar.

	This is the master branch, for gtkmm 2.18, wrapping GTK+ 2.18.
	See also the gtkmm-2-16 branch.

2009-06-19  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with GTK+ 2.17.x

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* tools/m4/convert_gtk.m4: Add a conversion because a
	gtk_recent_info_get_application_info() parameter's constness has changed.

2009-06-16   Hakim Bellam  <hakim.bellam@gmail.com>

	* gtk/src/recentmanager.ccg: add_item(): Correct a memory allocation to
	avoid a crash later. Bug #585521.

2009-06-14  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-installer.nsi.in: Don't create a broken
	zlib1.dll in the redist/ directory after installation (Kamil
	Pawlowski).

2009-05-31  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-installer.nsi.in: Make sure to uninstall all
	installed files, a few files were missing (Tao Wang).

2009-05-31  Armin Burgmeier  <armin@openismus.com>

	* configure.ac: Define GTKMM_STATIC_LIB when a static gtkmm library is
	built.

	* gtk/gtkmmconfig.h.in: Define GTKMM_DLL on Windows when building a
	DLL, instead of using GLIBMM_DLL, so that it's possible to build
	glibmm as a static library and gtkmm as a DLL, or vice versa. Bug
	#583657.

2009-05-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/iconview.hg: get_model(): Use refreturn to correct the ref-counting.
	Bug #583037 (Santanu Sinha).

2009-05-05  Murray Cumming  <murrayc@murrayc.com>

	Gtk::SelectionData::get_uris() documentation fix.

	* gtk/src/gtk_docs_override.xml: Add an override for
	gtk_selection_data_get_uris() because the C documentation mentions freeing
	strings.

2009-05-05  Johannes Schmid <jschmid@openismus.com>

	* gtk/gtkmm/box.ccg:
	* tests/boxhelper/main.c
	* tests/boxhelper/Makefile.am
	* tests/Makefile.am
	* configure.ac:
	Fixed 466853 – Gtk::Box_Helpers::BoxList::insert() has wrong
	return value
	and added testcase

2009-04-28  Johannes Schmid <jschmid@openismus.com>

  * gtk/gtkmm/stock.h:
  * gtk/gtkmm/stockitem.h:
  * gtk/src/iconset.hg:
  506885 – Stock ID stuff needs documentation

  Document as much as there is information available from the Gtk+ documentation

2009-04-27  Johannes Schmid <jschmid@openismus.com>

  * gtk/src/statusicon.ccg: get_geometry():
  Reference the returned statusicon because the RefPtr becomes invalid
  otherwise (#575268)

2009-04-18  Daniel Elstner  <danielk@openismus.com>

	* docs/reference/images/stock: Add these stock images to the repository for
	now to unbreak the build since we can no longer use svn:external.  It's
	probably worth looking for a better way to do this in the future.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/notebook.ccg (PageList::PageList cctor): Oops. Fix silly
	mistake that broke the build.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* configure.ac: Rename from configure.in.
	* autogen.sh: Fix reference to configure.in.
	* MSVC_Net2005/glibmm/Makefile.am: ditto,
	* MSVC_Net2005/giomm/Makefile.am: ditto,
	* MSVC_Net2008/glibmm/Makefile.am: ditto,
	* MSVC_Net2008/giomm/Makefile.am: ditto.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* scripts/dk-warn.m4: New file defining DK_ARG_ENABLE_WARNINGS().
	* scripts/macros.m4: Remove the old GTKMM_ARG_ENABLE_WARNINGS().
	* configure.in: Use new macro DK_ARG_ENABLE_WARNINGS() to set the
	Makefile variable $(GLIBMM_WXXFLAGS).
	* build_shared/Makefile_build.am_fragment (all_includes): Insert
	$(GLIBMM_WXXFLAGS).  Also move deprecation flags here.
	* tools/extra_defs_gen/Makefile.am (INCLUDES): Insert
	$(GLIBMM_WXXFLAGS).
	* demos/Makefile.am (all_includes): ditto,
	* demos/gtk-demo/Makefile.am (all_includes): ditto,
	* tests/Makefile.am_fragment (INCLUDES): ditto.

2009-03-26  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/messagedialog.ccg (MessageDialog::set_secondary_text):
	Fix nasty security hole discovered by GCC:  A non-literal was
	used as a varargs format string.
	* gtk/src/notebook.ccg: Spring cleaning.
	(PageList::find): Fix broken loop end condition discovered by
	GCC.  Replace the whole thing by std::advance().
	* gtk/src/calendar.ccg (SignalProxy_Details_gtk_callback): Remove
	model argument name to avoid a warning.  Also do a bit of spring
	cleaning.

2009-03-26  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-installer.nsi.in: Added GTK+ pixbuf loaders
	to the installer (Damon Register).

2009-03-23  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/builder.{ccg,hg}: Conditionalize all exception handling
	code in order to fix the build with --disable-api-exceptions.
	* gtk/src/printjob.hg: ditto,
	* demos/gtk-demo/example_images.cc: ditto,
	* demos/gtk-demo/example_treeview_treestore.cc: ditto,

2009-03-17  Armin Burgmeier  <armin@openismus.com>

	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2008/gtkmm/gtkmm.vcproj: Added activatable.[h|cc] and
	orientable.[h|cc] to the project.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops: Disable warning 4312,
	since a glib 2.20 header file triggers it, and this clutters the
	compiler output otherwise.

	* win32_installer/README:
	* win32_installer/build-installer:
	* win32_installer/gtkmm-installer.nsi.in:
	* win32_installer/install-msvc-module:
	* win32_installer/Makefile.am:
	* win32_installer/redist_README.txt: Adapt for gtkmm 2.16. Added a
	redist/ folder to the installer which contains optimized and stripped
	binaries, and removed the option to set the PATH environment variable.
	We set it always now as it is required for running built applications.

2009-03-17  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stockid.cc: Actually implement operator bool().
	* gtk/src/textbuffer.ccg: Actually implement the const get_text(bool)
	method. These fix undefined symbol linker errors when people try to use
	these methods.

2.16.0:

2009-03-16  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Makefile.am: Break the html and devhelp install/uninstall
	rules up and generally base them on what is now in pangomm, thanks to
	Theppitak Karoonboonyanan, to fix the distcheck.

2009-03-16  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbufanimation.[hg|ccg]: create_from_file(): Throw an exception
	when the GError is not null.

	* gtk/src/entry.[hg|ccg]: *_icon_* methods(): Rearrange parameters to make
	these consistent and so we can have more default parameter values.

	* gdk/src/pixbufanimation.hg:
	* gdk/src/pixbufanimationiter.hg:
	* gdk/src/dragcontext.hg:
	* gtk/src/accelgroup.hg:
	* gtk/src/enums.hg:
	* gtk/src/iconset.hg:
	* gtk/src/printoperationpreview.hg: Dealt with some documentation TODOs.

2009-03-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entry.hg:
	* gtk/src/style.hg:
	* gtk/src/gtk_signals.defs: Fix typos to fix the build.

	* gtk/src/settings.hg: Correct the color-hash property name so that that
	API is really generated.

2009-03-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/style.hg: Added get_style_property_value() and
	get_style_property<>().

	* gtk/src/gtk_signals.defs: Hand-correct the definitions for the
	GtkEntry::icon-press and icon-release signals.
	* gtk/src/entry.hg: Added icon_press and icon_release signals.

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py

	* gdk/src/gdk_methods.defs:
	* gdk/src/gdk_pixbuf.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gdk/src/drawable.hg:
	* gdk/src/gc.hg:

	* tools/m4/convert_gdk.m4:
	* gdk/src/region.hg:
	* gdk/src/window.hg:
	* gtk/src/activatable.hg:
	* gtk/src/entry.hg: Added conversions to deal with GTK+ making some
	function parameters const.

2009-03-06  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/textbuffer.{ccg,hg} (TextBuffer::[gs]et_rich_text_format):
	Remove Maemo-specific methods which have been superseded by the
	generic TextBuffer serialization facilities.
	(TextBuffer::set_rich_text_format_all): ditto,
	(TextBuffer::[gs]et_can_paste_rich_text): ditto.

2009-03-06  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/enums.hg (Gtk::Hildon::SizeType): New Maemo-specific
	enumeration corresponding to HildonSizeType.
	(Gtk::Hildon::InputMode): New Maemo-specific enumeration
	corresponding to HildonGtkInputMode.

2009-03-06  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/gtk_enums_maemo.defs: New separate defs file for the
	changes in the Maemo fork of GTK+.
	* gtk/src/gtk_methods_maemo.defs: Likewise.
	* gtk/src/gtk.defs: Include the Maemo defs files.
	* gtk/src/Makefile.am (files_defs): Add the new defs files.

2009-02-23  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/activatable.hg: Renamed the reset() vfunc and method to
	sync_action_properties() to match the API change in GTK+, to fix the
	build. We need to regenerate the .defs to complete this.

2009-02-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/builder.hg: get_widget_derived():
	* gtk/src/builder.ccg: get_widget_checked(): Take a reference on
	the widget received from gtk_builder_get_object() because it does
	not give one.

2009-02-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/builder.[hg|ccg]: create_from_file(), add_from_file(),
	create_from_string(), add_from_string(): Add method overloads that
	take a char* for the object ID, to avoid ambiguity with the two
	other overloads that take ustring or StringArrayHandle.

2009-02-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Fixed the documentation for
	Widget::set_tooltip_markup(), Widget::get_snapshot(), and
	Widget::get_composite_name() to not mention NULL strings and freeing.
	Mentioned by some guy on irc who couldn't be bothered to submit a bug.

2009-02-17  Daniel Elstner  <danielk@openismus.com>

	* demos/gtk-demo/demo-common.cc (get_democodedir): Replace deprecated
	call to g_win32_get_package_installation_directory() in order to shut
	up a code maintenance tool.  Make a mental note about the code being
	badly in need of a rewrite.

2009-02-17  Daniel Elstner  <danielk@openismus.com>

	* demos/gtk-demo/example_appwindow.cc: Cut a load of commented-out
	bit-rot which wouldn't have compiled anyway.  The use of deprecated
	GTK+ calls in the comment triggered a code maintenance tool used by
	André Klapper.

2009-02-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooserbutton.hg: Added the file_set signal, added in
	GTK+ 2.14 but not wrapped in gtkmm until now. Thanks to Damon Register
	for noticing this.

2009-02-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.[h|cc]: Added CAPS_LOCK_WARNING.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added new interfaces.
	* gtk/src/gtk_signals.defs: Regenerated.

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/activatable.[hg|ccg]:
	* gtk/src/orientation.[hg|ccg]: Added the new interfaces, though
	we cannot use them yet without breaking ABI.
	* gtk/src/box.hg:
	* gtk/src/button.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/menu.hg:
	* gtk/src/menuitem.hg:
	* gtk/src/paned.hg:
	* gtk/src/recentchoosermenu.hg:
	* gtk/src/ruler.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/toolbutton.hg: Added TODOs about deriving from the new
	interfaces when we can break ABI. I only did this for base classes,
	though GTK+ does it for further derived classes too, for some reason.

2.15.3:
(2.15.2 was skipped.)

2009-02-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py,
	removing some /* and */.
	* gtk/gtkmm/accelmap.h: Unescaped < and > characters in documentation,
	fixing bug #568485

	* gtk/src/action.hg: Added block_activate() and unblock_activate(),
	deprecating block_activate_from() and unblock_activate_from() because
	that is what happened in the C API.

2009-02-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/action.ccg:
	* gtk/src/action.hg: Reimplemented set_tooltip() with the new C
	gtk_action_set_tooltip() function. Added get/set_label(),
	get/set_short_label(), get_tooltip(), get/set_stock_id(),
	get/set_gicon(), get/set_icon_name(), get/set_visible_horizontal(),
	get/set_visible_vertical(), get/set_is_important(), which are new
	accessors for the properties. Added the gicon property.
	* gtk/src/imagemenuitem.hg: Added get/set_always_show_image() and
	property.
	* gtk/src/scale.hg: Added add_mark() and clear_marks().

2009-02-05  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* docs/reference/Doxyfile.in:
	* docs/reference/Makefile.am: Allow gtkmm to build outside the source
	tree. Bug #570325

2009-01-31  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops: Disabled compiler warning
	4250 also for MSVC2005. Bug #568083 (Tao Wang).

2009-01-27  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.[hg|ccg]: get_path_at_pos():
	Improved the documentation because it was improved in GTK+.
	Added a get_path_at_pos() overload that takes less parameters.

2.15.1:

2009-01-23  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: Disabled compiler warning
	4250. Bug #568083 (Tao Wang).

2009-01-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.cc: Actually define and initialize
	ORIENTATION_PORTRAIT, ORIENTATION_LANDSCAPE,
	ORIENTATION_REVERSE_LANDSCAPE, and ORIENTATION_REVERSE_PORTRAIT,
	avoiding undefined reference errors when trying to use these.
	Bug #568416 (Tao Wang).

2009-01-20  Deng Xiyue  <manphiz@gmail.com>

	* Change license header to mention Lesser General Public License
	version 2.1 instead of Library General Public License, to be
	consistent with COPYING.

2009-01-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treepath.ccg:
	* gtk/src/treepath.hg: empty(): Also check for a null underlying
	GtkTreePath. Added operator bool() to do the same, just calling !empty().

2009-01-19  Tao Wang  <dancefire@gmail.com>

	* gtk/src/papersize.hg: Constructor: Remove the default value for the
	name parameter, because there is already a default constructor,
	which does something quite different. See the comments.
	This caused MSVC++ warning C4520 with Visual Studio 2008.
	Bug #568074.

2009-01-19  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Regenerated.
	* gtk/src/entry.hg: Renamed methods and adapted to requested GTK+
	API changes in #567887.

	* gtk/src/imagemenuitem.hg: Fixed a typo in the accel_group property
	wrap, to fix the build.
	* gtk/src/selectiondata.hg: Reimplement get_selection() using the
	new C getter method.
	* gtk/src/statusicon.hg: Added button_press_event,
	button_release_event and scroll_event signals.
	* gtk/src/textbuffer.hg: Added the paste_done signal.

2009-01-18  Armin Burgmeier  <armin@openismus.com>

	* win32_installer/translations/english.nsh:
	* win32_installer/translations/french.nsh: Removed strings no longer
	in use.

	* win32_installer/translations/simpchinese.nsh:
	* win32_installer/translations/Makefile.am: Added installer
	translation for Simplified Chinese, contributed by Tao Wang.

	* win32_installer/gtkmm-installer.nsi.in: Added Chinese translation.

	* win32_installer/install-msvc-module: Updated for latest versions.

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbuf.hg: render_to_pixbuf(): Mark this as deprecated,
	because it is deprecated in GTK+.
	* gdk/src/drawable.ccg:
	* gdk/src/drawable.hg: draw_pixbuf(): Add an override without a GC
	parameter, becauase it can be NULL in C.
	* gdk/src/gdk_docs_override.xml: Remove mention of the NULL GC from the
	documentation for the main override.

	* gdk/src/screen.hg: Added get_monitor_width_mm(),
	get_monitor_height_mm(), get_monitor_plug_name().

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: TextBuffer const corrections to really fix
	the build. Sorry.

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Corrected by hand to fix the build.
	* gtk/src/gtk_signals.defs.patch: The corrections as a --unified=10
	patch, to hopefully make this easier next time.

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added GtkImageMenuItem
	though that is not in the generated .defs yet.

2009-01-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/treeview_private.cc: SignalProxy_CellData_gtk_callback():
	Added some checks for null models, to provide clues when doing some
	unusual incorrect uses of multiple inheritance.

	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/cellview.hg: Added get_model() and some new properties.
	* gtk/src/entry.hg: Added unset_invisible_char(), get_invisible_char().
	Added the new progress and icon methods and the properties,
	including the new im-module property.
	* gtk/src/imagemenuitem.hg: Added get/set_use_stock(),
	set_accel_group().
	* gtk/src/menuitem.hg: Added get/set_label(), get/set_use_underline()
	and properties.
	* gtk/src/printoperation.hg: Added draw_page_finish(),
	set_defer_drawing().
	* gtk/src/printsettings.hg: Added get_resolution_x(),
	get_resolution_y(), set_resolution_xy(), get/set_printer_lpi().
	* gtk/src/statusicon.hg: Added get/set_has_tooltip(),
	get/set_tooltip_text(), get/set_tooltip_markup().
	* gtk/src/textview.hg: Added im-module property.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2.15.0:

2009-01-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrendererpixbuf.hg: Added the icon-name and follow-state
	properties, noticed by Mathias Hasselmann.

2009-01-01  Armin Burgmeier  <armin@openismus.com>

	* gtk/src/printer.ccg (SignalProxy_Custom_gtk_callback): Take a new
	reference on the passed printer object, so that we don't unref it at
	the end of the function (Tor Krill).

2008-12-22  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs_override.xml: Correct the documentation for
	gdk_window_invalidate_rect() to remove C-specific text.
	* gdk/src/window.ccg:
	* gdk/src/window.hg: Added an invalidate() that takes no rect
	parameter because it can be NULL in C.

2008-12-10 Przemysław Grzegorczyk  <pgrzegorczyk@gmail.com>

	* Cleaned up gtk includes to use only toplevel headers
	Bug #564006

2008-12-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treemodel.hg: set_value_impl() documentation: Mention
	row_changed(), not set_row_changed().
	Bug #562505 (Bohumir Zamecnik)

2008-12-06  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/container.hg:
	* gtk/src/gtk_vfuncs.defs: Use GType instead of GtkType for the
	child_type_vfunc() return type, because that seems to have changed in
	GTK+ and GtkType is deprecated.	Likewise, use GDestroyNotify in other
	vfuncs instead of GtkDestroyNotify.
	This should allow soure code to use gtkmm if it declares
	GTK_DISABLE_DEPRECATED.
	Bug #562893 (Dénes Faluvégi)

2008-11-18  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* docs/FAQ/Makefile.am:
	* docs/FAQ/gtkmm-faq.xml:
	* docs/Makefile.am: Remove the FAQ because we moved it to
	gtkmm-documentation months ago.

2008-11-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Restored the GtkHandleBox::child-attached
	signal definition and the GtkLinkButton::visited property definition,
	so these are really put in the API. At some point in 2.14.x we lost
	these.

2008-11-09  Alexander Shaduri  <ashaduri@gmail.com>

	* gtk/src/cellview.ccg:
	* gtk/src/cellview.hg: Added unset_model().

	* gtk/src/combobox.ccg:
	* gtk/src/combobox.hg: Added unset_model().

	* gtk/src/entrycompletion.ccg:
	* gtk/src/entrycompletion.hg: Added unset_model().

	* gtk/src/iconview.ccg:
	* gtk/src/iconview.hg: Added unset_model().

	* gtk/src/treeview.hg: Marked unset_model() as available since 2.8.

	* gtk/src/gtk_docs_override.xml: Added overrides for
	gtk_tree_view_set_model(), gtk_cell_view_set_model(),
	gtk_entry_completion_set_model(), gtk_entry_completion_set_model()
	and gtk_combo_box_set_model(), because their documentation
	contained an incorrect method of unsetting the models.
	Bug #555268

This is trunk for API additions. See also the gtkmm-2-14 branch.

2.14.2:

2008-11-10  Deng Xiyue  <manphiz@gmail.com>

	* docs/reference/doxygen_to_devhelp.xsl: Use reference index.html
	as start page. Bug #559900.

2008-11-10  Murray Cumming  <murrayc@murrayc.com>

	* win32_installer/Makefile.am: Updated this for the changed filenames,
	to fix the dist.

2008-10-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs.xml: Regenerated.
	* gtk/src/gtk_docs_override.xml: Added an override for
	gtk_tree_view_set_tooltip_row() because gmmproc did not rename one
	of the functions mentioned.
	This adds documentation for the set_tooltip_*() methods.
	Bug #547787 (John Hobbs)

2008-10-12  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/install-msvc-module: Allow Specifing toolset to
	install the DLLs for.

	* win32_installer/build-installer: Updated to add MSVC 2008 DLLs
	to the installer.

	* win32_installer/gtkmm-installer.nsi.in: Added MSVC 2008 files, fixed
	a problem that the Uninstaller did not correctly uninstall start menu
	items of user-local installations.

	* win32_installer/gtkmm-2.4.vsprops:
	* win32_installer/gtkmm-2.4d.vsprops: Removed.

	* win32_installer/gtkmm-vc80-2_4.vsprops:
	* win32_installer/gtkmm-vc90-2_4.vsprops:
	* win32_installer/gtkmm-vc80-d-2_4.vsprops:
	* win32_installer/gtkmm-vc90-d-2_4.vsprops: New separate property
	sheets for MSVC 2005 and MSVC 2008, properly named, replacing the old
	ones.

2008-10-09  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/atkmm/atkmm.vcproj:
	* MSVC_Net2005/gdkmm/gdkmm.vcproj:
	* MSVC_Net2005/gtkmm/gtkmm.vcproj:
	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj: Adapt to the new DLL
	naming convention.

	* MSVC_Net2008/: Added Visual Studio 2008 project files.

	* Makefile.am:
	* configure.in: Add the Visual Studio 2008 project files to the
	distribution.

2008-10-07  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/install-msvc-module:
	* win32_installer/gtkmm-installer.nsi.in: Update for GTK+ 2.14 and
	gtkmm 2.14.

2008-09-29  Marko Anastasov  <marko.anastasov@gmail.com>

	* gtk/src/entrycompletion.hg: Mention that custom signal handlers
	should connect before the default one for signal_match_selected();
	the default returns true and prevents further handling.
	Discussed in bug #537319.

2008-09-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/statusicon.hg: Remove extra ;s. to fix
	warnings. Ubuntu Bug https://bugs.launchpad.net/bugs/275397
	(William)

2.14.1:

2008-09-18  Armin Burgmeier  <armin@arbur.net>

	* gdk/src/gdk_methods.def: Regenerated.

	* gdk/src/display.hg:
	* gdk/src/display.ccg: Changed window ID parameters and return values
	for get_drag_protocol and selection_send_notify from guint32 to
	GdkNativeWindow. These are the same on Linux, so this is not a
	problem. On Windows, GdkNativeWindow is a pointer, so we keep the old
	functions to preserve ABI (doing some nasty casts in the
	implementation). Bug #552513 (Damon Register).

2.14.0:

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/Makefile.am: Removed gtk_devel_setup-2.12.ini and
	gtk_runtime_setup-2.12.ini from EXTRA_DIST. These files are not needed
	anymore.

2008-09-22  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/demos/gtk-demo/gtk-demo.vcproj:
	* MSVC_Net2005/gdkmm/gdkmm.vcproj: Removed paths to pangomm
	from include directories since pangomm is its own module now.

	* MSVC_Net2005/gtkmm/gtkmm.vcproj: Added toolshell.cc to the project.

2008-09-16  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/NSISLibrary/PathQuestion.ini: Default to yes for the
	"Add gtkmm runtime directory to the path environment variable"
	checkbox.

	* win32/gtkmm-2.4.vsprops:
	* win32/gtkmm-2.4d.vsprops: Changed GTK_BASEPATH to GTKMM_BASEPATH
	since we no longer rely on GTK+ from gladewin32.sourceforge.net being
	installed, but ship GTK+ on our own.

	* win32_installer/build-installer:
	* win32_installer/gtkmm-installer.nsi.in: Also ship libxml2 and
	libiconv, because they are required by libxml++.

2008-09-12  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/gtkmm-installer.nsi.in:
	* win32_installer/build-installer: Make the installer install the GTK+
	runtime, and optionally development files and documentation, because
	gtkmm needs GTK+ anyway.

	* win32_installer/gtk_devel_setup-2.12.ini:
	* win32_installer/gtk_runtime_setup-2.12.ini: Removed since we no
	longer load the GTK+ installer from gladewin32.sourceforge.net, but
	ship GTK+ ourselves.

2.13.8:

2008-09-08  Murray Cumming  <murrayc@murrayc.com>

	* COPYING.tools:
	* Makefile.am: Added COPYING.tools with the GPL because the tools/*.cc
	file is GPL. Bug #550789.

2008-09-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/Makefile.am:
	* gtk/src/gtk.defs:
	* gtk/src/gtk_methods_maemo.defs: Restored the maemo-only .defs, putting
	them in a separate file this time so they are not lost next time.
	* gtk/src/gtk_enums.defs: Regenerated, with some hand-coding.
	* tools/m4/convert_gtk.m4:
	* gtk/src/printsettings.hg: Added get/set_number_up_layout(), using the
	new NumberUpLayout enum.

2008-09-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/selectiondata.ccg:
	* gtk/src/selectiondata.hg: Changed get_data() to not return a length too,
	and added get_length(), to fix the build after GTK+ changes. This gtkmm
	API is now just like it was in gtkmm 2.12.
	* gtk/src/widget.hg: Changed the get_allocation() implementation back to
	direct struct field access with _GET_MEMBER() because GTK+ has removed
	the new gtk_widget_get_allocation() function.

2008-08-27  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/gdkmm/gdkmm.rc.in:
	* MSVC_Net2005/atkmm/atkmm.rc.in:
	* MSVC_Net2005/gtkmm/gtkmm.rc.in: Replaced #include "afxres.h" by
	#include <windows.h> which does the job equally well, and allows
	compilation with the freely available Visual Studio Express compiler.

2.13.7:

2008-08-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Added the missing #m4 prefix, to fix the build.
	Sorry.

2008-08-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/linkbutton.hg: Added get/set_visited() and the property.
	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: Use _WRAP_METHOD() for get_gicon(),
	adapting it to the changed GTK+ API.

2008-08-11  Armin Burgmeier  <armin@arbur.net>

	* win32_installer/: Moved from installer.

	* configure.in:
	* Makefile.am: Adapt build.

2008-08-10  Armin Burgmeier  <armin@arbur.net>

	* installer/Makefile.am: Distribute all the necessary files to build
	the installer.

2008-08-10  Armin Burgmeier  <armin@arbur.net>

	* installer/NSISLibrary/CmdParameters.nsh:
	* installer/NSISLibrary/DetectGTK.nsh:
	* installer/NSISLibrary/IsNT.nsh:
	* installer/NSISLibrary/Makefile.am:
	* installer/NSISLibrary/ParseVersion.nsh:
	* installer/NSISLibrary/PathManipulation.nsh:
	* installer/NSISLibrary/PathQuestion.ini:
	* installer/NSISLibrary/SetContext.ini:
	* installer/NSISLibrary/StringUtilities.nsh:
	* installer/NSISLibrary/VersionCheck.nsh:
	* installer/NSISLibrary/WriteEnvStr.nsh:

	* installer/translations/english.nsh:
	* installer/translations/french.nsh:
	* installer/translations/Makefile.am:

	* installer/gtk_devel_setup-2.12.ini:
	* installer/gtk_runtime_setup-2.12.ini:
	* installer/gtkmm.ico:
	* installer/gtkmm_win32.txt:
	* installer/gtkmm-2.4.vsprops:
	* installer/gtkmm-2.4d.vsprops:
	* installer/README:
	* installer/install-msvc-module:
	* installer/gtkmm-installer.nsi.in:
	* installer/build-installer:
	* installer/Makefile.am: Added files and helper scripts used to
	generate the Windows installer.

	* Makefile.am:
	* configure.in: Added installer/ subdirectory.

2008-08-09  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2005/: Moved from MSVC_Net2003.

	* Makefile.am:
	* configure.in: Adapted build files.

2008-08-09  Armin Burgmeier  <armin@arbur.net>

	* MSVC_Net2003/gtkmm/gtkmm.vcproj: Add new header files
	builder.h, scalebutton.h, recentaction.h tooltip.h and
	volumebutton.h to the project, link against external pangomm.

	* MSVC_Net2003/gdkmm/gdkmm.vcproj:
	* MSVC_Net2003/demos/gtk-demo/gtk-demo.vcproj: Also link against
	external pangomm.

	* MSVC_Net2003/gtkmm.sln: Removed example projects from the solution.

	* MSVC_Net2003/gdkmm/gdkmm.rc.in:
	* MSVC_Net2003/gtkmm/gtkmm.rc.in:
	* MSVC_Net2003/atkmm/atkmm.rc.in: Removed the #include "resource.h"
	line. I don't know where that resource.h is meant to come from, and
	the resource builds fine without this.

2008-08-07  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/gtk_signals.defs: Regenerated.

	* gtk/src/adjustment.ccg:
	* gtk/src/adjustment.hg: Reimplemented some MEMBER_GET and set
	functions with _WRAP_METHOD() now that there are C functions.
	* gtk/src/combobox.hg: Added get/set_button_sensitivity().
	* gtk/src/range.hg:
	* gtk/src/enums.hg: Moved SensitivityType here because it is
	used in ComboBox too.
	* gtk/src/filechooser.hg: Added set_file(), select_file(), unselect_file(),
	taking a Gio::File. Added get_files(), set_current_folder_file(),
	get_current_folder_file(), get_file(), gtk_file_chooser_get_file()
	get_file(), get_preview_file().
	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: Added set() taking a Gio::Icon. Added get_icon()
	and gicon property. Added constructor taking a Gio::Icon.
	* tools/m4/convert_gtk.m4: Added necessary conversions.

2.13.6:

2008-08-04  Rémi Cardona  <remi@gentoo.org>

	* configure.in: Call AC_PROG_CXX earlier. This is now
	necessary with libtool 2.2 because it previously checked
	implicitly.
	Bug #538226

2008-08-02  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am: Do not install non-existant index.html.
	* docs/reference/Makefile.am: Correct the installdox link to
	pangomm.
	* docs/reference/gtkmm_header.html_fragment: Change the Main
	Page link to gtkmm.org/documentation.shtml.

2008-08-01  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am:
	* docs/index.html: Removed index.html. The true copy is in
	gnomemm-website (uploaded to gtkmm.org).

2008-07-26  Benjamin Herr  <ben@0x539.de>

	* gtk/src/calendar.hg: Removed spurious ; characters.
	Bug #544848.

2008-07-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Use pangomm doxygen tags.
	* docs/reference/Makefile.am: Use installdox to link to
	pangomm documentation.

2008-07-26  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/comboboxentry.ccg:
	* gtk/src/comboboxentry.hg: Added get_active_text(), wrapping the
	special (stupid) use of combo_box_get_active_text() for
	GtkComboBoxEntry.
	Class documentation: Added the new advice from the C documentation,
	about using get_active() to check if the changed signal is
	is really signalling a selection change.

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/statusicon.hg: Remove the comment about the signals,
	because Matthias Clasen said they are really public API,
	in bug #361561.

2008-07-25  Murray Cumming  <murrayc@murrayc.com>

	* tools/m4/convert_gtk.m4:
	* gtk/src/widget.hg: Wrapped the DragResult enum and
	added the drag_failed signal.

	* gtk/src/clipboard.hg:
	* gtk/src/handlebox.ccg:
	* gtk/src/handlebox.hg:
	* gtk/src/image.hg:
	* gtk/src/pagesetup.hg:
	* gtk/src/printsettings.hg:
	* gtk/src/toolshell.hg: Added documentation for some hand-written
	methods.

2008-07-23  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/calendar.hg: Correct some newin2p16 to
	newin2p14.

2.13.5:

2008-07-23  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated.
	* gtk/src/builder.ccg:
	* gtk/src/builder.hg: Added versions of create_from_file(),
	create_from_string(), add_from_file(), and add_from_string()
	that take an ID or array of IDs, to allow building of only a part of
	the file, as was already possible with libglade.
	* gtk/src/cellrenderercombo.ccg:
	* gtk/src/cellrenderercombo.hg: Wrapped the changed signal.
	* gtk/src/menu.hg: Removed the new properties - they were actually
	style properties.
	* gtk/src/printer.hg: Added is_paused() and is_accepting_jobs().

2008-07-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Depend on the correct version of the standalone pangomm.

2008-07-19  Murray Cumming  <murrayc@murrayc.com>

	* MSVC_Net2003/Makefile.am:
	* Makefile.am:
	* configure.in:
	* demos/Makefile.am:
	* demos/gtk-demo/Makefile.am:
	* gdk/gdkmm/Makefile.am:
	* gtk/gtkmm/Makefile.am:
	* tests/Makefile.am_fragment:
	* MSVC_Net2003/pangomm/
	* pango/: Moved pangomm into its own source tarball, while
	keeping all the same shared library name, header
	install path, .pc file, etc.
	This makes it easier, for instance, for cluttermm to depend
	on pangomm, without needing all of gtkmm at build time.

2008-07-16  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/filechooser.hg: get_preview_widget(): Move the const
	overload after the non-const one, because gmmproc otherwise seems to
	make both just calls to the non-const one. We really need to stop
	gmmproc from doing that, first figuring out why.
	Luckily, I don't think we put them in this order very often.
	Bug #543288 (Jens Georg)

2008-07-16  Jens Georg  <mail@jensge.org>

	* MSVC_Net2003/gtkmm/gtkmm.vcproj: Mention new source files
	for builder, scalebutton, tooltip, and volumebutton.
	Bug #543294.

2.13.4:

2008-07-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Regenerated, so that the new signals and
	properties are actually generated.
	* gtk/src/calendar.hg:
	* gtk/src/cellrenderercombo.hg:
	* gtk/src/menu.hg: Minor corrections to fix the build.

	* gtk/src/gtk_signals.defs.patch: Really create this patch to make life
	easier next time.

2008-07-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/gtk_vfuncs.defs:
	* gtk/src/toolshell.hg: Added ToolShell, though it is not used
	by anything yet, to avoid breaking ABI.
	* gtk/src/accelgroup.hg: Added get_is_locked() and
	get_modifier_mask().
	* gtk/src/plug.hg: Added get_embedded() and get_socket_window().
	* gtk/src/selectiondata.ccg:
	* gtk/src/selectiondata.hg: Reimplemented get_data(),
	get_data_type(), get_format(), and get_display() with the new
	accessor functions.

	* gtk/src/dialog.hg: Reimplemented get_action_area() and
	get_content_area() with the new accessor functions.
	* gtk/src/entry.hg: Added get/set_overwrite_mode().
	Reimplemented get_text_length() with the new accessor function.
	* gtk/src/handlebox.ccg: Reimplemented is_child_detached() with
	gtk_handle_box_get_child_detached().
	* gtk/src/handlebox.hg:
	* gtk/src/layout.hg: Reimplemented get_bin_window() with the
	new accessor function.
	* gtk/src/image.hg: Added a set() overload that takes a
	Gio::Icon, wrapping gtk_image_set_from_gicon().
	* gtk/src/menu.hg: Added get_accel_path() and get_monitor().
	* gtk/src/menuitem.hg: Added get_accel_path().
	Added right-justified and submenu properties.
	* gtk/src/messagedialog.hg: Added get_image().
	* gtk/src/socket.hg: Added get_plug_window().
	* gtk/src/treeviewcolumn.hg: Added get_tree_view(().
	* pango/pangomm-1.4.pc.in: Depend on cairomm, because it does.

2008-07-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrenderercombo.hg:
	* gtk/src/cellrendererpixbuf.hg: Added gicon property.
	* gtk/src/clipboard.ccg:
	* gtk/src/clipboard.hg: Added request_uris(), wait_for_uris(),
	wait_is_uris_available().
	* gtk/src/entry.hg: Added overwrite_mode and text_length
	properties.
	* gtk/src/iconinfo.ccg:
	* gtk/src/iconinfo.hg:
	Added IconInfo(icon_theme, pixbuf) constructor
	* gtk/src/icontheme.hg:
	* gtk/src/image.hg: Added get_gicon() and gicon property.
	* gtk/src/menu.hg: Added many new properties.
	* gtk/src/plug.hg: Added embedded and socket_window properties.
	* gtk/src/scalebutton.ccg:
	* gtk/src/scalebutton.hg: Added set/get_orientation(),
	get_plus_button(), get_minus_button(), get_popup().
	Added orientation property.
	* gtk/src/settings.hg: Added many properties.
	* gtk/src/widget.hg: Added damage_event signal.
	Added window property.
	* tools/m4/convert_gtk.m4: Added a conversion for GIcon.

2008-07-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.cc
	* gtk/gtkmm/stock.h: Added PAGE_SETUP, PRINT_ERROR, PRINT_REPORT,
	PRINT_WARNING.
	* gtk/src/statusicon.hg: Added get_x11_window_id().
	* gtk/src/toolitem.hg: Added toolbar_reconfigured().
	* gtk/src/tooltip.hg: Added set_icon_from_icon_name().
	* gtk/src/widget.ccg:
	* gtk/src/widget.hg: Added get_snapshot().
	Reimplemented get_allocation() and get_window() with the new C
	accessor functions instead of direct struct field access.

2008-07-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.
	* gtk/src/treeviewcolumn.hg: Deprecated the existing
	cell_get_size() and added another, because the cell_area
	parameter has changed to a const in
	gtk_tree_view_column_cell_get_size().
	* tools/m4/convert_gdk.m4: Added necessary conversions, because
	some C parameters have been corrected to const, so we don't need to
	do so many const_cast<>s.

	* gtk/src/printer.hg: Added get_default_page_size(), wrapping
	gtk_printer_get_default_page_size(), new in GTK+ 2.13.
	* gtk/src/pagesetup.hg: Added load_from_file() and
	load_from_key_file(), wrapping gtk_page_setup_load_file() and
	gtk_page_setup_load_key_file(), new in GTK+ 2.13.
	Added create_from_file() and create_from_key_file() to match the
	C new functions, now that we can reimplement them.
	* gtk/src/printersettings.hg: Added load_from_file() and
	load_from_key_file(), wrapping gtk_print_settings_load_file() and
	gtk_print_settings_load_key_file(), new in GTK+ 2.13.
	Added create_from_file() and create_from_key_file() to match the
	C new functions, now that we can reimplement them.

2008-07-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/toolbar.hg: Mark set/get_tooltips() as deprecated
	(because it is in GTK+ now).
	* gtk/src/toolbar.ccg: Remove the define of GTK_DISABLE_DEPRECATED
	so the deprecated gtkmm methods still build.
	get_tooltip_object(): Just return 0 because the implementation
	requires GTK_DISABLE_DEPRECATED, to get the odd alternative GTK+
	API, and that is now too complicated. It is broken anyway -
	the fault of GTK+, not us.

2.13.1:

2008-06-02  Peter Wainright  <prw@ceiriog.eclipse.co.uk>

	* gtk/src/bin.ccg: add_label(): Correct the order of parameters
	given to the Label constructor. Bug #534685.

2008-05-31 Dodji Seketeli <dodji@gnome.org>

	* pango/src/attributes.hg:
	  the const qualifier of the returned type
	  was silently ignored by gcc in :
	  PangoAttribute* const gobj() const { return gobject_; }.
	  Changed that to:
	  const PangoAttribute* gobj() const { return gobject_; }
	  I don't thing this results in an ABI break though.
	  This helps gcc 4.3 to stop crying.

2008-05-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Add custom documentation for the
	gtk_image_set_from_*() functions, because they refer to new_from_*
 	functions instead of our constructors.
	* gtk/src/image.hg: Add documentation for the constructors.

2008-05-14  Gennaro Bellizio  <genbell@tiscali.it>

	* gtk/src/entry.hg: Added the shadow_type property that was added to
	GTK+ in 2.12.
	Bug #532744

2008-04-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbufanimationiter.[hg|cc]: Added  get_pixbuf(), get_delay_time(),
	advance(), on_currently_loading_frame().
	* gdk/src/gdk_docs_override.xml: Customized the documentation for these
	methods, to avoid C-specific advice, and to add @newin2p14.
	Bug #528037 (Balazs Tirpak)

2008-04-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/window.ccg:
	* gdk/src/window.hg: Added unset_back_pixmap().
	* gdk/src/gdk_docs_override.xml: Changed the back_pixmap() documentation
	to not mention NULL, and to refer to unset_back_pixmap().
	This fixes bug #525967 (Jonathon Jongsma).

2008-04-11  Andreas Klaedtke  <andreas.klaedtke@gmx.net>

	* gtk/src/widget.hg: get_direction(): Add a const version and deprecate
	the non-const version.
	Bug #526742.

2008-04-11  Armin Burgmeier  <armin@openismus.com>

	* gtk/src/recentinfo.ccg:
	* gtk/src/recentinfo.hg: Added a specialization for
	Glib::Value<Glib::RefPtr<Gtk::RecentInfo> > so that
	Glib::RefPtr<Gtk::RecentInfo> can be used with Glib::Value<> and
	Gtk::TreeModelColumn<>.

2.13.0:

2008-03-14  Murray Cumming  <murrayc@murrayc.com>

	* pango/src/attributes.hg: _MEMBER_SET for end_index and start_index:
	Mention that the indices are in bytes, as now mentioned in the C
	documentation.
	Bug #517874 (Steve Splonskowski)

2008-03-04  Jonathon Jongsma  <jjongsma@gnome.org>

	* Makefile.am: updated the 'release' target to give a little bit more helpful
	error messages

2008-02-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* Makefile.am: add a 'release' target to the makefile.  This target will do
	a distcheck, and if successful it will tag the repository with the current
	release number and upload the tarball to master.gnome.org

2008-02-24  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* docs/reference/Makefile.am:
	* docs/reference/images/Makefile.am:
	* docs/reference/images/widgets/Makefile.am: Added Makefile.am files
	to dist the contents of these new directories, to fix distcheck.

2008-02-21  Deng Xiyue <manphiz@gmail.com>

	* examples/book/box/main.cc
	* examples/book/custom/custom_widget/mywidget.cc
	* examples/book/drawingarea/arcs/myarea.cc
	* examples/book/drawingarea/clock/clock.cc
	* examples/book/treeview/editable_cells/examplewindow.cc
	* examples/gdk/radar.cc:
	Fix header inclusion and use using directive for C functions to
	fix build on gcc-4.3 and Solaris.  Refined from Tim Mooney's
	patch.
	(Bug #498438, #517530)

2008-02-19  Jonathon Jongsma  <jjongsma@gnome.org>

	* merged documentation fixes from gtkmm-2-12 branch, -r 960:967

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/images/widgets/notebook1.png:
	* docs/reference/images/widgets/textview1.png:
	* gtk/src/aboutdialog.hg:
	* gtk/src/colorselection.hg:
	* gtk/src/filechooserdialog.hg:
	* gtk/src/fontselection.hg:
	* gtk/src/frame.hg:
	* gtk/src/messagedialog.hg:
	* gtk/src/notebook.hg:
	* gtk/src/recentchooserdialog.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/table.hg:
	* gtk/src/toggletoolbutton.hg: add a bunch more images to the API reference

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	patch by: Chris Wang <chris.wang@sun.com>

	* demos/gtk-demo/Makefile.am: install resource files for gtkmm demo program
	(also change the name from 'demo' to 'gtkmm-demo').  Fixes Bug #516602

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	patch by: Chris Wang <chris.wang@sun.com>

	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/example_images.cc:
	* demos/gtk-demo/example_pixbufs.cc:
	* demos/gtk-demo/example_textview.cc: fix gtkmm demo program to be able to
	find the source and image files when not run from the source directory.
	Fixes bug #516600

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* gtk/gtkmm/stock.h: update gtk stock icon names

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am:
	* gtk/gtkmm/stock.h:
	* gtk/src/calendar.hg:
	* gtk/src/entry.hg:
	* gtk/src/progressbar.hg:
	* gtk/src/spinbutton.hg:
	* gtk/src/textview.hg: add a few more widget images to the API documentation

2008-02-18  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Doxyfile.in: add an image directory with widget screenshots
	to the doxygen config file
	* gtk/src/arrow.hg:
	* gtk/src/button.hg:
	* gtk/src/buttonbox.hg:
	* gtk/src/checkbutton.hg:
	* gtk/src/colorbutton.hg:
	* gtk/src/combobox.hg:
	* gtk/src/comboboxentry.hg:
	* gtk/src/filechooserbutton.hg:
	* gtk/src/fontbutton.hg:
	* gtk/src/image.hg:
	* gtk/src/label.hg:
	* gtk/src/linkbutton.hg:
	* gtk/src/menubar.hg:
	* gtk/src/radiobutton.hg:
	* gtk/src/scale.hg:
	* gtk/src/scrollbar.hg:
	* gtk/src/separator.hg:
	* gtk/src/statusbar.hg: add a widget screenshot to the class overview
	documentation.
	* docs/reference/images/widgets/*.png: add screenshots of some common
	widgets.  More will come eventually.

2008-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* demos/gtk-demo/demowindow.cc:
	* demos/gtk-demo/textwidget.cc:
	* examples/book/custom/custom_widget/mywidget.cc:
	Fix build with GCC 4.3.

2008-01-29  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* gtk/gtkmm-2.4.pc.in:
	* gtk/gtkmm.h:
	* gtk/src/main.ccg: Depend on giomm and initialize it in
	Gtk::Main, for convenience. Note that GTK+ already depends on
	gio.

2008-01-26  Murray Cumming  <murrayc@murrayc.com>

	* atk/src/action.hg:
	* atk/src/editabletext.hg:
	* atk/src/image.hg:
	* atk/src/object.hg:
	* atk/src/streamablecontent.hg:
	* gtk/src/celllayout.hg:
	* gtk/src/cellrenderer.hg:
	* gtk/src/cellrendereraccel.hg:
	* gtk/src/cellrenderertext.hg:
	* gtk/src/cellrenderertoggle.hg:
	* gtk/src/entry.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/statusbar.hg:
	* gtk/src/style.hg:
	* gtk/src/textview.hg: Added conversions from const gchar* to const ustring&,
	to fix the build I guess I removed this from a convert_*.m4 file, to discourage
	people from returning const ustring& from methods.
	Bug #511708 (José Alburquerque).

2008-01-18  Murray Cumming <murrayc@murrayc.com>

	* gtk/src/recentaction.hg:
	Derive (and implement) from RecentChooser so this is actually usable.
	This changes ABI (object size), but nobody could have been using this yet.
	(Bug #505766, Denes Faluvegi)

2008-01-18  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/calendar.ccg:
	SignalProxy_Details_gtk_callback(): Return a copy of the
	gchar* instead of a const, because we corrected the API in GTK+.

2008-01-14  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py
	* gtk/src/calendar.ccg:
	* gtk/src/calendar.hg: Added set_detail_func(),
	set_detail_width_chars(), set_detail_height_rows(),
	get_detail_width_chars(), and get_detail_height_rows(),
	and these properties.

2007-12-15  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: set_headers_visible(): Add default parameter value.

2007-12-13  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/filechooserbutton.hg (property_dialog): Remove property
	wrapper since "dialog" is write-only and construct-only. (#436789)

2007-11-29  Christian Hammond <chipx86@chipx86.com>

	* gtk/src/action.ccg:
	* gtk/src/action.hg:
	* gtk/src/radioaction.ccg:
	* gtk/src/radioaction.hg:
	* gtk/src/toggleaction.ccg:
	* gtk/src/toggleaction.hg: Added create_with_icon_name() functions for
	  the various Action classes, allowing IconTheme icon names to be used
	  instead of stock IDs. This closes bug #437041.

2007-11-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/dragcontext.hg: Documented drag_refuse().

2007-11-29  Sebastien Bacher  <seb128@debian.org>

	* gtk/gtkmm/targetentry.cc:
	* gtk/src/scale.ccg: Include memset and cstring to fix the build
	with pre-release versions of gcc 4.3.

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: drag_data_get(): Deprecated the current version
	and added a version that takes a const Glib::ustring& for the target.

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stockid.h: Added operator bool().
	* gtk/src/iconinfo.ccg:
	* gtk/src/iconinfo.hg:
	* gtk/src/icontheme.hg:
	* pango/src/attrlist.ccg:
	* pango/src/attrlist.hg:
	* pango/src/color.ccg:
	* pango/src/color.hg:  Deprecated the non-const
	operator bool()s and added const versions.
	* gtk/src/enums.hg:
	* gtk/src/icon_factory.ccg: Added an
	IconSize::lookup() method overload that takes a
	Gtk::Settings, wrapping gtk_icon_size_lookup_for_settings().
	Added documentation for this and the other lookup()
	method.

2007-11-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/action.hg: Added the icon_name, visible_overflown, and
	action_group properties.

2007-11-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/pagesetup.hg: Added copy(), wrapping
	gtk_page_setup_copy().
	* gtk/src/printsettings.hg: Added copy(), wrapping
	gtk_print_settings_copy().
	These are actually useful, particularly when dealing
	with constness issues.

2007-11-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/doxygen_to_devhelp.xsl: minor clean-up of the xsl file to
	extract common stuff out to separate templates so we don't have so much
	duplication in the 'as-func' and 'as-sub' templates

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/doxygen_to_devhelp.xsl: Fully-qualify functions in the
	devhelp file so it's easy to see which class they belong to in the search
	results (Bug #493999)

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/Makefile.am: clean up the makefile rules for building the
	devhelp files a bit so that it gets rebuilt if the xsl stylesheet changes,
	etc.
	* docs/reference/doxygen_to_devhelp.xsl: Fix the devhelp XSL stylesheet so
	that the functions link correctly (fixes Bug #488261)

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Made changes to the gtk_dialog_run()
	override to avoid strange markup in the generated HTML.
	Bug #471143 (Andrew Medico)
	* gtk/src/gtk_signals.defs: Corrected the GtkWidget:grab-broken-event
	definition to fix the build after my previous commit.

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Added the grab_broken_event signal
	(with no_default_handler, to preserve ABI).
	Bug #473465 (Balazs Scheidler).

2007-11-05  Yevgen Muntyan  <muntyan@tamu.edu>

	* tools/extra_defs_gen/generate_defs_gtk.cc: Added ifdefs around the
	unix-specific printer objects, to fix the build on Windows.

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/drawable.hg: Added a const overload of get_size()
	and deprecated the non-const version.
	Bug #467539 (Bobby DaSilva).

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Added the popup_menu signal,
	without a overridable default signal handler (to preserve ABI),
	now that we know that it is public API.
	Bug #304103 (Philip Langdale).

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/entrycompletion.hg: Added set_popup_single_match(),
	deprecated the wrongly-named set_popup_single_width().
	Bug #473750 (Kevin Daughtridge).
	Added a const version of get_text_column() and deprecated the
	non-const version.

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/linkbutton.ccg:
	* gtk/src/linkbutton.hg: Partially hand-code one of the
	constructors, so it can pass the uri for the label too,
	as in gtk_link_button_new(). Bug #492200 (Marko Anastasov).

2007-11-04  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/widget.hg: Change a Style to Gtk::Style in
	a signal, to fix the build on MacOS X. Bug #493057.
	(Alberto Ruiz)
	* tools/m4/convert_gtk.m4:
	* gtk/src/style.hg: Moved some signal-specific conversions to
	the .hg file, to avoid their misuse.

2007-10-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/iconview.hg: set_cursor(): Actually implement this.

2007-10-23  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/color.ccg:
	* gdk/src/color.hg: Added to_string().

2007-10-20  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* configure.in:
	* docs/Makefile.am:
	* docs/tutorial/
	* examples/
	* MSVC_Net2003/Makefile.am:
	* MSVC_Net2003/examples/: Removed the tutorial and examples.
	They are now in the gtkmm-documentation module, so that we can use
	extra libraries in the book's examples, such as libglademm.

2007-10-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/pagesetup.ccg:
	* gtk/src/pagesetup.hg:
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg:
	Added const versions of save_to_key_file() and deprecated the non-const
	versions.

This is the trunk branch for gtkmm 2.13/14.

2007-10-20  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Corrected the documentation for
	Gtk::Entry::get_text().

2007-10-14  Marko Anastasov  <marko@marko.anastasov.name>

	* gdk/src/pixbuf.hg: Fixed build by correcting a typo for create()
	from previous commit. Bug #486257 (Craig Keogh).

2007-10-12  Armin Burgmeier  <armin@openismus.com>

	* gdk/gdkmmconfig.h.in:
	* gtk/gtkmmconfig.h.in:
	* configure.in: Added G{D,T}KMM_DISABLE_DEPRECATED defines to
	g{d,t}kmmconfig.h so other code can check whether deprecated API is
	available or not.

	* gdk/src/pixbuf.hg:
	* gdk/src/pixbuf.ccg: Fixed build with deprecated API disabled.

	* gtk/src/tooltips.hg:
	* gtk/src/combo.hg:
	* gtk/src/textview.hg:
	* gtk/src/optionmenu.hg:
	* gtk/src/toolbar.hg:
	* gtk/src/inputdialog.hg:
	* gtk/src/treeview.hg:
	* gtk/src/style.hg:
	* gtk/src/toolitem.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/treepath.hg:
	* gtk/src/treesortable.hg:
	* gtk/src/progress.hg:
	* gtk/src/treeviewcolumn.hg:
	* gtk/src/fileselection.hg:
	* gdk/src/colormap.hg:
	* gdk/src/color.hg: Use the new _CONFIGINCLUDE m4 macro in glibmm to
	include gtkmmconfig.h before the #ifdef GTKMM_DISABLE_DEPRECATED at
	the top of the file so that the define is actually present when other
	code includes one of these files directly. Note this requires glibmm
	from SVN to generate the source files (though building the sources
	should still work with 2.14.1).

2.12.1:

2007-10-04  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/printoperation.hg: Add a custom conversion for the
	signals that use PrintContext, to fix a reference-counting
	problem that caused crashes when printing or showing a
	print preview.
	Note that this was removed mistakenly on 2007-07-14
	(appearing in 2.11.4) so gtkmm 2.10 does not have this problem.

	* tools/m4/convert_atk.m4:
	* tools/m4/convert_gdk.m4:
	* tools/m4/convert_gtk.m4:
	* atk/src/hypertext.hg:
	* atk/src/table.hg:
	* gdk/src/displaymanager.hg:
	* gtk/src/inputdialog.hg:
	* gtk/src/style.hg:
	* gtk/src/textbuffer.hg:
	* gtk/src/widget.hg: Move all signal-specific conversions to
	the .hg files where they are used, to make this clearer.

2.12.0:

2007-09-10  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs_override.xml:
	* gdk/src/window.hg:
	* gtk/src/builder.hg:
	* gtk/src/celllayout.hg:
	* gtk/src/filechooser.hg:
	* gtk/src/iconinfo.ccg:
	* gtk/src/pagesetup.hg:
	* gtk/src/printsettings.hg:
	* gtk/src/recentchooser.hg: Dealt with some simple TODO:
	mostly documentation.

2007-09-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentaction.ccg:
	* gtk/src/recentaction.hg: Make the constructors use the same
	parameter order as the other action classes. Remove the comment
	about the default constructor, now that the GTK+ C documentation
	is clearer in bug #450032.
	* gtk/src/action.hg:
	* gtk/src/radioaction.hg:
	* gtk/src/toggleaction.hg: Deprecate the default constructors,
	because they cannot work. We could maybe remove them, but maybe
	they are used in the build of some applications, but never used
	at runtime.
	Added default values for the StockID parameters, now that we
	know that we know that this is OK - see bug #450032.

2.11.8:

2007-08-31  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: DrawingArea: Corrected a mention of
	PixBuf to Pixbuf. Bug #465961 (Jonathan Jongsma).

2007-08-29  Jonathon Jongsma  <jjongsma@gnome.org>

	* gdk/gdkmm/general.cc, gdk/gdkmm/general.h: deprecate cairo helper
	functions and added new overloaded functions that take *const*
	RefPtr<Cairo::Context>& parameters.
	Also renamed the new rectangle() and region() functions per the TODO in the
	source file.  The new names are add_rectangle_to_path() and
	add_region_to_path()

2.11.7:

2007-08-16  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/reference/gtkmm_footer.html_fragment,
	docs/reference/gtkmm_header.html_fragment: add <div> to make it easier to
	incoporate the documentation into library.gnome.org, per a request by
	Frederic Peters

2007-08-13  Daniel Elstner  <danielk@openismus.com>

	* gtk/src/iconview.hg: Remove stray semicolon.
	* gtk/src/printer.hg: Likewise.
	* gtk/src/tooltip.ccg: Remove /* inside comment.

	* gtk/src/builder.ccg (get_type_from_name_vfunc_callback):
	Remove unused argument names to avoid compiler warnings.
	* examples/book/printing/advanced/previewdialog.cc: ditto,
	* examples/book/tooltips/examplewindow.cc: ditto.

2.11.6:

2007-07-30  Marko Anastasov  <marko@marko.anastasov.name>

	* .cvsignore: Updated, along with all other, and added some
	where missing.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/treeview.[ccg|hg]:
	* gtk/src/iconview.[ccg|hg]: Modified get_tooltip_context_iter()
	and get_tooltip_context_path() implementations to use local
	structs/objects to pass to the C function instead of
	unguaranteed pointers. Added doxygen documentation for these
	functions in both classes.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/treeview.[ccg|hg]:
	* gtk/src/iconview.[ccg|hg]: Added get_tooltip_context_path()
	and get_tooltip_context_iter(). They are wrappers for
	gtk_tree/icon_view_get_tooltip_context().

2007-07-29  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Corrected the documentation for
	gtk_toolbar_set_icon_size() and gtk_toolbar_unset_icon_size() to
	use the correct Since:.
	* gtk/src/papersize.ccg:
	* gtk/src/papersize.hg: save_to_key_file(): Removed the default
	group_name parameter value and added an overload instead.
	* gtk/src/printer.hg: Added some documentation.
	* gtk/src/printjob.hg: Added a const version of get_surface()
	and added documentation for send().
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg: Corrected the typedef for SlotForeach -
	the ustring&s should be const. I do not believe that anybody could
	have been using this, so I think it is OK to change it.
	* gtk/src/textmark.hg: Added documentation for constructors and
	create() methods.
	* gtk/src/volumebutton.hg: Added documentation for the constructor.

	* pango/src/fontface.hg: Added documentation for list_sizes().
	* pango/src/renderer.hg: Added class documentation.

2007-07-29  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/pixbuf.hg: Document the old
	create() methods as deprecated. Added documentation for
	the new create() methods.
	* gdk/src/screen.hg: Correct the const version for
	get_font_options().
	* gtk/src/builder.hg: Added documentation for the
	create methods.
	* gtk/src/gtk_docs_override.xml: Corrected the
	documentation for gtk_icon_theme_lookup_icon().
	* gtk/src/linkbutton.hg:
	* gtk/src/linkbutton.ccg: Added set_uri_hook()
	and unset_uri_hook().
	* gtk/src/papersize.hg:
	* gtk/src/papersize.ccg: Added operator bool() so
	that return values can be checked.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/tooltip.hg: Added class documentation based on GTK+ docs.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* configure.in:
	* examples/book/Makefile.am:
	* examples/book/tooltips/Makefile.am:
	* examples/book/tooltips/examplewindow.[cc|h]:
	* examples/book/tooltips/main.cc: Added an example for the new
	tooltips API.

2007-07-29  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/gtk_docs_override.xml: Corrected mismatched tag
	for PageSetup::save_to_file().

2007-07-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Corrected the
	documentation for
	AboutDialog::get_program_name(), get_website_label(),
	CellLayout::get_cells(),
	EntryCompletion::get_completion_prefix(),
	IconTheme::choose_icon(), list_contexts(),
	IconView::set_tooltip_cell(), set_tooltip_item(),
	PageSetup::save_to_file(),
	PrinterSettings::save_to_file(), request_details(),
	Widget::error_bell(), get_tooltip_markup(),
	get_tooltip_text(),
	* gtk/src/iconview.hg: Added a set_tooltip_cell() method
	overload without the cell parameter.
	* gtk/src/settings.hg: Added new properties:
	gtk-modules, gtk-cursor-theme-name,
	gtk-cursor-theme-size, gtk-alternative-button-order,
	gtk-alternative-sort-arrows, gtk-show-input-method-menu,
	gtk-show-unicode-menu, gtk-timeout-initial,
	gtk-timeout-repeat, gtk-timeout-expand,
	gtk-color-scheme, gtk-enable-animations,
	gtk-touchscreen-mode, gtk-tooltip-timeout,
	gtk-tooltip-browse-timeout, gtk-tooltip-browse-mode-timeout,
	gtk-keynav-cursor-only, gtk-keynav-wrap-around,
	gtk-error-bell, gtk-color-hash,
	gtk-file-chooser-backend, gtk-print-backends,
	gtk-print-preview-command, gtk-enable-mnemonics,
	gtk-enable-accels, gtk-recent-files-limit.

2007-07-28  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/builder.hg: Removed get_type_from_name() because it
	seems only useful when implementing GTK+ widgets.
	* gtk/src/gtk_docs_override.xml: Corrected the
	gtk_page_setup_to_key_file() and gtk_print_settings_to_key_file()
	documentation.
	* gtk/src/pagesetup.ccg:
	* gtk/src/pagesetup.hg:  Added a save_to_key_file() method
	overload without the group parameter.
	* gtk/src/printsettings.ccg:
	* gtk/src/printsettings.hg: Renamed to_key_file() to save_to_key_file()
	and to_file() to save_to_file(). Added a save_to_key_file() method
	overload without the group parameter.
	* gtk/src/scalebutton.hg: Use IconSize instead of GtkIconSize
	for the constructor parameter.
	* gtk/src/widget.hg: Added a @see unset_cursor() to the
	documentation.
	Thanks to Jonathan Jongsma for the API review.

2007-07-22  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gtk.cc:
	* gtk/src/gtk_signals.defs: Added GtkScaleButton, GtkVolumeButton
	and GtkRecentAction.
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

	* gdk/src/pixbuf.ccg:
	* gdk/src/pixbuf.hg: Added constructors that do not take dest_x
	and dest_y (which are ignored in this case), and deprecated those old
	constructors. Added constructors that do not take a colormap, because
	that is optional.
	get_formats(): Corrected the reference counting.
	* gdk/src/screen.hg:
	* tools/m4/convert_gtk.m4:
	* gtk/src/iconview.hg: set_tooltip_item(), set_tooltip_cell():
	Use Tooltip only via a RefPtr.
	* gtk/src/menushell.hg: Added move_selected signal.

	* gtk/src/textview.hg:
	* gtk/src/scalebutton.hg: Ignore key-bindings signals.

	* gtk/src/tooltip.hg: Added set_tip_area().
	* gtk/src/treeview.hg: Added convert_widget_to_tree_coords(),
	convert_tree_to_widget_coords(), convert_widget_to_bin_window_coords(),
	convert_bin_window_to_widget_coords(), convert_tree_to_bin_window_coords(),
	convert_bin_window_to_tree_coords(),
	set_tooltip_row(), set_tooltip_cell(), set_tooltip_column(),
	get_tooltip_column().
	* gtk/src/widget.hg: Added keynav_failed(), error_bell(),
	modify_cursor(), unset_cursor(),
	set_has_tooltip(), get_has_tooltip().

2.11.5:

2007-07-21  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs.xml:
	* pango/src/pango_docs.xml:
	* gtk/src/gtk_docs.xml: Regenerated with docextract_to_xml.py.
	* pango/src/pango_methods.defs: Regenerated with h2defs.py.

	* pango/src/color.hg: Added to_string().
	* pango/src/cairofontmap.hg: Added get_font_type().
	* gdk/src/screen.hg: Added is_composited(), set_font_options(),
	get_font_options(), set_resolution(), get_resolution(),
	get_active_window()

	* gtk/src/combobox.hg:
	* gtk/src/filechooserbutton.hg:
	* gtk/src/notebook.hg: Ignored some new key-binding signals.

	* gtk/src/iconview.hg: Added set_tooltip_item() and
	set_tooltip_cell().
	* tools/m4/convert_gtk.m4: Added necessary new conversions.

	* gtk/src/textbuffer.hg: Commented out the copy-target-list
	and paste-target-list properties for now, with a TODO, because I fear
	that the reference-counting might not be correct.

2007-07-20  Marko Anastasov <marko@marko.anastasov.name>

	* gtk/src/textbuffer.hg: Wrapped cursor-position, copy-target-list
	and paste-target-list properties from GTK+ 2.10.

2007-07-14  Murray Cumming  <murrayc@murrayc.com>

	* tools/extra_defs_gen/generate_defs_gtk.cc: Mention the GtkPrint*
	classes so that signal/property .defs are generated for these.
	* gdk/src/Makefile.am:
	* gdk/src/gdk_pixbuf_enums.defs: Added this instead of pasting it
	into gdk_enums.defs.
	* gdk/src/gdk.defs:
	* gdk/src/gdk_enums.defs:
	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_enums.defs:
	* gtk/src/gtk_methods.defs:
	* gtk/src/gtk_signals.defs: Regenerated, with h2defs.py, enums.pl,
	and generate_extra_defs.
	* gtk/src/gtk_others.defs: Move the hand-written GtkPrintOperationPreview
	signal defs to here instead of having them in gtk_signals.defs where they
	will be overwritten when it's regenerated.
	* gtk/src/iconview.hg: Added convert_widget_to_bin_window_coords().
	* gtk/src/papersize.hg: Commented out get_paper_sizes() until I
	figure out the build break.
	* gtk/src/statusicon.hg: Added set_screen() and get_screen().

	* pango/src/pango_enums.defs:
	* pango/src/pango_methods.defs: Regenerated.
	* tools/m4/convert_pango.m4: New conversions.
	* pango/src/context.hg: Added GravityHint enum.
	Added set_base_gravity(), get_base_gravity(), get_gravity(),
	set_gravity_hint(), get_gravity_hint().
	* pango/src/fontdescription.hg: Added Gravity enum.
	Added set_gravity() and get_gravity().
	* pango/src/fontface.hg: Added is_synthesized().
	* pango/src/glyphstring.hg: Added get_width().
	* pango/src/layout.hg: Added is_wrapped(), is_ellipsized() and
	get_unknown_glyphs_count().
	Reimplemented the const get_line() and get_lines() methods with
	the (faster) *_read_only() C functions.

2007-07-13  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/tooltips.hg: Deprecated in favour of the various
	set_tooltip_text() and set_tooltip_markup() methods, and the new
	Gtl::Tooltip class.
	* gtk/src/menutoolbutton.hg: Added set_arrow_tooltip_text() and
	set_arrow_tooltip_markup(). Deprecated set_arrow_tooltip().
	* gtk/src/toolitem.ccg:
	* gtk/src/toolitem.hg: Deprecated signal_set_tooltip.
	* examples/book/eventbox/examplewindow.cc:
	* examples/book/eventbox/examplewindow.h:
	* examples/book/toolbar/examplewindow.cc:
	Replace use, or mention, of the deprecated Gtk::Tooltips class.

2007-07-12  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/toolbar.ccg:
	* gtk/src/toolbar.hg: get_tooltips_object(): Reimplement
	to fix the build because GTK+ broke the API of GtkTooltips::tooltips
	(renaming it to GtkTooltips::_tooltips). I think I read that they
	will change it back before a stable release.
	Deprecated get_tooltips_object().

2007-07-03  Johannes Schmid  <johannes.schmid@openismus.com>

	* gtk/src/uimanager.hg:
	Added class documentation based on GTK+

2007-07-03  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/treeview.hg: Added is_rubber_banding_active().

2007-07-02  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Correct the ALIASES for newin2p*.
	* gtk/src/builder.hg:
	* gtk/src/cellrendererprogress.hg:
	* gtk/src/cellrendererspin.hg:
	* gtk/src/recentaction.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/volumebutton.hg: Use newin2p12.

2.11.4:

2007-06-30  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/action.hg:
	* gtk/src/assistant.hg:
	* gtk/src/builder.hg:
	* gtk/src/cellrendereraccel.hg:
	* gtk/src/cellrendererspin.hg:
	* gtk/src/entrycompletion.hg:
	* gtk/src/filefilter.hg:
	* gtk/src/linkbutton.hg:
	* gtk/src/radioaction.hg:
	* gtk/src/recentaction.hg:
	* gtk/src/scalebutton.hg:
	* gtk/src/settings.hg:
	* gtk/src/toggleaction.hg:
	* gtk/src/volumebutton.hg:
	* gtk/src/window.hg:

	Fixed class documentation

2007-06-30  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/tooltip.[hg|ccg]:
	* gtk/src/widget.[hg|ccg]: New files and functions, properties and signal
	of the new tooltips API.
	* gtk/gtkmm.h: Include tooltip.h.
	* gtk/src/gtk_signals.defs: Added query_tooltip signal for Widget.
	* gtk/src/Makefile_list_of_hg.am_fragment: Include tooltip.hg in build.
	* tools/m4/convert_gtk.m4: Added conversions between GtkTooltip*
	and Glib::RefPtr<Gtk::Tooltip>.
	* tools/extra_defs_gen/generate_defs_gtk.cc: Generate defs for Tooltip.

2007-06-26  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/builder/basic/basic.ui:
	* examples/book/builder/basic/main.cc:
	* examples/book/builder/derived/basic.ui:
	* examples/book/builder/derived/main.cc:
	Convert the libglade .glade files to GtkBuilder .ui files,
	with gtk-builder-convert script from GTK+.
	* gtk/src/builder.ccg:
	* gtk/src/builder.hg: Addded create_from_file() and create_from_string(),
	as conveniences. Changed the add_from_file() parameter to a std::string,
	as all filenames should be, because their encoding is unknown.
	Added a add_from_string() version that accepts a simple std::string.

2007-06-24  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_enums.defs: Regenerated with enums.pl
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py.

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/builder.ccg:
	* gtk/src/builder.hg: Added wrapper for GtkBuilder, taking code from
	libglademm so that it instantiates derived GTypes by using the vfunc,
	and has templated get_widget() and get_widet_derived() methods.
	* gtk/gtkmm.h: Added builder.h

	* configure.in:
	* examples/book/builder/basic/
	* examples/book/builder/derived/
	Added GtkBuilder versions of the libgladem examples. These will not
	work until I find the script to conver the glade files to GtkBuilder
	files, or find a UI editor that creates GtkBuilder files.

2007-06-22  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentaction.hg: Constuctor and create():
	Added default values for the tooltips and stock_id paramters,
	though I think none of these should need to specified.
	See bug #450032.
	* gtk/gtkmm.h: Added recentaction.h
	* examples/book/recent_files/examplewindow.cc: Used the RecentAction to
	create a sub-menu.

2007-06-22  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/treeview/editable_cells/examplewindow.cc:
	* examples/book/treeview/editable_cells/examplewindow.h:
	Added comments about using CellRendererSpin or CellRendererProgress here.
	I tested the new CellRendererSpin here and it works.

2.11.3:

2007-06-10  Kalle Vahlman  <zuh@iki.fi>

	* tests/property_notification/main.cc: #ifdef out the use of the regular property API
	if properties are disabled.

2007-02-10  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/types.hg: Add ListHandle_AtomString intermediate container
	type.
	* gdk/src/dragcontext.ccg:
	* gdk/src/dragcontext.hg: get_targets(),
	* gtk/src/selectiondata.hg:
	* gtk/src/selectiondata.ccg: get_targets(): Use ListHandle_AtomString with appropriate
	ownership instead of the current faulty code. This changes the return type, and
	therefore changes the API and ABI of this method, but it is not possible that
	anyone was using these functions until now, due to the brokenness.
	Bug #399403 (Yannick Guesnet)

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/action.ccg:
	* gtk/src/action.hg: Added create_menu().
	* gtk/src/printer.hg: Added list_papers().

	* docs/tutorial/gtkmm-tut.xml: In the gmmproc chapter, mention the optional text
	for the _WRAP_METHOD() deprecated parameter.

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/treemodelcolumn.h: Added a comment about the difficulty of using
	a static instance.
	* gtk/src/notebook.hg: Added const versions of get_n_pages() and page_num(),
	deprecating the non-const methods. Bug #442284 (Tomasz Ostrowski).
	* gtk/src/scalebutton.hg: Use refresult instead of refreturn. Maybe gmmproc
	should not ignore unknown options.

2007-06-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/scalebutton.hg: Added the constructor now that
	gtk_scale_button_new() has been fixed in GTK+.

2007-06-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/cellrendererprogress.hg: Added pulse, text-xalign, and
	text-yalign properties.
	* gtk/src/entrycompletion.hg:
	* gtk/src/entrycompletion.ccg: Added set_inline_selection(),
	and get_inline_selection().
	Added cursor_on_match signal, though without a default signal
	handlers, to preserve ABI.
	Added inline-selection property.
	* gtk/src/range.hg: Added set_show_fill_level(), get_show_fill_level(),
	set_restrict_to_fill_level(), get_restrict_to_fill_level(),
	set_fill_level(), get_fill_level().
	Added show-fill-level, restrict-to-fill-level, and
	fill-level properties.
	* gtk/src/texttag.hg: Added paragraph-background,
	paragraph-background-gdk, paragraph-background-set,
	accumulative-margin properties.
	* gtk/src/treeview.hg: Added set_show_expanders(), get_show_expanders(),
	set_level_indentation(), get_level_indentation().

2007-06-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/Makefile_list_of_hg.am_fragment:
	* gtk/src/recentaction.ccg:
	* gtk/src/recentaction.hg: Added RecentAction.
	* gtk/src/scalebutton.ccg:
	* gtk/src/scalebutton.hg: Added ScaleButton.
	* gtk/src/volumebutton.ccg:
	* gtk/src/volumebutton.hg: Added VolumeButton.

2007-06-09  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/stock.cc:
	* gtk/gtkmm/stock.h: Added DISCARD, ORIENTATION_PORTRAIT,
	ORIENTATION_LANDSCAPE, ORIENTATION_REVERSE_LANDSCAPE,
	ORIENTATION_REVERSE_PORTRAIT, SELECT_ALL

2007-06-06  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: updated the internationalization section
	slightly, prompted by some discussion / criticism on gtkmm-list.  There's
	probably more that could be done here still.  I mostly worked on the wording
	to make it flow a bit better and added a bit more explanatory text.

2.11.2:

2007-06-04  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: gmmproc appendix: Added documentation
	on constructors, create() methods, _CONSTRUCT(), and some hints about
	wrapping GList* and GSList* parameters.
	Bug #350870. (Paul Davis and Johannes Schmid)

	* docs/reference/Doxyfile.in: Added newin2p12 tag, for marking API
	as new since 2.12.

	* gdk/src/gdk_methods.defs:
	* gtk/src/gtk_methods.defs: Regenerated with h2defs.py

	* gdk/src/display.hg: Added supports_shapes(), supports_input_shapes(),
	supports_composite().
	* gdk/src/window.hg: Added set_composited(), input_shape_combine_mask(),
	input_shape_combine_region(), set_child_input_shapes(),
	merge_child_input_shapes(), get_type_hint(), set_startup_id(), beep(),
	set_opacity().
	* gtk/src/aboutdialog.hg: Added set/get_program_name() and deprecated
	set/get_name().
	* gtk/src/celllayout.hg: Added get_cells().
	* gtk/src/entry.hg: Added set_cursor_hadjustment(), get_cursor_hadjustment().
	* gtk/src/icontheme.hg: Added choose_icon(), list_contexts().
	* gtk/src/notebook.hg: Added set/get_group() and deprecated set/get_group_id().
	* gtk/src/pagesetup.hg: Added to_file(), to_key_file().
	* gtk/src/papersize.hg: Added get_paper_sizes().
	* gtk/src/printer.hg: Added has_details(), request_details(),
	get_capabilities().
	* gtk/src/printsettings.hg: Added to_file(), to_key_file().
	* gtk/src/textbuffer.hg: Added add_mark().
	* gtk/src/textmark.ccg:
	* gtk/src/textmark.hg: Added constructor and create() method, though these
	are usually created via TextBuffer.
	* gtk/src/toolbar.hg: Added set_icon_size(), unset_icon_size().
	* gtk/src/window.hg: Added set_opacity(), get_opacity().
	Added transient_for, and opacity properties.

2007-05-26  Jonathon Jongsma  <jjongsma@gnome.org>

	* gtk/src/gtk_docs_override.xml: update documentation for some FileChooser
	methods which incorrectly stated that the returned list of strings needs to
	be freed with Glib::free()

2.11.1:

2007-05-23  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: renamed the gmmproc appendix to "Wrapping C
	Libraries with gmmproc" so that it shows up better in google searches for
	'gmmproc'

2007-05-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: Another big set of changes to improve pdf
	output.  I shortened a lot of the <programlisting> code in the docbook
	document so that things will fit on a printed page / pdf document.  In
	addition, a lot of little changes were made to reduce a lot of unnecessary
	whitespace in the generated PDF (e.g.  don't wrap <programlisting> or
	<itemizedList> elements in empty <para> tags, etc).  This has the advantage
	of streamlining the markup as well.  I didn't make it all of the way through
	the document, will clean up more in the future.
	* examples/book/drag_and_drop/dndwindow.h: shorten another long line in this
	example so that when it's included into the tutorial it fits on a page

2007-05-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/book/comboboxentry/complex/examplewindow.cc: accidentally broke
	the build on this example when reducing the line length

2007-05-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/Makefile.am: add a 'pdf' target so that we can build a pdf
	version of the tutorial more easily.  Also fixed the command for the
	'validate' targets and a couple other minor cleanups.

2007-05-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/book/*: modified all of the book examples to make all lines 80
	characters long or less.  This makes it so that the examples have a chance
	of fitting on the page of a printed pdf version of the tutorial book

2007-05-08  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: LOTS of changes to the tutorial to get it to
	validate against the docbook DTD.  This was necessary because if the xml
	wasn't valid then we couldn't use tools such as docbook2pdf to generate a
	pdf version of the tutorial.  Most of the changes involved things such as
	adding <para> elements inside of <note> and <listitem> elements (since these
	elements can't old raw character data, but <para> can).  Also defined some
	entities such as &uuml; in ways that xml validators find acceptable, and a
	few other things.  I have not yet created a makefile rule to build a pdf
	automatically (or at least more easily), but I will do that soon.

2007-05-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* examples/book/custom/custom_widget/mywidget.cc,h: Update the custom widget
	example to use cairo-based drawing instead of the old GDK drawing functions.

2007-05-03  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Basics: Split part of the example section into
	a Headers and Linking section, with slightly fuller information.
	libglademm section: Describe what you need to include and link for libglademm,
	and link back to the basics section that I just created.

2007-05-01  Johannes Schmid <jhs@gnome.org>

	* gtk/src/style.hg:
	Wrap gtk_style_attach() and gtk_style_detach().
	Bug #351336

2007-05-01  Johannes Schmid <jhs@gnome.org>

	* gtk/src/window.hg: Added static set_default_icon_name() method,
	wrapping gtk_window_set_default_icon_name().
	Bug #364395 (Yuriy Syrota)

2007-05-01  Johannes Schmid <jhs@gnome.org>

	* gtk/src/calendar.hg
	* gtk/src/calendar.ccg
	Bug #350584 – Calendar::get_date() method using Glib::Date

2007-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_signals.defs: Adjust the GtkStatusIcon::popup_menu signal
	definition, because the GType parameter system can not distinguish between
	guint and guint32 (There is no G_TYPE_UINT32).
	* gtk/src/statusicon.hg: Add signals for the GtkStatusIcon activate and
	popup_menu signals. See the comment in the code about these not being
	public API, but we are adding them anyway because they seem necessary,
	and we cannot get an answer out of the GTK+ maintainers.
	Bug #

2007-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/statusicon.ccg:
	* gtk/src/statusicon.hg: Added popup_menu_at_position(), as an equivalent for
	the gtk_status_icon_position_menu() helper callback.
	Bug #392948 (Jan Niklas Hasse)

2007-05-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/window.hg: Added set_accept_focus(), get_accept_focus(),
	set_focus_on_map() and get_focus_on_map().
	Bug #421936

This is the trunk branch for gtkmm 2.11/12.

2.10.10:

2007-04-30  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/combo.hg:
	* gtk/src/fileselection.hg:
	* gtk/src/optionmenu.hg:
	* gtk/src/progress.hg:

	Use _IS_DEPRECATED instead of _DEPRECATED to sync with
	glibmm HEAD.

2007-04-24  Yselkowitz <yselkowitz@users.sourceforge.net>

        * scripts/macros.m4: Check for both m4 and M4 in the GNU m4 output,
        to fix the build on some platforms.
        Bug #423990

2007-04-18  Armin Burgmeier  <armin@openismus.com>

	* gtk/src/recentmanager.hg:
	* gtk/src/recentmanager.ccg: Made a std::vector<Glib::ustring> out of
	the StringArrayHandle in Gtk::RecentManager::Data because the latter
	is not instantiable and only meant to be used as an intermediate type.

	Also hand-code RecentManager::add_item(const Glib::ustring&, const
	Data&) because we cannot do an easy conversion. We have to fill in a C
	struct instead.
	Bug #388086 (Grant Patterson)

2007-04-12  Armin Burgmeier  <armin@openismus.com>

	* tools/m4/convert_gtk.m4: Removed GtkRadioAction* ->
	Glib::RefPtr<RadioAction> conversion.

	* gtk/src/radioaction.hg: Added a custom conversion from
	GtkRadioAction* to Glib::RefPtr<RadioAction> that increases the
	reference count for the radio action object. The only place where this
	conversion actually is required is the changed signal of the radio
	action, and we need an additional reference there.
	Bug #350734 (Johnathon Jongsma, "pjdavis" Paul Davis)

2007-04-12  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/widget.ccg:
	Added a special case for Gtk::Menu in
	Widget_Class::dispose_vfunc_callback to fix a crash in menu
	destruction.
	Bug #339791 ("pjdavis" Paul Davis, Andrew E. Makeev)

2007-04-14  Marko Anastasov <marko@marko.anastasov.name>

	* docs/FAQ/gtkmm-faq.xml: Emphasised that the use libglademm is
	preferred over glademm. Bug #429043.
	Removed the old libglademm URL entity.

2.10.9:

2007-03-30  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/notebook/examplewindow.cc:
	* examples/book/notebook/examplewindow.h: Connect to the switch-page signal,
	as a demonstration.

2007-03-12  Andrew E. Makeev  <andrew@solvo.ru>

	* gtk/src/treeview.ccg: fix memory leak in get_cursor() function.
	Bug #417539

2007-03-09  Jonathon Jongsma  <jjongsma@gnome.org>

	* gtk/src/gtk_docs_override.xml: fix documentation of
	IconTheme::get_example_icon_name() so that it doesn't imply that the
	returned ustring needs to be freed.

2.10.8:

2007-03-03  Alan Ott  <alan@signal11.us>

	* docs/tutorial/gtkmm-tut.xml: Added a new appendix, about using
	Visual Studio 2005.
	* docs/tutorial/figures/Makefile.am: Mention new screenshots, for the
	new appendix.
	Bug #409102

2007-02-15  Murray Cumming,  <murrayc@murrayc.com>

	* gdk/src/dragcontext.ccg: Use GDK_POINTER_TO_ATOM() instead of a simple
	cast, which is more like GTK+ public API.

2007-02-11  Marko Anastasov  <marko@marko.anastasov.name>

	* docs/tutorial/gtkmm-tut.xml: Updated chapter on internationalization.
	Explains how to set up an autotools-based project, the use of intltool,
	basic instructions how to add a translation and a resources list.

2007-01-28  Daniel Elstner  <daniel.kitta@gmail.com>

	* gtk/src/actiongroup.ccg (ActionGroup::add): Don't use NULL but
	static_cast<char*>(0) to terminate the g_object_get() varargs list,
	to prevent serious breakage on 64-bit systems without GCC magic.
	Please, everyone, do me a favor and don't use NULL in C++ code,
	especially not in conjunction with varargs.  Thanks.

2.10.7:

2007-01-25  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/main.ccg: Destructor: Call the cleanup functions, instead of calling
	init again. This seems to be a copy/paste error from April 2003.
	Bug #383340 from Christopher Raine.

2007-01-20  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Add a Google search, restricted to the gtkmm documentation.

2007-01-12  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/printoperation.ccg: Specify a template specialization for
	Glib::unwrap() to avoid ambiguities detected and reported as errors
	in Sun Workshop on OpenSolaris. Bug #395572 from Tim Mooney.

2006-12-21  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: libglade with derived widgets: Add more explanation
	about the BaseObjectType typedef.
	Patch from Martin Nordholts in bug #387708.

2006-12-11  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/sizegroup.hg: Added class documentation.

2.10.6:

2006-11-28  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/drawable.hg: create_cairo_context(): Specify true to
	the Cairo::Context constructor because we have a starting reference.
	This should prevent a leak an extra reference.
	* gtk/src/printcontext.hg: get_cairo_context():
	* gtk/src/printjob.hg: get_surface(): Pass false to the Cairo constructor,
	because we do not receive a reference, and do not use refreturn(). Previously
	we did two references were one was needed.

2.10.5:

2006-11-24  Johannes Schmid <johannes.schmid@openismus.com>

	* gtk/src/uimanager.ccg:
	Fixed a crasher in error handling when exceptions are disabled

2006-11-24  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: UIManager: Added notes about which
	parts are human-readable and which parts are just IDs, with a
	suggestion about what part to mark for translation.

2006-11-23  Nate Nielsen  <nielsen@memberwebs.com>

	* gtk/src/style.ccg:
	* gtk/src/style.hg: lookup_icon_set(): Hand-code this method,
	so we can copy the result of gtk_style_lookup_icon_set(),
	because it does not give us a new instance.
	Bug #374094

2006-11-22  Cedric Gustin  <cedric.gustin@gmail.com>

	* configure.in: Do not pkgconfig check gtk+-unix-print-2.0 on
	win32, as gtk+-unix-print-2.0.pc is not always included in GTK+
	installers and/or binary archives (like in Tor's binaries).
	Bug #371882 from Alexis Wilke.

2.10.4:

2006-11-21  Rémi Cardona  <remi2402@free.fr>

	* configure.in:
	* gtk/gtkmm-2.4.pc.in: Define a GTKMM_PC_ATKMM_DEP conditional and
	use it so that atkmm is only required when it is built, and not
	when disbaled via --enable-api-atkmm=no.
	Bug #366930 from John N. Laliberte.

2006-11-14  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* gtk/gtkmmconfig.h.in:
	* scripts/reduced.m4: Added --enable-api-maemo-extensions
	configure option, default to false, defining the
	GTKMM_MAEMO_EXTENSIONS_ENABLED macro.
	* gtk/src/textbuffer.hg:
	* gtk/src/textbuffer.ccg: Put the Maemo-specific API in
	ifdefs, using the optional _WRAP_METHOD() parameter.

2006-11-20  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Optional API appendix: Use the
	<function> tag.

2006-11-14  Daniel Elstner  <daniel.kitta@gmail.com>

	* autogen.sh: Wholly replace this script with a critter from one
	of my personal projects, with slight modifications.  This one does
	some sophisticated stuff like probing version numbers of available
	automake and aclocal executables, in order to choose the right one
	accordingly.  All this is necessary to make the build system work
	robustly in custom environments such as Maemo where automake-1.9
	doesn't come preinstalled.
	While we're at it, kill some old cruft such as the check for GNU
	make.  This test was kind of pointless as the $MAKE variable was
	never exported.  Also get rid of the --enable-warnings=hardcore
	magic; this just doesn't belong here and could cause unnecessary
	trouble to non-developers.

2006-11-13  Murray Cumming  <murrayc@murrayc.com>

	* docs/reference/Doxyfile.in: Add missing PREDEFINES so that we build
	documentation only for the normal API.

2006-11-12  Ralf Stephan    <ralf@ark.in-berlin.de>

	* gdk/src/drawable.hg: Add comment paragraph about using cairo.

2006-11-10  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* tests/Makefile.am:
	* tests/main.cc: Add new test, with commented-out test for an alternative
	API that I will add to glibmm.

2.10.3:

2006-11-08  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/adjustment.ccg:
	* gtk/src/adjustment.hg: Hand-code the constructor so that we can provide
	the g_object_new() properties in a non-standard order, so that the value
	is not ignored. This is what gtk_adjustment_new() does too.
	Bug #369335 from Daniel Holbach, via Vincent Levesque in the Ubuntu
	Launchpad bug-tracker.

2006-10-11  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Added an appendix describing the optional
	API for reduced resources devices, and the corresponding ifdefable macros.

2006-10-11  Murray Cumming  <murrayc@murrayc.com>

	* gdk/src/gdk_docs_override.xml: Provide a corrected version of the
	Drawable::get_image() method, to avoid mentioning a function that
	does not exist in gtkmm. Bug #358268 from Evgeny Rippi.

2006-10-10  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/gtk_docs_override.xml: Correct the documentation for
	gtk_container_remove() and gtk_widget_add_mnemonic_label() to
	avoid mention of non-existant destroy signal and destroy() method.
	Thanks to Nickolai Dobrynin for pointing this out.

2006-10-10  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Correct the links to the Memory Management
	and libglademm chapters.

2006-10-02  Murray Cumming  <murrayc@murrayc.com>

	* gtk/gtkmm/listviewtext.cc: get_column_title():
	Use "" instead of Glib::ustring() in
	g_return_val_if_fail() to fix an odd build problem with
	gcc 3.3.6. Bug #352226. (Thomas Zajic)

2006-10-01  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am:
	* docs/FAQ/Makefile.am:
	* docs/Makefile.am:
	* docs/Makefile_web.am_fragment:
	* docs/images/Makefile.am:
	* docs/reference/Makefile.am:
	* docs/tutorial/Makefile.am:
	* examples/Makefile.am: Upload to the new hoster instead of to sourceforge.
	Abstracted the host and path names into docs/Makefile_web.am_fragment to
	avoid duplication.

2.10.2:

2006-09-21  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/book/socket/Makefile.am: remove source file dependency on a
	non-existent file.  This was part of an earlier example, but I simplified
	the example and removed this file so that it would be easier to understand,
	but forgot to remove it from the Makefile.am

2006-09-19  Johannes Schmid <jhs@gnome.org>

	* scripts/reduced.m4: Added GTKMM_ARG_ENABLE_API_ATKMM() to
	add the --enable-api-atkmm configure option.
	* configure.in: Use GTKMM_ARG_ENABLE_API_ATKMM, and optionally
	use the atkmm subdirectory (and its children).
	* gtk/gtkmmconfig.h.in: undef GTKMM_ATKMM_ENABLED so that
	it will be defined (or not) in gtkmmconfig.h.
	* Makefile.am: Optinally build in the atkmm directory..
	* demos/Makefile.am:
	* demos/gtk-demo/Makefile.am:
	* examples/Makefile.am_fragment:
	* tests/Makefile.am_fragment:
	* gtk/gtkmm/Makefile.am: Make linking and including of
	atkmm optional.
	* gtk/src/main.ccg: Only call Atk::wrap_init() if atkmm is enabled.
	* gtk/src/widget.hg: Only derive from (and implement)
	Atk::Implementor if atkmm is enabled.
	get_accessible():
	* gtk/src/combobox.hg: get_popup_accessible():
	Use the extra ifdef GTKMM_ATKMM_ENABLED option to put ifdefs around this
	API, so that it will not be built if we do not have atkmm.
	Note that this needs the latest glibmm.

2006-09-19  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* configure.in, docs/tutorial/figures/Makefile.am,
	docs/tutorial/figures/socket-fail.png, docs/tutorial/figures/socket.png,
	docs/tutorial/gtkmm-tut.xml, examples/book/Makefile.am,
	examples/book/socket/.cvsignore, examples/book/socket/Makefile.am,
	examples/book/socket/plug.cc, examples/book/socket/socket.cc: added new
	chapter to the tutorial on Gtk::Plug and Gtk::Socket, including a simple
	example program and a couple of screenshots.

2006-08-23  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* configure.in: re-enabled --disable-demos configure option.  It was
	disabled due to a bit of stupidity on my part.

2.10.1:

2006-08-21  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* NEWS: update for 2.10.1 release

2006-08-21  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* gtk/src/button.hg: fix a typo in the new API for
	Gtk::Button::get_image_position() (was set_image_position()).  Fixes bug
	number 352088.
	* configure.in: bumped revision to 2.10.1 for new release, disabled
	configuration switch for disabling demos because it was breaking 'make
	distcheck' and I couldn't get it figured out in time for a release.  For now
	it will just always build the demos.

2006-08-21  Cedric Gustin  <cedric.gustin@gmail.com>

	* MSVC_Net2003/*.vcproj, MSVC_Net2003/gtkmm.sln: Updated for
	gtkmm-2.10.
	* MSVC_Net2003/examples/printing/*: Added printing example.
	* gtk/src/Makefile_list_of_hg.am_fragment: Moved
	pagesetupunixdialog.hg, printer.hg, printjob.hg and
	printunixdialog.hg to files_posix_hg.
	* gtk/src/pagesetupunixdialog.hg, gtk/src/printer.hg,
	gtk/src/printjob.hg, gtk/src/printunixdialog.hg: Tag classes with
	_GTKMMPROC_WIN32_NO_WRAP as they are not supported on win32.
	* configure.in: Added MSVC project file for printing example to
	AC_CONFIG_FILES list. Added pangocairo to the list of packages
	checked by PKG_CHECK_MODULES (required for building DLLs on win32).

2.10.0:

2006-08-17  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Correct the needed cairomm version.
	* gdk/gdkmm/general.h: Add documentation for Cairo::rectangle() and
	Cairo::region().
	* gtk/src/scrolledwindow.hg: get_[v|h]scrollbar(): Do not use refreturn,
	because they are widgets, not just refcountable objects.

2006-08-17  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/gtkmm-tut.xml: Fix tutorial to include code for the simple
	printing example

2006-08-16  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/examplewindow.cc:
	* examples/book/printing/advanced/examplewindow.h:
	Bind pointers to RefPtrs of PrintFormOperation. This solves the issue
	of PFOs having unnecessarily increased refcount and makes them deleted
	as soon as they're completed.
	Removed on_printoperation_preview_done() as the settings stay in
	the print dialog anyway.
	* examples/book/printing/advanced/main.cc: Deleted a commented line.
	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	Explained the use of m_SpinAdjustment.
	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/advanced/printformoperation.h:
	Uncommented the code for custom tab in print dialog. Within
	on_create_custom_widget(), use Gtk::manage() for the main vbox too.
	Removed signal_preview_done.

	Also removed the g_debugs and reformatted some lines in all files.

2006-08-15  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Require the latest cairomm (0.7.0), which we
	apparently need.

2006-08-11  Marko Anastasov  <marko@marko.anastasov.name>

	* gtk/src/pagesetup.hg
	* gtk/src/pagesetupunixdialog.hg
	* gtk/src/printcontext.hg:
	* gtk/src/printer.hg:
	* gtk/src/printoperation.hg:
	* gtk/src/printunixdialog.hg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentchooserdialog.hg:
	* gtk/src/recentchoosermenu.hg:
	* gtk/src/recentchooserwidget.hg:
	* gtk/src/recentfilter.hg:
	* gtk/src/recentinfo.hg:
	* gtk/src/recentmanager.hg: Added or updated from C docs.
	* gtk/src/printoperationpreview.hg: Removed a TODO about ready and
	got_page_size signals.

2006-08-11  Marko Anastasov  <marko@marko.anastasov.name>

	* docs/tutorial/figures/Makefile.am:
	* docs/tutorial/figures/printing.png: Added a screenshot of the main
	window of the printing example(s).
	* docs/tutorial/gtkmm-tut.xml: Minor changes to the printing chapter:
	fixed end_print() explanation, mentioning of the advanced example and
	the title of the example figure.

2.9.10:

2006-08-05  Johannes Schmid  <jhs@cvs.gnome.org>

	* docs/tutorial/gtkmm-tut.xml:
	Utility is called enum.pl not enums.pl (#350028)

2006-08-03  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	Store the print context as a member variable instead of using sigc::bind
	to use it in on_drawing_area_realized(). Null the print context and preview
	refptrs when we call end_preview(), because we have stopped using them,
	and maybe we should not be keeping their objects alive.

2006-08-03  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	* examples/book/printing/advanced/printformoperation.cc:
	Don't pass page_count as a ctor parameter but access it directly via
	m_pOperation when needed. It's also incorrect the first way because
	it has not yet been determined at the point of PreviewDialog's
	construction. Added an Adjustment to use it with the spin button
	in PreviewDialog so that spinning within multiple pages actually works.

2006-08-03  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	Added forgotten call to hide() in on_close_clicked().

2006-08-03  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	Added on_hide(), so that we call PrintOperationPreview's end_preview()
	on window manager's close action too.

2006-08-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc: Constructor:
	Improve the packing of the widgets.
	on_popreview_got_page_size(): Add a comment to explain.

2006-08-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc:
	Constructor: Initialize m_DpiX and m_DpiY, as noticed by valgrind.
	Connect to signals here instead of later, so we do not risk connecting
	more than once.
	on_drawing_area_realized(): Check gdk_window is not null before using it.
	on_popreview_got_page_size(): Check that drawing_area is realized before
	trying to get its allocation. Possibly not necessary. Check the pango
	layout is not null before using it.
	* examples/book/printing/advanced/printformoperation.cc: on_draw_page():
	Check that the print context and pango layout are not null before using
	them.
	* examples/book/printing/advanced/printformoperation.h: Connect to the
	hide signal of the dialog instead of delete_event().

2006-08-02  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h: Rename the signal
	handlers so it is is bit clearer. Use show_all_children() instead of
	show_all() so that the caller can decided when to show the window.
	* examples/book/printing/advanced/printformoperation.cc: Use show(),
	and set the dialog pointer to 0 after deleting it.

2006-08-02  Armin Burgmeier  <armin@arbur.net>

	* gtk/src/fontbutton.hg: Renamed constructor argument to font_name
	for gmmproc to produce the correct property name.


2006-08-02  Marko Anastasov  <marko@marko.anastasov.name>

	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/printing/advanced/previewdialog.h:
	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/advanced/printformoperation.h:
	Further efforts to fix #347857. See comment #14.
	* gtk/src/pagesetup.hg:
	Removed some commented conversions for PaperSize which haven't been
	used ever since convert_gtk.m4 contains the necessary.
	* gtk/src/printoperationpreview.hg:
	Fixed the conversion for PrintContext which takes a reference and fixes
	some of the problems in the bug. Uncommented ready and got_page_size
	signals.
	* tools/m4/convert_gtk.m4:
	Made both conversions for PaperSize (C to Cpp) take a reference.
	Removed two unnecessary conversions for PrintContext.

2006-08-01  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* docs/tutorial/figures/Makefile.am:
	* docs/tutorial/figures/recentchooserdialog.png:
	* docs/tutorial/gtkmm-tut.xml: added a screenshot of the RecentChooserDialog
	and a bit of additional explanation to the example

2006-08-01  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentchooser.ccg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentinfo.ccg:
	* gtk/src/recentinfo.hg:
	* gtk/src/recentmanager.ccg:
	* gtk/src/recentmanager.hg: Move RecentInfoTraits into recentinfo.hg, and
	use it for RecentManager::get_items() as well as the existing
	RecentChooser::get_items().

2006-07-30  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentchooser.ccg:
	* gtk/src/recentchooser.hg:
	* gtk/src/recentinfo.hg:
	* gtk/src/recentmanager.hg: Use RecentInfo via RefPtr always.
	* tools/m4/convert_gtk.m4:

2006-07-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Linked to the wiki page.

20c06-07-26  Murray Cumming  <murrayc@murrayc.com>

	* gtk/src/recentinfo.hg: Use _CLASS_OPAQUE_REFCOUNTED instead of
	_CLASS_OPAQUE_COPYABLE(), because this struct has ref/unref instead
	of copy/free. This causes the reference() and unreference() methods
	to generated.
	* examples/book/printing/advanced/printformoperation.cc:
	Wrapping C libraries section: Correct the _CLASS_OPAQUE_COPYABLE
	section and mention _CLASS_OPAQUE_REFCOUNTED.

2006-07-25  Jonathon Jongsma  <jonathon.jongsma@gmail.com>

	* examples/book/recent_files/examplewindow.cc:
	* examples/book/recent_files/examplewindow.h: Fix recent files example so
	that it actually pops up a dialog when you select the recent files menu
	item.  Also added _mnemonics to menu items for easy keyboard navigation :)

2006-07-25  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/printing/advanced/printformoperation.cc:
